09-MAY-2026: 30.0.0

- Uses cached sanitized label for SVG support detection
- Updates DOMPurify from 3.4.0 to 3.4.2
- Persists minimized state of floating windows
- Moves adaptive colors to page setup, adds page setup in simple+min UI
- Adds mermaid shapes from native-ports branch
- Sizes math labels and view to rendered MathJax output [jgraph/drawio#3311]
- Fixes math fit-to-window on page switch with sync MathJax typeset
- Adds configurable tooltipFontSize and tooltipMaxWidth
- Adds lockedGroup cell style for grouping cells as one image
- Adds Mindmap Bang, Git Tag, and Smiley Faces in Basic sidebar
- Fixes dropped initialText in cellEditor.startEditing override
- Fixes tab scroller jumping left when switching from rightmost page
- Keeps inline toolbar and popovers inside visible viewport
- Fixed Lucid import chrome extension
- Skips empty drafts on save and cleans up existing ones on startup
- Default adaptive colours no longer simple in desktop

05-MAY-2026: 29.7.12

- Adds boundedLbl for manual input shape
- Removes quip references
- Adds label sanitize https://github.com/jgraph/docker-drawio/security/advisories/GHSA-wj8x-4c77-v8v3

04-MAY-2026: 29.7.11

- Upgrades to JDK 21
- Fixes offline local shape search pagination [jgraph/drawio-desktop#2409]
- Updated mermaid to v11.14.0
- Fixes NPE in insertTableRow on empty table; inserts initial row with single column
- Disables insert column buttons in Format panel for empty tables
- Updates MathJax from 4.1.1 to 4.1.2
- Replaces diagramly source in GAE release

01-MAY-2026: 29.7.10

- Fixed lightbox mode for MS360 files
- Conf Cloud: Added configuration editor
- Added Confluence specific configurations to config-editor
- Inline configuration editor into dialog instead of iframe
- Update i18n submodule with normalized English capitalization
- Add missed lineend/linestart capitalization in i18n submodule
- Remove unused hateApp/loveIt keys and expand procEng in i18n submodule
- Expand Proc. Eng. abbreviation in PID sidebar and i18n submodule
- Fixes page format options vertical alignment
- Fixes print dialog inconsistencies
- Fixes inconsistent sections in Format panel
- Adds rounding for arrow handle values
- Fixes inconsistent padding for Format sections
- Adds glass style support for ellipse and rhombus shapes
- Show style tiles for mixed selections including edge labels
- Fixes fill pattern issues with crop print and color leak [jgraph/drawio#5546]
- Adjusts padding for edge geometry and stroke panels for improved layout
- Fixes ignored current dark mode in config editor
- Replaces rounded button with checkbox in diagram style panel
- Restyles file properties dialog using dialog style guide
- Restyles font dialog using dialog style guide
- Saving embed macro preview with the actual diagram [DID-18496]
- Recovers broken desktop saved PDFs jgraph/drawio-desktop#2394]
- Removed incorrect gitlinks added for submodules

20-APR-2026: 29.7.9

- Skip clipboard init in read-only chromeless EditorUi
- Restricts third-party gitlab integrations without config [DID-18566]

17-APR-2026: 29.7.8

- Fixes NPE in mxEdgeHandler.reset when handle reset triggers destroy
- Fixes NPE in mxCellRenderer.insertStateAfter when node is orphaned
- Fixes NPE in mxWindow.setLocation when window is destroyed during drag
- Fixes NPE in mxVertexHandler.start when handle shapes are not created
- Fixes NPE in EditorUi.diffPages when pages array contains null entries
- Fixes NPE in EmbedFile.isAutosaveOptional when desc is null
- Add defensive settings check in restoreVisibleWindows

14-APR-2026: 29.7.7

- Creates default viewState in patchViewState when null
- Fix null crashes in HoverIcons and mxConstraintHandler during mouse events
- Handle atob error in noFile fallback when error dialog is dismissed
- Fix null crash in PolygonDialog drag when points array is modified
- Exclude InvalidCharacterError from mergeFile error logging
- Guard against non-function success callback in DriveFile.saveFile
- Fix mxObjectCodec mapping default picking up Array.prototype methods
- Persist size of modal resizable edit/insert dialogs
- Guard pasteCellStyles split against non-string cell styles
- Guard mxSvgCanvas2D.setCssText against non-Element nodes
- Guard mxUtils.setStyleFlag against non-string style values
- Add configurable foldingIconSize for collapse/expand icons
- Enable collapse/expand actions for multi-selection [DID-18161]
- Guard EditorUi.highlightElement against null document.body
- Guard Sidebar.addEntry against non-string tags values
- Skip null-geometry cells in Graph.visitTableCells
- Guard Minimal.js hideCurrentMenu override against null editor
- Guard Sidebar.addCustomEntries against missing entry.libs
- Guard Dialog constructor against null document.body
- Guard updateShapes split against non-string cell styles
- Declare loop variable in Menus.showIconOnly
- Fix diffViewState null asymmetry causing checksum errors in mergeFile
- Persist Selection Only state in export dialogs within session
- Updates DOMPurify from 3.3.3 to 3.4.0
- Fixes link dialog layout in confluence connect

12-APR-2026: 29.7.6

- Thinner inline toolbar icons and toggle popover on click
- Shows inline toolbar popover above when below viewport
- Fix InlineToolbar ReferenceError in viewer builds
- Disables server logging for handled errors in handleError
- Excludes "Invalid or unexpected token" SyntaxError from server log
- Use specific color dialog titles instead of panel labels
- Move InlineToolbar creation override to InlineToolbar.js

12-APR-2026: 29.7.5

- Fixes URL hash update when switching pages in presentation mode
- Refactors theme submenu addition logic for better readability and maintainability
- Increases minimum width for shape window to improve layout consistency
- Fixes null reference errors in TableLayout, updateTabContainer, and ColorDialog
- A workaround for multipart doesn't support non ascii characters in diagram save comments
- Adds try-catch for image metadata stripping to handle malformed chunks
- Adds realtime checksum debugging documentation to CLAUDE.md
- Fixes null geometry in TableLayout.execute
- Fixes TypeError in EmbedFile.getTitle when descriptor is null
- Fixes JSON.parse error in loadLibraries when external library returns invalid content
- Handle corrupt page data in getPagesForXml without aborting
- Handles corrupted data errors in async pickFolder callbacks
- Extract InlineToolbar into separate InlineToolbar.js file
- Fixes edge color button in InlineToolbar to pass default color and show diagonal light-dark swatch
- Hides inline toolbar when edge color picker is opened
- Hides inline toolbar when edge color is picked or color picker is closed
- Adds arrow key navigation for sidebar search dropdown
- Excludes errors from blob: URLs in client error logging
- Excludes strict mode errors from extensions.min.js in client error logging
- Adds error handling for JSON.parse of create hash parameter in loadFile
- Adds error handling for menu factory in createMenubar
- Logs decodeChild errors to console instead of throwing
- Logs duplicate ID errors to console instead of throwing in putObject
- Adds null check for geometry in mxGraphHandler.start
- Fixes infinite loop in wedgeArrowDashed2 when stepSize is 0
- Adds null check for bounds in fitDiagramToWindow

10-APR-2026: 29.7.4

- Fixes Sidebar.destroy NPE by destroying sidebar before editor
- Fixes TypeError in updateEdgeState for invalid geometry objects
- Fixes TypeError in mxOutline.getViewBox after destroy
- Fixes TypeError in mxUtils.setStyle for non-string style values
- Refactors link overlay click handling to support custom links and improve link opening logic
- Uses page dropdown with chevronDown in presentation mode toolbar
- Fixes TypeError in refreshBrowserTranslateMirror for destroyed graph
- Fixes TypeError in keydown/keyup handlers for null graph container
- Fixes TypeError in windowResized for destroyed EditorUi
- Fixes TypeError in mxGeometry.equals for non-mxPoint offset objects
- Fixes TypeError in EmbedFile.getDescriptorRevisionId for null descriptor
- Fixes TypeError in mxPolyline.redraw for null node in updatePageBreaks
- Fixes possible NPE in mxCellState.clone
- Fixes possible NPE
- Adds error handling for corrupted data in dialog save actions
- Fixes TypeError in pasteCellStyles for non-string cell style
- Fixes paste style not removing default styles from target [jgraph/drawio-desktop#2383]
- Revert "Fixes encoding for connect attachments comments"

09-APR-2026: 29.7.3

- Changes to dashboard URL
- ci: trigger drawio-mcp search index update on new version tags
- Adds null check for callback in showExportDialog
- Adds null check for setTerminalPoint in cellsRemoved and disconnectGraph
- Fix URIError in StyleFormatPanel.addProperties for malformed style values
- Adds null check for equals in processChange for mxGeometryChange
- Fixes TypeError in addPaletteFunctions by protecting createVertexTemplateFromCells restore in addEntry
- Adds presentation mode for desktop using fullscreen DIV overlay
- Jira Cloud: Fixed a bug in Confluence search [DID-18214]
- Jira Conf: Added support for Forge diagrams in Confluence embed [DID-18214]
- Fix checksum errors from external tools adding extra diagram attributes

09-APR-2026: 29.7.2

- Prefers non-current page in omni search results
- Moves copy/paste text style from edit dropdown to text format panel buttons
- Adds page actions for omnibox access and reuses them in page tab menus
- Restores geUrlLinkContainer class on link dialog URL row for Confluence plugin
- Adds adaptiveColors to viewStateProperties for diff sync
- Fixes NPE in page tab drag when requestAnimationFrame fires after dragend
- Fixes NPE in table color picker when selection changes during async callback
- Fixes stroke color condition typo and non-string style in color scheme panel
- Adds error handling for corrupted data in Graph.decompress
- Adds error handling for corrupted draft data in DraftDialog
- Exposes urlInput property on LinkDialog for stable access from plugins
- Prevents showing sparkle button in simple theme if generate action is null

08-APR-2026: 29.7.1

- Jira Cloud: Fixed Confluence auth in embed [DID-18214]

08-APR-2026: 29.7.0

- Fixes dashboard URL
- Fixes possible NPE for invalid shape picker configuration
- Adds experimental curved text shape in Misc sidebar [jgraph/drawio#2651]
- feat: improve shape search with scored fallback and compound token splitting
- Redesigned edit data dialog
- Redesigned edit geometry dialog
- Redesigned page setup dialog
- Redesigned page background dialog
- Redesigned edit link dialog
- Update dialog style guide
- Redesigned edit library dialog and added resizing
- Redesigned edit diagram dialog
- Redesigned parse dialog
- Redesigned create graph dialog
- Redesigned plugins dialog
- Redesigned text dialog
- Redesigned simple text dialog
- Makes text dialog resizable
- Adds ms365 to proxy list
- Redesigned insert table drop down
- Persists sidebar width across page reloads
- Persists format panel collapsed section states across page reloads
- Persists sidebar library collapsed states across page reloads
- Adds pop animation when inserting single vertices from sidebar via click
- Shortens insert animation and defers selection until it completes
- Adds drag-and-drop reordering of sidebar library entries with persistence
- Convert color picker from modal dialog to non-modal tool window
- Fixes mxWindow title accumulation when browser translation is active
- Adds persistence for window positions, sizes, docking states and visibility
- Fixes layers window disabled state and tool windows not showing on first click
- Fixes recent colors duplication after reset in color picker
- Adds shift+click on tag eye icon to show only that tag
- Adds browserTranslate configuration switch and documentation
- Adds experimental support for browser translation
- Adds browser translation support to GraphViewer and changes default to enabled
- Adds spacer placeholder for page tab drag reorder
- Fixes tab scroller jumping on page activation
- Lazy browser translate init, default on in viewer, same-origin iframe support
- Fixes default color button missing in color picker tool window
- Adjusts animation delay in itemClicked function for faster transitions
- Fixes typing shim stealing focus from clipboard handler during copy/paste
- Adds Ctrl/Cmd+Enter shortcut to omnisearch dropdown for first entry after separator
- Fixes clipped SVG borders in clipSvgDataUri [jgraph/drawio#5534]
- Fixes stencil connection points with direction and aspect=fixed [jgraph/drawio#5537]
- Fixes stencil edge routing bounds with direction and self-loop state corruption [jgraph/drawio#5537]
- Improved localized shape search using fast, local reverse lookup for available resources [jgraph/drawio#5518]
- Adds copy/paste text style feature [jgraph/drawio#4752]
- Adds rounded border support for image shapes
- Fixes Find/Replace window not showing on first invocation from omni search
- Adds exact page name match in omni search when query ends with space
- Removes enableAi hard coded to true in conf connect plugin
- Defaults enableAi to false for new Confluence installs

02-APR-2026: 29.6.10

- Fixes build dashboard URL
- Fixes selection only option in print dialog for single page files [jgraph/drawio#5530]
- Remove unused GraphViewer.mergeXmlDelta and helper functions
- Adds pop effect easter egg to create hash property
- Add collapsible sections to format panel
- Increase sidebar padding and spacing for lighter feel
- Increase sidebar padding and spacing for lighter feel
- Enhance More Shapes dialog with new styles and layout adjustments
- Improve More Shapes dialog footer spacing and alignment

01-APR-2026: 29.6.9

- Adds elastic pop animation and popIn/popOut custom link actions
- fix: skip spacebar panning when focus is in a form element [jgraph/drawio#5529]

31-MAR-2026: 29.6.8

- Adds GraphViewer.mergeXmlDelta
- Fixes dy is not defined in EditorUi.showPublishLinkDialog
- Fixes TypeError in translateCell for invalid geometry objects
- Fixes TypeError in GraphViewer hiddenTags when diagrams is undefined

31-MAR-2026: 29.6.7

- Adds compressed XML support for SVG CLI export [jgraph/drawio-desktop#2143]
- Fixes rasterized fill patterns in PDF export [jgraph/drawio#3620]
- Enhance SVG text rendering by adding support for block elements and improving HTML to SVG conversion
- Add .claude/launch.json to .gitignore
- Enhance HTML to SVG conversion by adding word wrap and HTML tags
- Updates DOMPurify from 3.3.2 to 3.3.3
- Add BR support to HTML-to-SVG conversion and fix wrapped line heights
- Fixes inconsistent table row and column resizing
- feat: add configuration editor dialog with tabbed interface for visual editor and JSON
- docs: add guidance for updating configuration switches in Editor.configure
- feat: Enhance SVG conversion for HTML blocks and inline elements
- fix: Improve dy calculations for superscripts and subscripts in SVG rendering
- fix: Hide inline toolbar during all handle and cell drag operations
- Fixes inconsistent file open handling
- fix: Use whiteSpace instead of svgWhiteSpace when foreignObject is used
- fix: Correct typo in ChangeLog for animated gif export
- Add "Use Current" buttons for default styles in config editor
- fix: Update redrawInnerBends to handle empty geometry points for bends opacity
- fix: Auto-detect Android tablets in Chrome's desktop UA mode [jgraph/drawio#2090]
- Enables Generate dialog with clipboard actions in desktop app
- feat: add setInnerBendsOpacity function to manage inner bends opacity
- feat: add optional optimizeHtmlLabels config to clean up HTML labels [jgraph/drawio#5516]
- feat: Add "Search Shapes in Open Libraries" to omni search [jgraph/drawio-desktop#2320]
- Update resources submodule with translations for searchShapesInOpenLibraries
- fix: round text y-coordinates to 2 decimals in HTML-to-SVG label conversion
- Update resources submodule with translation fixes across 15 languages
- perf: reuse persistent div in getSizeForString to avoid repeated DOM reflows
- refactor: remove unused enableWrap parameter from mxText.updateSize
- refactor: remove IE8 dead code from mxText
- refactor: remove IE and IE11 dead code across entire codebase
- Update resources submodule with removed unused improveContrast key
- feat: make default file type configurable via Editor.configure [jgraph/drawio-desktop#1430]
- Update resources submodule with 9 unused resource keys removed
- fix: respect hidden tags in PDF export and printing [jgraph/drawio#3183]
- feat: populate tags URL/config param with current hidden tags state
- feat: streamline hidden tags handling across export and UI components
- feat: add root/layer metadata and type attribute to svgdata plugin SVG export [jgraph/drawio#5527]
- fix: always prevent default scroll on spacebar when activating panning [jgraph/drawio/issues/5524]
- fix: use this.format instead of undefined self.format in wrapSvgBlockElements
- fix: replace transform with zoom for improved print preview scaling
- feat: add enableLocalFonts config flag for desktop font scanning [jgraph/drawio-desktop#2371]
- fix: resolve %pagenumber% for each page during all-pages PDF export [jgraph/drawio-desktop#2376]
- Refactor export dialog layout and styles
- feat: extract embedded XML from PDF files in CLI export [jgraph/drawio-desktop#2160]
- fix: apply --width/--height to PDF export in CLI [jgraph/drawio-desktop#2162]
- feat: add contractParent and groupPadding styles for auto-shrinking groups [jgraph/drawio#618]
- Restyle embed dialogs and add auto-height for CustomDialog
- Move dialog style guide to separate file and add auto-height to print dialog
- Restyle config-editor dialog to match main app theme
- fix: avoid inline toolbar overlap with edge labels and child elements
- Remove agent and version attributes from mxfile
- fix: disable MathJax inline line breaking for edge labels [jgraph/drawio#5514]
- Add fixedHeader style for swimlane shapes

24-MAR-2026: 29.6.6

- Enhances tab activation and scrolling behavior in the page tab container
- Threads done callback through openFiles/openFileHandle/openLocalFile
- Remove launch configuration file for development servers
- Sanitizes invalid VSDX property names for best-effort import
- Add clipboard actions to generate dialog [jgraph/drawio#5507]
- Update subproject commit reference in resources
- Add smooth scrolling to tab on click in createTab function
- Update chat window dimensions in openGenerateDialog function
- Allow docked windows to be resized
- Update clipboard copy label in ChatWindow dialog
- Adds animated gif export to atlas.min.js
- Add insert diagram from clipboard option in generate dialog
- Improve generate dialog dropdown labels for AI options
- Fixes encoding for connect attachments comments

23-MAR-2026: 29.6.5

- Corrects dashboard path
- Avoid InlineToolbar overlapping edge segments
- Remove embedded XML from images copied to clipboard
- Add showLinkIcons and showTooltipIcons support to GraphViewer
- Fix word wrapping mismatch in autosizeText in-place editor
- Fix MathJax path in embed dev mode
- Fix fill patterns to scale correctly with diagram zoom level
- Fix touch input on Android tablets using Chrome desktop site mode
- Fixes wrong SVG scaling in desktop PNG export [drawio-desktop#1954]
- Adds intersectionSelect configuration switch [drawio#5508]
- Fixes undo for initial fill style change (eg. from auto to hatch)
- Fixes Cmd+, for Chrome settings on macOS
- Fixes fill pattern offset shifting on zoom and window resize
- Add exportProtocol and diffSync options to JSON embed protocol
- Adds configurable shape picker via Editor.configure() [jgraph/drawio#1812,jgraph/drawio#1197,jgraph/drawio#4130,jgraph/drawio#3783]
- Marks imported files with updates page links as dirty [DID-17660]
- Opens draw.io/VSDX files in same window when dropped on blank file

18-MAR-2026: 29.6.4

- Tidies changelog
- Add dev server launch configurations
- Align custom paper size unit dropdown with other format panel elements
- Removes exits from preprocessor
- Fixes possible NPE in mxCellEditor.resize
- Add noExitOnCancel option to template protocol action
- Update InlineToolbar styles for improved dark mode support

16-MAR-2026: 29.6.3

- Fixes NPE

16-MAR-2026: 29.6.2

- Fixed swimlane business template [DID-17965]
- Updates DOMPurify from 3.3.1 to 3.3.2
- Update border color for dark mode dialog windows
- Fix format=0 to hide format panel initially instead of disabling it
- Disable window docking in embedInline mode
- Add sidebarEnabled property to manage sidebar visibility in EditorUi
- Reposition icon in InlineToolbar to avoid overlap with edge waypoint handles
- Adjust minimum widths for toolbar and menus based on embed parameter; enhance flex properties
- Remove minWidth attribute from viewMenu and adjust separator addition in Toolbar initialization
- Enhance passive scroll mode handling in EditorUi to prevent keystroke capture and forward scroll events to parent frame
- Enhance fitWindow method to support centering on page within viewport
- Enhance theme handling for 'kennedy' in EditorUi; adjust format panel and sidebar visibility based on window size
- Fixes delayed scroll for fitDiagramOnLoad option
- Ignores invalid scratchpad data [jgraph/drawio-desktop#2341]
- Adds fitDiagramOnPage switch [jgraph/drawio#5415]
- Refactors getXml function to simplify XML serialization process
- Refactors isRelativeUrl function to improve URL validation logic
- Implements event firing for rubberband selection updates and adds UPDATE event constant
- Adds default link target for SVG exports in Graph class
- Sets mxIsElectron to false in embed mode for better compatibility
- Adds support for plugin menu items and hides specified menu items
- Enhances configuration options for EditorUi, adding support for compact mode, auto-focus suppression, and customizable message sources in embed mode.
- Refactors updateAutosizeTextFontSize to accept style parameter for improved flexibility
- Adds autosize text font size update on text spacing change
- Refactors toggleShapesPanel to include noScroll parameter for improved control over scrolling behavior
- Refactors diagram fitting logic to use initialFitDiagram method for improved readability and consistency
- Adds optional connect handle functionality
- Adds configuration option for connect handle visibility
- Enables debug tooltip with dev-tooltips parameter
- Adds support for passive scroll and no resizers configuration options
- Removes unused code for IE
- Adds support for pasting at mouse pointer if enabled
- Adds edit tooltip functionality for cells in the graph
- Adds support for internal clipboard configuration in Editor and EditorUi
- Adds support for source metadata handling in diagram parsing
- Adds load event for mermaid datain embedded editor
- Disable auto focus in embedded editor with noAutoFocus
- Refactor smartFit action to streamline lightbox resizing and integrate with button click
- Conditional key binding for 'selectVertices' action based on dev parameter
- Enhance connect handle by adding shape picker on click
- Add default connection arrows and connectable settings to Graph prototype
- Improve connectable and connection arrows settings handling in readGraphState
- Add default folding enabled setting and update related configurations
- Force show shape picker on connect handle click
- Add URL parameters for grid and page visibility settings
- Enhance GraphViewer responsiveness by adding max scale configuration
- Refactor message handling in export and autosave processes
- Add custom scale handling and margin adjustments for embedded diagrams
- Add inline embedding support for graph translation adjustments
- Enhance inline embedding by adding UI visibility controls for toolbar and windows
- Enhance responsiveness in GraphViewer by adjusting viewBox calculations and adding border handling
- Add context menu enhancements for passiveScroll mode with shape picker integration
- Fixes insert for cancel in insert polygon
- Adds support for styles in parsed mermaid diagrams [jgraph/drawio#3884]
- Improve overlap detection for inline toolbar positioning
- Delay fitting of popup menu to ensure it is rendered correctly in the viewport
- Add clearSelection action to graph for improved user interaction
- Refactor responsive border handling in GraphViewer for consistent scaling behavior
- Add resetViewOnSave configuration to reset view position on save
- Preserve original XML attribute values in readGraphState for consistent state management
- Update view state management to preserve view position on save
- Add copyStyle/pasteStyle to context menu in passiveScroll mode
- Rename clearSelection embed action to resetEditor and hide menus
- Add bend style dropdown to inline edge toolbar
- Add modelBounds to embed protocol and xml export format
- Honor preset maxWidth in responsive scaling for diagrams
- Refactor maxWidth calculation for responsive scaling in GraphViewer
- Sync fullscreen button state with actual panel visibility
- feat: add noPrint and noExport URL params to hide chromeless toolbar buttons
- Fix inline toolbar icons not visible in dark mode
- Updates all actions to node 24

05-MAR-2026: 29.6.1

- Removes i18n updating from actions
- Fix Cloud Build when using custom service account
- Hide cell ID and make Edit Data dialog resizable for file-level vars
- Prevent focus stealing from external input elements in showTypingShim [DID-17955]
- Adds showTooltipIcons switch
- Reset sync channel on makeCopy to prevent cross-talk with original file [jgraph/drawio#5487]
- Increase dialog height for EmbedDialog instances to improve layout
- Make EmbedDialog resizable with flex layout
- Hides hints while zooming [jgraph/drawio#5486]

27-FEB-2026: 29.6.0

- Fix MS365 SharePoint file picker integration
- Sets ms365 integration live
- Adds format=0 and sidebar=0 URL params for minimal theme

26-FEB-2026: 29.5.6

- AWS shapes update
- Adds ms365 URL parameter

26-FEB-2026: 29.5.5

- Fixes possible NPE in mxLayoutManager
- Fixes return value in Graph.cellsResized override
- Fixes line submenu in edge context menu
- Adds new dialog styles
- Adds file-specific variables [jgraph/drawio#549] [jgraph/drawio#2911] [jgraph/drawio-desktop#2108]

25-FEB-2026: 29.5.4

- Fixes elbow edge style icons
- Fixes update of toolbar edge styles with selected vertices
- Fixes order of horizontal and vertical edge option in Format panel, toolbar, inline toolbar and context menu
- Makes inline toolbar visible by default, uses line menu
- Fixes tooltips for inline toolbar
- Fixes inconsistent edge menus
- Adds dockable tool windows
- Fixes possible stale dropdown menu
- Fixes clipping of labels for Chrome on Windows
- Fixes inconsistent tooltips in Format panel
- Adds tooltips for checkboxes in Format panel
- Adds autosizeText cell style and sticky notes with automatic text size [jgraph/drawio#2570]
- Fixes background image translation in GraphViewer (almost all code overrides getGraphBounds of graph and not viewer which graph.fit uses) [DID-17873]

24-FEB-2026: 29.5.3

- Hides link icons if showLinkIcons disabled
- Fixes IME first keystroke [jgraph/drawio#3642] [jgraph/drawio#4801] [jgraph/drawio#313]
- Fixes broken copy/paste after IME fix
- Fixes error message for missing animations
- Adds zigzag shape in Misc sidebar  [jgraph/drawio#4663]
- Adds insert and edit polygon actions [jgraph/drawio#5292]
- Fixes broken panning after IME fix
- Adds optional inline toolbar for edge styles [jgraph/drawio#4794]
- Simplifies horizontal and vertical elbow edge style icons
- Fix VSDX import: make Visio containers non-connectable and add hyperlink null guard [DID-17660]

22-FEB-2026: 29.5.2

- Deletes unused code causing security warnings
- Tidies changelog
- Updates excludes
- Fixes zoom while drawing freehand [jgraph/drawio#3959]
- Updates MathJax from 4.1.0 to 4.1.1
- Fixes panning in active freehand mode [jgraph/drawio#4080]
- Adds animated gif export [jgraph/drawio#3739]
- Moves animated gif functions to correct location
- Fixes error for saving scratchpad [jgraph/drawio-desktop#2341]
- Adds flow direction and fixes background for animated gif export
- Limits show link icons to main graph
- Fixes resources merge issue
- Reviewed and updated translations

20-FEB-2026: 29.5.1

- Updates to emf importer

19-FEB-2026: 29.5.0

- Initial draft for link icon
- Uses validateCellState for update of link icon
- Adds enableExportUrl configuration switch [jgraph/drawio#4336] [jgraph/drawio#5431]
- Fix emoji and supplementary Unicode characters corrupted after save/reload
- Bezier curve falls back to quad for cases it can't handle [jgraph/drawio-desktop#2333]
- Missing var in actions.js [jgraph/drawio#5457]
- Fixes rename and saveAs for StorageFiles
- New emf converter

14-FEB-2026: 29.4.0

- Handles 404 in GitLab group iteration [jgraph/drawio#4528]
- Adds visible modifiers and events for actions
- Fixes ignored parameter in addItem
- Fixes ignored pv and grid URL parameters for create hash with xml
- Sets maximum initial zoom for create hash to 1.2
- Makes connection points dialog resizable [drawio/discussions/5442]
- Adds resizing for image crop dialog [drawio/discussions/5203], handles overflows [drawio/discussions/5478]
- Adds fitDiagramOnLoad switch [jgraph/drawio#5415]
- Fixes realtimeStateChanged triggers notification repaint
- Adds message type for create hash property
- Fixes grid jump while zoom [jgraph/drawio#1440]
- Uses current production wheelZoomDelay
- Adds markers for arc shape [jgraph/drawio#3639]
- Removes fill and gradient option for arc shape

06-FEB-2026: 29.3.8

- Improves create hash handling
- Handles overflows in error dialog
- Conf Cloud: Removed export to URL option [DID-17708]
- Adds debug output in  executeCreateHash

03-FEB-2026: 29.3.7

- Adds Claude 4.5 Opus for local LLMS and removes whitespace from response XML
- Shows AI button in Conf and Jira toolbar if not disabled
- Adds scrollbars for overflow content in Generate window
- Bump qs, body-parser and express in /etc/centralizedLogging/GCP
- Adds XML type for create hash property
- Fits create hash property diagram to window

27-JAN-2026: 29.3.6

- Adds delete all pages option
- Improvements for XML import
- Adds custom line dash pattern options
- Update translations submodule to 996b60e
- Disables file size stats
- Adds claude guide to root
- Fixes handling of inherit color value
- Fixes overflow, adds option to insert layer after current layer, moves selection layers [jgraph/drawio#5438]
- Update translations submodule to 6650194
- Update translations submodule to 645f7e6
- Conf Cloud: Fixed race condition in OAuth requests when multiple viewers are in the same page [DID-17497]
- VSDX Import: Fixed some NPE and added a case for embedded images [DID-17282]

20-JAN-2026: 29.3.5

- Add simple.js build to atlas.min.js

20-JAN-2026: 29.3.4

- Added some css filtering for @import and absolute urls [bugcrowd 31d70940-348e-4d9e-ae26-a20396ef5d69]
- Improvements for [bugcrowd 31d70940-348e-4d9e-ae26-a20396ef5d69]
- Adds Kalaallisut to supported languages

19-JAN-2026: 29.3.3

- Adds expandToFront cell style [jgraph/drawio#4413,jgraph/drawio#5419]
- VSDX Import: Improved background color parsing [DID-17382]
- Fixes hide of shape picker on hover icon reset
- Moves autosize text to Misc sidebar [jgraph/drawio-desktop#2313]
- Fixes drag and drop in layers dialog
- Augments existing URL parameters with #P
- Handles test mode in getEditBlankUrl
- Creates temporary file after close
- Fixes saveAs for browser files
- Uses #P for edit as new
- Clears #P hash property in client mode, keeps saved temp file in same window

15-JAN-2026: 29.3.2

- Adds shift+click on app version in desktop to enable debug mode
- Adds additional check for external change detection [2312]
- Adds bezier style option for curved edges
- [conf cloud] Fixed extra whitespace when centering is enabled [DID-17409]
- Adds support for optional tags attribute in mxlibrary node
- Changes beizer to use standard cubic control point positions
- Adds initial NURBS support [jgraph/drawio#2104]

13-JAN-2026: 29.3.1

- Fixes import of cropped SVG images [jgraph/drawio#5015]
- Adds optional size parameter for export action [jgraph/drawio#4536]
- Adds Mermaid support for load action [jgraph/drawio#5215]
- Removes metadata from JPEG/PNG images [AMS-49114]
- Adds removeImageMetadata config switch
- Fixes check for image type in stripImageMetadata
- Adds optional cell style compression for images and stencils in model codec
- Adds file size stats

08-JAN-2026: 29.3.0

- Fixes possible NPE
- Merges built preprod back to dev as PR rather than commit
- Adapts validate actions for PR merge instead of cherry picking
- Fixes possible invalid default parent
- Hides current menu when windows are moved or resized
- Adds layer selection in layers dialog [jgraph/drawio#5408]
- Fixes inconsistent menu order for current layer
- Fixes possible NPE [jgraph/drawio-desktop#2307]
- Adds legacy support for anchor points [jgraph/drawio-desktop#2306]
- Fixes resources for selecting and selected objects in layers
- Adds defaultTextStyle config switch
- Adds autosize for shape picker text [jgraph/drawio#5409]
- Disables legacy anchor points only on unconnected flipped shapes

06-JAN-2026: 29.2.10

- Fixes help link in chat dialog
- Fixed a bug in vsdx importer [DID-17282]
- Improves generate dialog for custom LLMs
- Changes default for desktopAutoSync to true [jgraph/drawio-desktop#2227]
- Uses fonts loader path for MathJax
- Fixes multi-line issue
- Sanitize HTML output in ChatWindow
- Improves layers dialog [jgraph/drawio#5408]

19-DEC-2025: 29.2.9

- Updates MathJax fonts to 4.1.0

18-DEC-2025: 29.2.8

- Adds configuration options for custom LLMs
- Updates DOMPurify from 3.3.0 to 3.3.1
- Updates MathJax from 4.0.0 to 4.1.0
- Adds enableNativeClipboard config switch [jgraph/drawio#5383]
- Renames enableChatGpt to enableAi
- Checks for string color instead of object [DID-17282]

10-DEC-2025: 29.2.7

- Reverts edit icon for local .html files [jgraph/drawio#5375]

08-DEC-2025: 29.2.6

- Changes edit icon naming clash caused by [jgraph/drawio#5375]

08-DEC-2025: 29.2.5

- Fixes anchor points for flipped shapes [jgraph/drawio#5341]

04-DEC-2025: 29.2.4

- Adds edit icon for local .html files [jgraph/drawio#5375]

02-DEC-2025: 29.2.3

- Minor UI fixes

01-DEC-2025: 29.2.2

- AI and licensing tuning

27-NOV-2025: 29.2.1

- Fixes possible NPE

27-NOV-2025: 29.2.0

- Enhances pagecount and pagenumber placeholders [jgraph/drawio#3378]
- Adds support for CSV in create hash property [jgraph/drawio#5273]
- Replaces smart template section with generate window

21-NOV-2025: 29.1.1

- [conf connect] License tuning

19-NOV-2025: 29.1.0

- Makes attribute encoding deterministic [jgraph/drawio#1556]

15-NOV-2025: 29.0.3

- Math base path and CSP corrections

13-NOV-2025: 29.0.2

- Fixes math PDF export

13-NOV-2025: 29.0.1

- Updates mermaid to 11.12.1
- Fixes math print output

12-NOV-2025: 29.0.0

- Updates to Mathjax 4.0.0
- Fixes edge labels in Mermaid flowcharts [DID-16838]
- Removes unused files for MathJax [mathjax/MathJax#3436]
- Cisco stencil updates

03-NOV-2025: 28.2.9

- Updates DOMPurify from 3.2.5 to 3.3.0
- Adds handling of light-dark grid settings [jgraph/drawio#5285]
- Fixes cursor state in freehand mode [jgraph/drawio#4936]
- [conf forge] Changes to allow plantUml

23-OCT-2025: 28.2.8

- Hides inactive virtual bends for entity relations
- Fixes preview button in smart template section
- Fixes possible NPE for dependent properties
- Improves search for fully qualified shape names
- Fixes color picker for valid shape colors
- Fixes watch new file handles, adds desktopAutoSync switch (beta) [jgraph/drawio-desktop#2227]
- Fixes possible stale draft in desktop
- Adds open recent in simple UI for desktop [jgraph/drawio-desktop#2221]

14-OCT-2025: 28.2.7

- Adds support for animations on multiple pages [jgraph/drawio#5262]
- Fixes q.getStatus is not a function in OneDriveClient
- Fixes possible a.split is not a function in StyleFormatPanel

13-OCT-2025: 28.2.6

- [conf cloud] Notifies user when app is uninstalled in case of forge migration
- Makes some Cisco stencils multi-color flexible
- Fixes blurry image export [jgraph/drawio-desktop#2209]
- Adds copy marker option [jgraph/drawio#5280]
- Fixes inconsistent default text styles and sizes [jgraph/drawio#4818]
- Enables bulk modification of container property
- Shows shape name in cell properties [jgraph/drawio#5288]
- AWS shapes update
- Adds opacity option in color dialog [jgraph/drawio#5256]
- Fixes text wrapping for process shape with fixed size [jgraph/drawio#5296]
- Uses single quotes for font names with spaces [jgraph/drawio-desktop#2214]
- Fixes click handling on SVG embed option labels
- Disasbles convert label option for unformatted text
- Fixes property panel in min UI [jgraph/drawio-desktop#2176]
- Fixes context menu for multiple selected edges [jgraph/drawio#4791]

24-SEP-2025: 28.2.5

- Fixes handling of alpha values in inverted colors [DID-16387]

22-SEP-2025: 28.2.4

- Adds support for HEX colors with transparency
- Adds dash-dot line pattern [jgraph/drawio-desktop#2184]
- [conf cloud] Adds option to build page IDs mapping manually using DB files [DID-15536]
- Fixes possible NPE for VSDX import [jgraph/drawio#3507]
- Changes unconnected terminal dims to [0,0] [jgraph/drawio#5242]

16-SEP-2025: 28.2.3

- Adds dropbox.com to connect-src CSP

15-SEP-2025: 28.2.2

- Fixes error dialog when panning into shapes panel [jgraph/drawio#5263]
- Changes notification URL to support diagrams.net and draw.io
- Registers service worker with enableSW=1 URL parameter

11-SEP-2025: 28.2.1

- Adds gliffy shape mappings [DID-16199]
- Rack cabinet shape layout bugfix [jgraph/drawio#4823]

05-SEP-2025: 28.2.0

- Adds gliffy stencil mappings [DID-16201]

28-AUG-2025: 28.1.2

- Fixes broken image in Office app [jgraph/drawio#5219]
- X keyboard shortcut hides freehand window [jgraph/drawio#5217]
- Makes CSV import dialog resizeable
- Fixes label position for Network 2025 shapes [jgraph/drawio#5244]
- Updates mermaid to v11.10.1

21-AUG-2025: 28.1.1

- [conf cloud] Workaround for CONFCLOUD-80136 bug [CES-99755]
- [conf cloud] Removed color name from the anchor including a status macro [DID-16085]
- Fixes scrollbars in nested menus [jgraph/drawio#5231]
- Fixes handling of gapi-stealth for file menu, save and link dialog [DID-15625]
- Adds lockdown via app configuration
- Fixes editing of draft files in desktop

12-AUG-2025: 28.1.0

- [conf cloud] Fixes anchors with special characters [DID-15965]
- [conf cloud] Adds caching to page IDs import [DID-15536]

08-AUG-2025: 28.0.9

- [conf cloud] Recovers from bug in page IDs import where server drawio macros are changed to embed (re-indexing reconverts them) [DID-15899]

08-AUG-2025: 28.0.8

- Fixes mermaid Gantt diagrams width [DID-15926]
- [conf cloud] Reduces diagram preview image size to fit more in search-recent
- [conf cloud] Removes edit-settings buttons in Livedoc viewer [DID-15961]
- [conf cloud] Fixes a bug in page IDs import where server drawio macros changes to embed [DID-15899]

25-JUL-2025: 28.0.7

- Fixes zoom out icon in draft dialog [jgraph/drawio-desktop#2154]
- Fixes clipboard.read is not a function
- [conf cloud] Fixes page IDs import, page is not found [DID-15536]

17-JUL-2025: 28.0.6

- Fixes missing File menu option

16-JUL-2025: 28.0.5

- [conf cloud] Stops converting server macro with aspectHash to embed macro [DID-15703]
- Add LC case for UserImage2Block shape [DID-15706]
- Fixes mermaid colors in dark mode [DID-15734]

12-JUL-2025: 28.0.4

- Adds pages option to export URL dialog
- Handles backgroundColor in HTML to SVG
- Adds resizing for plantuml and mermaid edit dialog
- Removes image option in plantuml dialog

11-JUL-2025: 28.0.3

- Activates convert HTML to SVG and removes feature flag

11-JUL-2025: 28.0.2

- Conf Cloud: Handled incorrect return value from convert-ids-to-types API [DID-15536]

10-JUL-2025: 28.0.1

- Adds some HTML to SVG conversion

10-JUL-2025: 28.0.0

- Fixes possible ClipboardItem.supports is not a function
- Fixes possible overflow for sidebars on small screens
- Fixes Alt+Click in sidebar and shape picker [jgraph/drawio#4720]
- Fixes possible NPE in mxGraph.intersects
- Removes Twitter and Facebook button in Embed dialog [DID-15625]
- Enables PlantUML menu option if URL was customized [DID-15625]\
- Adds gapi-stealth URL parameter for stealth mode with Google Drive [DID-15625]
- Adds resizing for metadata dialog [jgraph/drawio#375,jgraph/drawio#5142]
- Hides Publish and Embed menu when offline [DID-15625]
- Hides Publish and Embed menu when offline in Minimal theme [DID-15625]
- Updates icon cache

30-JUN-2025: 27.2.0

- Adds copy as SVG, improves handling of clipboard data
- Fixes theme buttons on touch devices
- Fixes justifyfull [jgraph/drawio#526]
- Fixes enter keystroke in omni search box
- Fixes use of generic font-families [jgraph/drawio#4998]
- Fixes window tooltips i18n [jgraph/drawio#4654]
- Adds shadows option for print and PDF export, uses CSS filter for global shadow [jgraph/drawio-desktop#2133]
- Fixes floating panels on mobile [jgraph/drawio#5134]
- Fixes exported SVG image sizes [jgraph/drawio#4814]
- Fixes diagram insert position in Notion extension [jgraph/drawio#5123]
- Fixes disabled dark mode in Firefox 140
- Adds miterlimit property for shapes [jgraph/drawio#4706]
- Fixes PDF title and page numbers [jgraph/drawio-desktop#2130,jgraph/drawio#4102]
- Adds experimental pipe shape, improves edge style panel [jgraph/drawio#5144]
- Fixes miter limit default value
- Adds support for SVG background images with dark mode
- Fixes offsets in image export [jgraph/drawio#5122]
- Fixes possible NPE in Find dialog [jgraph/drawio#5143]

16-JUN-2025: 27.1.6

- Hides dark mode toggle in unsupported browsers
- Updates SAP library preview
- Service worker optimizations

13-JUN-2025: 27.1.5

- [conf cloud] Fallback for more info call failing [DID-15438]
- [jira cloud] Fixing Jira re-indexing [DID-14930]
- Fixes CSS issues in Atlas theme [jgraph/drawio#5119]
- Updates SAP shapes
- Adds app.diagrams.net specific service worker

04-JUN-2025: 27.1.4

- [conf cloud] Removed upload option from embed diagram macro
- Adds ge prefix for panel-color and dark-panel-color CSS variable
- Fixes editing of property values [jgraph/drawio#5102]

02-JUN-2025: 27.1.3

- Lowers specificity of generic CSS selectors
- Fixes handling of transparent background in explore mode

30-MAY-2025: 27.1.2

- Makes certain css selectors less generic [DID-15398]

28-MAY-2025: 27.1.1

- [conf cloud] Fixed permissions check for diagram edit [DID-15344]

28-MAY-2025: 27.1.0

- Refactors GCP2 shapes [jgraph/draw#5006]
- [conf cloud] Making Gliffy version pinning optional (off by default) [DID-15346]

23-MAY-2025: 27.0.9

- Uses per-cell container for inputs/selects in property rows [jgraph/draw#5086]

22-MAY-2025: 27.0.8

- Fixes possible notification NPE

22-MAY-2025: 27.0.7

- Restricts notifications to own diagrams.net domains [jgraph/docker-drawio#187]
- [conf cloud] Removes blank and smart templates from Confluence Template diagrams [DID-14800]
- [conf cloud] Fixes editor hang in Template editor [DID-14800]

16-MAY-2025: 27.0.6

- Fixes paste location to use position of mouse [drawio-desktop#2096]

13-MAY-2025: 27.0.5

- Skips service worker install on first load

12-MAY-2025: 27.0.4

- Fixes image export background [jgraph/drawio-desktop#2091]
- Adds warning for plantuml deprecation

09-MAY-2025: 27.0.3

- Moves bootstrap and main code to external JS files

08-MAY-2025: 27.0.2

- Changes cache url for app.diagrams.net
- Builds xml2js

07-MAY-2025: 27.0.1

- Sorts xml2js file list deterministically

07-MAY-2025: 27.0.0

- Disables splash screen by default

06-MAY-2025: 26.3.0

- Improves XML parsing with invalid characters [DID-15090]
- Renames Network libraries
- AWS update
- Updated Mermaid to v11.6.0
- Fixes SVG output of mermaid in some special cases [#drawio-5046]
- Fixes tab selection after label change [jgraph/drawio#5050]
- Requires forceMigration=1 to run www.draw.io migration

23-APR-2025: 26.2.15

- Internal build

22-APR-2025: 26.2.14

- Fixes NPE in VSDX import
- Fixes initial sidebar width for Firefox
- Adds urlParam, enableSW, to force enable service worker
- Adds missing jira cloud viewer html to SW

16-APR-2025: 26.2.13

- Adds missing Exit Group and Home menu items [jgraph/drawio#5021]

11-APR-2025: 26.2.12

- Fixes build error

11-APR-2025: 26.2.11

- Moves Mermaid menu from Advanced to Insert menu
- [conf cloud] Adds option to Gliffy mass import to check current page when linked diagrams fail [DID-14921]
- [vsdx]: Partial fix for themed fill color[DID-14963]

10-APR-2025: 26.2.10

- [conf cloud] Fixed diagrams in custom templates [DID-14800]

07-APR-2025: 26.2.9

- [conf cloud] Fixed migrated server custom libraries names for Conf v8.x [DID-14902]

05-APR-2025: 26.2.8

- Adds ALLOW_INTERNAL_10_NET=1 for 10.x.x.x proxy usage [jgraph/drawio#4966]
- Adds try/catch for TENANT_ID exception [jgraph/drawio#4909]
- Moves mermaid2drawio.js back into public build

05-APR-2025: 26.2.7

- [conf cloud] and GraphViewer. Removes tooltips config. Pages use file tooltips config [DID-14767]
- Fixes filename and comments button for Conf Cloud

04-APR-2025: 26.2.6

- Updates DOMPurify from 3.2.4 to 3.2.5
- Adds primaryColor option for custom shape properties
- Adds mxUtils.getColorValue
- [conf cloud] Adds support for live docs [DID-14520]
- Adds Note shape in Misc sidebar
- [conf cloud] Fixed migrated server custom libraries names [DID-14902]

03-APR-2025: 26.2.5

- Fixes Google Drive folder picker z-index
- Fixes OneDrive folder picker size
- [conf cloud] Fixes headers anchor [DID-14864]

02-APR-2025: 26.2.4

- Fixes possible NPE in Sidebar.disablePointerEvents
- [conf cloud] Added support for imported Gliffy images with the added version prefix to the name [DID-14867]
- Fixes possible NPE in ColorDialog

01-APR-2025: 26.2.3

- [conf cloud] Fixes viewer background

31-MAR-2025: 26.2.2

- Adds Tamil translations
- Fixes Confluence cloud lightbox [DID-14879]

31-MAR-2025: 26.2.1

- [conf cloud] Fixes possible NPE in LinkDialog
- Fixes updateUserElement is not a function
- Fixes initial state of default theme in embed mode
- Fixes background for Notion extension

31-MAR-2025: 26.2.0

- [conf cloud] Removes lucidchartObject from the imported diagram and Conf loaded diagrams [DID-14777]
- [conf cloud] Added debug message to script load error [DID-14714]
- Fixes background color in PNG export [jgraph/drawio-desktop#2049]
- Adds styles to clipboard and default style [jgraph/drawio#4989]
- Refactors editor CSS

25-MAR-2025: 26.1.3

- Fixes handling of duplicate IDs in mxCodec [DID-14777]
- [conf cloud] Potential fix for link dialog size [DID-14793]

24-MAR-2025: 26.1.2

- Increases mermaid text size to 900k [jgraph/drawio#4761]
- Jira Cloud: Replaced deprecated search APIs
- Disables pusher.min.js loading in lockdown mode
- [conf cloud] Potential fix to Gliffy import incorrect version pinning [DID-14749]
- [conf cloud] Added sorting to attachments and anchors in link dialog [DID-14793]

14-MAR-2025: 26.1.1

- Adds fill-/strokeColorStyles for XML stencils
- Fixes text selection on shape drag from sidebar [jgraph/drawio-desktop#2015]
- [conf cloud] Fixes import libraries error handling
- Updates placeholders in resize preview [jgraph/drawio#4958]
- Find/replace sets focus on search input [jgraph/drawio#4959]

05-MAR-2025: 26.1.0

- Tenant for OneDrive fix [jgraph/drawio#4905]
- Fixes print to PDF export dialog size and button title
- Fixed images in vsdx export with multiple pages and also image scale [DID-14515]
- Removes vsdx export functionality

21-FEB-2025: 26.0.16

- Fixes colors in vsdx export [DID-14515]
- Fixes background color option for selection text

19-FEB-2025: 26.0.15

- Adds default dark mode support for SVG images
- Shows word wrap option for non-resizable cells [jgraph/drawio-desktop#1994]
- Adds word wrapping to attributes section of entity shape [jgraph/drawio-desktop#1994]
- [conf cloud] Fixes Aura compatibility [DID-14484]

14-FEB-2025: 26.0.14

- Fixes change of line height for wrapped text [jgraph/drawio#4902]
- Adds support for older browsers with no light-dark colors
- Improves compatibility of exported SVG
- Improves handling of ignored stroke-widths in clipSvgDataUri
- Fixes handling of single color values in SVG with editable CSS rules

12-FEB-2025: 26.0.13

- Adds appearance option in publish and embed dialogs
- Forces light export of diagrams with no adaptive colors
- Skips light-dark function for same light and dark color
- [conf cloud] Adds support for pagePin in Gliffy import
- Adds enableLightDarkColors configuration

07-FEB-2025: 26.0.12

- [conf cloud] Fixes simple view of imported Gliffy diagrams [DID-14343]
- [conf cloud] Disable direct editing if a page has unpublished changes [DID-14257]
- Fixes handling of Ctrl+Enter on Windows [jgraph/drawio#4883]
- Adds transparent background option in iframe embed dialog [jgraph/drawio#4884]
- Handles Ctrl+S while editing labels [jgraph/drawio#4885]
- Fixes editing toolbar alignment in embed mode [jgraph/drawio#4874]
- Updates DOMPurify from 3.2.3 to 3.2.4
- Handles subgroups in GitLab paths [jgraph/drawio#4870]

04-FEB-2025: 26.0.11

- [conf cloud] Show error when embed diagram page not found (deleted or restricted) [DID-14304]
- [conf cloud] Fixed realtime collaboration [DID-12871]

28-JAN-2025: 26.0.10

- [conf cloud] Fixes Gliffy mass import of linked diagrams when done in separate runs [DID-14151]
- Enhanced page links in vsdx import [DID-14276]

27-JAN-2025: 26.0.9

- Fixes possible split is not a function in StyleFormatPanel
- Uses light custom background with simple adaptive colors [jgraph/drawio-desktop#1978]

24-JAN-2025: 26.0.8

- Improves VSDX Import [DID-14176]
- [conf cloud]] Fixes Gliffy diagrams with core ui icons [DID-14260]

22-JAN-2025: 26.0.7

- Fixes for Atlas theme dark mode
- Dark mode fixes
- Changes raster images to SVG
- Stroke width fix for some BPMN2 shapes. Ticket [jgraph/drawio#4861]
- [conf cloud] Adds disableGithubEmbedding config to hide Github tab from embed editor [DID-14232]

15-JAN-2025: 26.0.6

- Various dark mode improvements

10-JAN-2025: 26.0.5

- Fixes Ctrl+Shift+G to enable grid [jgraph/drawio#4825]
- Replaces three dots with layers icon [jgraph/drawio-desktop#1953]
- Mermaid2drawio: Added support for new flowchart shapes and fixed [jgraph/drawio-#4832]
- Adds editableCssRules=.* for imported SVG images [jgraph/drawio#4721]
- Adds default and font keyword for stencil colors [jgraph/drawio#4723]

06-JAN-2025: 26.0.4

- Disables dark mode in viewer by default [jgraph/drawio#3701]
- Adds dark mode option in embed dialog

03-JAN-2025: 26.0.3

- Fixes slope angle property for parallelogram and hexagon [jgraph/drawio#3672]
- Adds arcSize property for chevron [jgraph/drawio#4813]
- Adds units for width, height and length [jgraph/drawio#4362]
- [conf cloud] Fixed Safari dark mode [DID-14095]
- Fixes missing data-cell-id in EditorUi.getEmbeddedSvg [jgraph/drawio#4532]

29-DEC-2024: 26.0.2

- NPE fixes

28-DEC-2024: 26.0.1

- Updates mermaid to v11.4.1

27-DEC-2024: 26.0.0

- Updates DOMPurify from 3.2.2 to 3.2.3
- Adds dark mode specific colour scheme

05-DEC-2024: 25.0.3

- Adds entering custom zoom via toolbar in simple UI
- Adds back jszip to deployment

03-DEC-2024: 25.0.2

- Internal release

30-NOV-2024: 25.0.1

- Updates DOMPurify from 3.1.5 to 3.2.2 with fix for [DID-13161]

29-NOV-2024: 25.0.0

- Restructures project files

28-NOV-2024: 24.9.3

- NPE fixes

27-NOV-2024: 24.9.2

- [conf cloud] Improving theme detection timing [DID-13083]

25-NOV-2024: 24.9.1

- Reverts DOMPurifty to 3.1.5 [DID-13161]

23-NOV-2024: 24.9.0

- Updates workbox to 7.3.0 in build docker image

22-NOV-2024: 24.8.9

- Forces service worker to reload Confluence and Jira html to fetch the new CSP header [DID-13083]

21-NOV-2024: 24.8.8

- Fixes possible NPE

21-NOV-2024: 24.8.7

- Fixes font size and line height change for selection text [jgraph/drawio-desktop#1880]
- Removes implicit CSS values and empty style attributes from DOM
- Adds OpenStack stencils
- Adds Power Platform stencils to Azure and Dynamics365 stencils

13-NOV-2024: 24.8.6

- Corrects sidebar build

13-NOV-2024: 24.8.5

- [conf cloud] Removes target options from the page IDs export [DID-12937]
- Adds Alibaba Cloud stencils
- [teams] Fixes mobile app file picker

04-NOV-2024: 24.8.4

- [conf cloud] Removes confluence embed file hash to fix embed iframe [DID-12936]

25-OCT-2024: 24.8.3

- [desktop] Fixes print page size [jgraph/drawio-desktop#1893]

23-OCT-2024: 24.8.2

- Adds IBM Cloud stencil set

22-OCT-2024: 24.8.1

- Initial convert of confluence connect manifest to forge

18-OCT-2024: 24.8.0

- Fixes math typesetting in svg export [jgraph/drawio-desktop#1874]
- Adds new Citrix stencil set
- Initial convert of jira connect manifest to forge
- [jira cloud] Fixes search page error

30-SEP-2024: 24.7.17

- [conf cloud] Fixes showing older versions of a diagram in page history [DID-12641]
- [conf cloud] Adds libraries edit/add from the editor [DID-12585]

20-SEP-2024: 24.7.16

- Fixes editorui parameter for loadLibrary [DID-12644]

19-SEP-2024: 24.7.15

- Uses java17 for GAE deployment
- [conf cloud] Adds diagram translation support via ["translateDiagrams": true] config
- [conf cloud] Fixes a NPE [DID-12553]

13-SEP-2024: 24.7.14

- Updates to mermaid 11.2.0
- [conf cloud] Uses retry-after header info when rate-limiting hits

11-SEP-2024: 24.7.13

- [conf cloud] Fixes errors in diagrams list

05-SEP-2024: 24.7.12

- Internal release

05-SEP-2024: 24.7.11

- Fixes possible XSS for tooltips in dev mode

02-SEP-2024: 24.7.10

- Internal release

02-SEP-2024: 24.7.9

- Fixes exit flag in save event message [jgraph/drawio#4010]
- [conf cloud] Using viewerTimeout config in the editor also [DID-12425]

28-AUG-2024: 24.7.8

- Adds math typesetting support for Mermaid [drawio-desktop-1824]
- [conf cloud] Handle incorrect draft status of a page [DID-12384]

12-AUG-2024: 24.7.7

- [conf cloud] Improved mass import error message to match API v2 behavior [DID-12282]
- Fixes scratchpad saving errors [drawio-1833]

29-JUL-2024: 24.7.6

- Uses current host only for non-public GitLab and GitHub files [jgraph/drawio#4502]
- [conf cloud] Fixed Giffy mass import issues [DID-12199]

25-JUL-2024: 24.7.5

- [conf cloud] Applies link adjustment configuration to diagram editor [DID-12118]
- AWS shapes update
- [conf cloud] Fixed NPE when editing some diagrams [DID-12175]
- Fixes cell highlight bounding box [jgraph/drawio#4509]

23-JUL-2024: 24.7.4

- Fixes page break alignment in print preview [jgraph/drawio#4447]
- Fixes timeout for synchronize of StorageFile
- Removes modified, etag and type attribute from mxfile [jgraph/drawio#4461]
- Fixes handling of font lists and quotes in font names [jgraph/drawio#4560]
- [conf cloud] Fixes new diagram dangling drafts issue [DID-12168, DID-12166, DID-12158, DID-12159]

22-JUL-2024: 24.7.3

- Updates SAP shapes
- [conf cloud] Showing confluence images when 3rd party cookies are disabled [DID-12108]
- Fixes PDF export and print pixel ratio [DID-12130]
- Fixes ignored transform on SVG subtree [jgraph/drawio#4557]
- Removes data-cell-id in SVG subtrees
- [conf cloud] Fixes embed macro insertion

19-JUL-2024: 24.7.2

- [conf cloud] Uses v2 connect endpoint calls
- Excludes clipart from shape search index [jgraph/drawio#4547]
- [conf DC] Improved Google Drive app not installed error handling [DID-12115]

17-JUL-2024: 24.7.1

- Removes host domain checks [DID-12104]

16-JUL-2024: 24.7.0

- Adds SAP icons [jgraph/drawio#4199]

10-JUL-2024: 24.6.5

- [conf cloud] Fixed relative links when owningPageId is empty [DID-12053]

27-JUN-2024: 24.6.4

- Fixes reset of selected shape groups [drawio-desktop#1783]
- Removes broken help link in template dialog
- Fixes missing URL parameters for published Drive files [jgraph/drawio#4501]
- Fixes arrows in mermaid sequence diagram converter
- Adds UI switch to toggle animations [jgraph/drawio#4491]

25-JUN-2024: 24.6.3

- Removes drop shadow in PDF export [jgraph/drawio-desktop#1784]
- Conf Cloud: Added support for copied pages in Gliffy import [DID-11864]
- Conf Cloud: Added support for inplaceEdits configuration [DID-11923]
- Removes uponSanitizeAttribute listener for SVG content attribute [DND-1208]

22-JUN-2024: 24.6.2

- Adds option to include current page in PNG and SVG export [jgraph/drawio#2860]
- Fixes Cmd + US keyboard shortcut [jgraph/drawio-desktop#1792]

21-JUN-2024: 24.6.1

- Improves Google Drive app not installed message [DID-11885]
- Disables shadows in printing and PDF export [jgraph/drawio-desktop#1784]

20-JUN-2024: 24.6.0

- Adds autosizeGrid style [jgraph/drawio#1131]
- Adds Editor.enableChatGpt with config switch
- Ignores service worker registration errors [jgraph/drawio#4483]
- Adds UI zoom to desktop help menu [jgraph/drawio-desktop#1359]
- Adds non-numpad zoom keyboard shortcuts [jgraph/drawio-desktop#978]
- Uses quotes for CSS font-family [jgraph/drawio-desktop#1604]
- Adds Editor.enableAnimations with config switch [jgraph/drawio#4491]
- Fixes grid color for print and PDF export in dark mode [jgraph/drawio#4488]
- Preserves cell hierarchy in SVG output [jgraph/drawio#3960]

17-JUN-2024: 24.5.5

- Simplifies publish dialog [jgraph/drawio#4346]
- Allows image links in libraries [jgraph/drawio#4474]
- Runs PNGs through pngquant with default settings
- Fixes change of default connection style [jgraph/drawio#4479]
- Fixes math rendering in revision compare view
- Adds in-place editing for layer names [jgraph/drawio#902]

12-JUN-2024: 24.5.4

- Fixes link to members page for GitLab files [jgraph/drawio#4213]
- Uses current unit in edge start/end/width/size/spacing in Format panel [jgraph/drawio#2993]
- Fixes conflict dialog for deleted files in desktop
- Fixes BPMN group shape in dark mode [jgraph/drawio#4471]

11-JUN-2024: 24.5.3

- Fixes show start screen option [drawio-desktop-1738]
- Fixes fallback text position [drawio-desktop-1624]
- Removes control characters in link check
- Uses current unit in line position (start, end) in Format panel - Arrange [drawio-1915]

07-JUN-2024: 24.5.2

- [conf cloud] Adds Drive file access and app check to embed macro
- Fixes bulk change of cell styles [drawio-3961]

06-JUN-2024: 24.5.1

- [conf-cloud] Fixes viewer scope

06-JUN-2024: 24.5.0

- Changes viewer to use main google project 671 ID

06-JUN-2024: 24.4.15

- Fixes possible clipping in sidebar popup
- Enables saveAs for read-only files
- Fixes text editing position for insert layout dialog [drawio-4449]
- Adds start-/endFillColor styles for connectors [drawio-4438]

05-JUN-2024: 24.4.14

- Adds support for adaptive polling
- Updates DOMPurify from 3.1.4 to 3.1.5
- Adds support for mermaid flowchart elk renderer [drawio-3634]
- Undo/redo selects and scrolls to modified cells [drawio-desktop-1766]
- Fixes preview for sidebar items [drawio-desktop-1737]
- Improves UX for AI generate template tile

31-MAY-2024: 24.4.13

- Moves polyfill scope

31-MAY-2024: 24.4.12

- Adds empty polyfill for structuredClone to avoid mermaid.js syntax error

31-MAY-2024: 24.4.11

- Updates Mermaid to v10.9.1
- Fixes cropped PDF output [drawio-desktop-1747]
- Fixes inconsistent handling of empty diagram nodes

29-MAY-2024: 24.4.10

- Improves edge label positions in Explorer Plugin [drawio-4424]
- Fixes shift+drag for new lines with anchor points [drawio-4197]
- Adds new teams domain to frame ancestor CSP

27-MAY-2024: 24.4.9

- Uses 4 digits after the decimal point for inches [drawio-desktop-1739]
- Fixes inconcistent handling of Ctrl and Cmd key for edges

24-MAY-2024: 24.4.8

- Fixes default shadow opacity [drawio-desktop-1750]

23-MAY-2024: 24.4.7

- Fixes possible NPE for inserted pages
- Forces XML update for inserted default root and layer
- [vsdx] Another trial to fix edge as a group [drawio-1722]
- [conf cloud] Potential fix for copy/paste in draft pages [DID-11494]
- Fixes possible empty diagram node in mxfile [DID-11645]

22-MAY-2024: 24.4.6

- Fixes possible NPE in Graph.initTouch

22-MAY-2024: 24.4.5

- Updates Teams app to use SDK v2.22.0 [CSP-3150]
- Fixes in-place editing on iOS [drawio-4411]
- Updates DOMPurify from 3.1.3 to 3.1.4
- Fixes possible overwritten library files in browser storage
- Blocks popup menu and shape picker in freehand mode
- Fixes units for table cell size change [drawio-4360]
- Fixes handling of parallel edges in explore plugin [drawio-4422]
- Adds units for custom page size [DID-11607]

17-MAY-2024: 24.4.4

- Improves diff sync for removed default layer

16-MAY-2024: 24.4.3

- [conf cloud] Updates CSP based on the deprecation notice https://developer.atlassian.com/cloud/confluence/changelog/#CHANGE-1601
- Improves diff sync and handles special cases

15-MAY-2024: 24.4.2

- Fixes possible NPE in StorageFile.getEtag

15-MAY-2024: 24.4.1

- Improves page switching performance
- Updates DOMPurify from 3.1.2 to 3.1.3
- Restores view and selection state after merge of local files
- Adds conflict handling for browser files for testing
- Fixes inactive escape listeners in sidebar [drawio-4379]
- Moves locking to file [drawio-desktop-1380]
- Adds automatic merge for browser files

10-MAY-2024: 24.4.0

- [vsdx] Fixes attribute labels [drawio-4299]
- Fixes built-in plugins enabling in windows [drawio-desktop-1508]
- Adds full support for fullscreen menu option [drawio-desktop-1638]
- Improves font support in PDF export
- Improves refresh when Math rendered
- Adds my.microsoftpersonalcontent.com to CSP
- Fixes first page title when a file is imported into an empty diagram [drawio-3519]
- [conf cloud] Adds global config to disable diagram revisions (disableVersioning: true) [DID-10247]
- Adds grid, selection cells to mxPrintPreview
- Merges print, PDF and advanced PDF export dialog
- Fixes bounding box for edge shapes [DID-11356]
- Fixes label position for Kubernetes shapes [drawio-4386]
- Updates DOMPurify from 3.1.0 to 3.1.2
- Handles possible errors in App.clearServiceWorker [drawio-4340]

26-APR-2024: 24.3.1

- Fixes breadcrumb trail after refresh in OneDrive picker [drawio-4339]
- Fixes diagrams in Google Add ons [drawio-4349]
- Fixes diagram size in Google Add ons [drawio-4351]
- Removes margin for cropped PDF export [drawio-4353]
- [conf cloud] Fixes AP.navigator.getLocation returning incorrect pageId in drafts [DID-11399]

24-APR-2024: 24.3.0

- Enable internal links in PDF export [drawio-722]

24-APR-2024: 24.2.9

- Adds support for PDF+XML files in OneDrive picker [drawio-4339]
- Adds autosize and resizable to style clipboard [drawio-4285]
- Fixes PWA for iOS and iPadOS [drawio-4342]
- Adds support for iframe sandbox attribute [drawio-4340]
- Skips getStoredMode in embed mode [drawio-4340]

22-APR-2024: 24.2.8

- Adds experimental read-only mode [drawio-desktop-1380]
- [conf cloud] Adds support for server lightbox links [DID-11348]
- Enables crop option in PDF export dialog
- Fixes background images, page IDs in print preview

19-APR-2024: 24.2.7

- Simplifies print dialog
- Adds linecap and linejoin style [drawio-4200]
- Removes test.draw.io domain for development
- Adds Open Library option in Edit dropdown [drawio-3499,1357]
- Adds support for stencils in Open Library option
- Fixes dynamic loading of stencils in Firefox [DID-11328]
- Fixes possible scrollbars, all pages label in print dialog
- Changes font size unit label to px [drawio-3615,drawio-desktop-1448]

18-APR-2024: 24.2.6

- Build failure

12-APR-2024: 24.2.5

- [conf cloud] Improves embedding from URL and CSV via proxy and confluence attachments [DID-11234]
- Fixes possible DOM error in mxGraph.panGraph
- Sorts files and folders in OneDrive picker [drawio-2870]
- Checks size in Graph.clipSvgDataUri [drawio-desktop-1686]
- Fixes C4 shape container names [drawio-4312]

10-APR-2024: 24.2.4

- Release skipped

08-APR-2024: 24.2.3

- Adds Editor.fontSizeUnit, fixes possible unhandled font element
- Disables dots fillStyle in sketch mode
- Updates Rough.js from 4.4.1 to 4.6.6
- Enables rubberband on locked shapes [drawio-desktop-1684]
- Fixes saving of embed HTML in desktop [drawio-4301]
- Updates DOMPurify from 3.0.11 to 3.1.0
- Fixes ignored anchor links in SVG for Chrome PDF export

03-APR-2024: 24.2.2

- [conf cloud] Fixes timeout error fetching custom libraries when libraries page not found [DID-11193]
- Fixes iphone shape in small sizes [DID-11188]
- Writes warning for unknown object type, ignored value [DID-11225]
- Removes internalCompression feature flag

28-MAR-2024: 24.2.1

- Adds menu item for high contrast mode
- Adds shortcuts.svg to PWA [drawio-desktop-1130]
- [conf cloud] Fixes special XML characters in import services [DID-10752]
- Fixes C4 labels [drawio-4300]

26-MAR-2024: 24.2.0

- Naming fix for [draw-3336]
- Updates DOMPurify from 3.0.9 to 3.0.11
- Fixes export with invalid background page
- Fixes C4 strings [drawio-2612,3581]
- First iteration support for OS high constrast [drawio-4296]

23-MAR-2024: 24.1.0

- Improves save performance for files with images [DID-11006]

23-MAR-2024: 24.0.9

- Improves remote changes handling in DrawioFileSync.fastForward

22-MAR-2024: 24.0.8

- Fixes background of ID property
- Fixes lost page links in pasted cells
- Adds shortcut for bringForward/sendBackward [drawio-desktop-1662]
- Fixes mouse wheel in freehand mode [drawio-4278]
- [conf cloud] Refreshes viewer if loaded version doesn't match one in storage format [DID-10966]

14-MAR-2024: 24.0.7

- Moves Cloudflare workers to mxgraph-gliffy-java repository
- Fixes possible HTML content as SVG subtree
- Fixes overridden font in background page images
- Fixes timeout for invalid image in SVG export
- Disables and removes links in background pages
- Adds tooltips for values in Property pane
- Fixes clipped cell ID in Property pane [drawio-4262]
- Fixes regex performance in Graph.isLink [drawio-3939]
- [conf cloud] Adds upload embed diagrams to custom templates parsing [DID-11066]

13-MAR-2024: 24.0.6

- Moves subtree when tree is collapsed [drawio-3113]
- Fixes ignored given local filename [drawio-3555]
- Fixes possible NPE in Graph.executeCustomActions
- Fixes event handling on background pages
- Fixes %length% placeholder in child edge labels [drawio-1677]

11-MAR-2024: 24.0.5

- Adds checkbox for text shadow [drawio-4247]
- Explore ignores hidden edges [drawio-4243]

09-MAR-2024: 24.0.4

- [conf cloud] Fixes copied pages with embed upload macro editing [DID-11003]

08-MAR-2024: 24.0.3

- [conf cloud] Enables direct editing without custom content
- [conf cloud] Fixed imported libraries name if end with ".xml" [DID-10920]
- Adds block padding and margin properties to style panel [drawio-4198]
- Uses default spacing for Textbox shape
- Fixes default font for sketch mode [drawio-4216]
- Fixes broken MathJax output after zoom [drawio-4242]
- Fixes custom fonts and images in background pages [drawio-4239,drawio-3712,drawio-3281,drawio-2733,drawio-2367]

05-MAR-2024: 24.0.2

- Fixes DRAWIO_SERVER_URL if query string contains forward slash
- Handles double-quotes in page URLs
- Fixes waypoints for grouped edges [drawio-desktop-1646]
- Fixes ignored null bytes in mxUtils.trim

02-MAR-2024: 24.0.1

- Updates DOMPurify from 3.0.8 to 3.0.9
- Adds contrast URL parameter [drawio-3701]
- Fixes preview of SVG export with embedded fonts
- [conf cloud] Adds migration support for pageInfo parameter, templateUrl to re-indexing, improves tinyUrl parsing regex
- [conf cloud] Adds support for templateUrl with pageInfo in viewer
- [conf cloud] Shows custom contents based on macros in the page instead of page custom contents (easier deletion and no re-indexing)

29-FEB-2024: 24.0.0

- Adds shape shadow style option [drawio-1671]
- Uses drop-shadow CSS filter for shape shadows [drawio-1671]
- Disables shape shadow option for Safari
- Fixes possible XSS in mxUtils.getSizeForString [CSP-3024]
- Supports vertical writing mode [drawio-4068]

28-FEB-2024: 23.1.8

- Remove unnecessary servlets from deployment
- Fixes possible XSS in print preview title [CSP-3018]
- Fixes editBlankUrl for subpaths [drawio-4152]
- Fixes possible NPE in Sidebar
- Salesforce shape library fix
- AWS shapes update [DS-951]
- [conf cloud] Fixed some re-indexing issues in logging and search text property [DID-10652]

26-FEB-2024: 23.1.7

- Debug build to attempt to find rogue resources load

22-FEB-2024: 23.1.6

- Fixes possible XSS in tooltips for overlays [CSP-2969]
- Fixes reference to clip path [drawio-4202]
- Fixes possible XSS in fontCss for print preview [CSP-2986]
- [conf cloud] Added tooltip to edit button when disabled
- [conf cloud] Using v2 api to edit the page in direct diagram editing

15-FEB-2024: 23.1.5

- [conf cloud] Add charset to requests to protect from default charset changes
- [conf cloud] Added requests rate limiting retrials for long running services [DID-10681]
- Fixes incorrect font colors in PDF output [drawio-4176]
- Removes text editing code for IE8/9/10
- Fixes possible XSS in Graph.updateLabelElements [CSP-2963]
- Fixes possible XSS in ErrorDialog [CSP-2964]

13-FEB-2024: 23.1.4

- Fixes CSS scope in SVG sub-trees [drawio-4119]
- Fixes possible XSS for init-editor [CSP-2954]

12-FEB-2024: 23.1.3

- [conf cloud] Added support for Gliffy pinned versions & display name in mass import [DID-10522]
- Improves copy/paste for styles
- Improves font defaults for themes
- Applies default theme edge font size to general edge labels
- [conf cloud] Moving back to REST v1 to avoid encoding issues [DID-10762]

06-FEB-2024: 23.1.2

- Fixes possible spin forever in image dialogs [drawio-4166]
- Uses SVG icons for Confluence Cloud viewer toolbar buttons
- Handles possible parser error in OneDrive auth
- Fixes prev is not defined when creating new files
- [conf cloud] Removed custom libs 25 limit in listing [DID-10673][DID-10695]

01-FEB-2024: 23.1.1

- Update azure shapes [drawio-3333]
- Fixes only first layer shown in template preview
- Fixes image size and padding for savesidebar URL parameter

31-JAN-2024: 23.1.0

- Fixes smoothing configuration for freehand [drawio-3093]
- Fixes loading of uncompressed templates with CORS headers
- [conf cloud] Handles trailing spaces in the diagram name for gliffy import [DID-10460]
- Changes auth paths to use server url prefix
- [conf cloud] Fixed outdated drafts when page is copied [DID-10546]
- [conf cloud] Handles macros with macroId only parameter in gliffy import [DID-10460]

25-JAN-2024: 23.0.2

- Fallback to online resource for embed fonts and images
- Fixes possible duplicate callback for XHR in error case
- Adds fallback to raster for embedded SVG images
- Fixes freehand drawing behaviour [drawio-4140]
- Prevents XSS due to unchecked base URL parameter
- Fixes inconsistent link and textbox dialogs

24-JAN-2024: 23.0.1

- Fixes possible scrollbar in connection points dialog
- Fixes not adding existing tags to selection

23-JAN-2024: 23.0.0

- Major release increment due to removal of HTML labels to SVG path functionality
- Removes convert label to SVG, embeds images and fonts by default in SVG export
- Fixes scrollbars in fitWindow for viewbox action
- Disables compressed XML in SVG export, sets scale/border for XML in SVG/PNG export [drawio-4125]
- [conf cloud] Fixes Aspects dialog overflow issue [DID-10568]

23-JAN-2024: 22.1.22

- Adds experimental freehand settings [drawio-3093]
- Ports Embed2 servlet to CF worker
- Consistent handling for closing splash [drawio-4089]
- [conf cloud] Storing services log to configuration space [drawio-3991]
- [conf cloud] Improved viewer settings dialog
- Improved compatibility for SVG export [drawio-4119]

17-JAN-2024: 22.1.21

- Fixes immediate Dropbox file loading in dev mode
- Updates DOMPurify from 3.0.6 to 3.0.8
- Fixes dropbox naming clash in global scope, duplicate function

16-JAN-2024: 22.1.20

- Internal release, see release notes

16-JAN-2024: 22.1.19

- Scrolls page tab to visible after moving page
- Fixes possible timeout when entering commit message
- Removes line jumps at branching points [drawio-3965]
- Fixes ignored text direction style [drawio-4104]

09-JAN-2024: 22.1.18

- Fixes overridden configurations [drawio-desktop-1564]
- Removes multiple javascript protocol prefixes
- Adds exit menu and fixed isModified detection [drawio-desktop-1222]
- Fixed text replace when search query is " or ' [drawio-desktop-1152]
- Fixes error messages of new files in offline mode [drawio-nextcloud-62]
- Experimental support for vertical writing mode [drawio-4068]
- Fixes relative links in SVG export

04-JAN-2024: 22.1.17

- Adds copyAsText in Edit drop down [drawio-3949]
- Replaces clearWaypoints button with drop down
- Fixes clipping, replaces hint in filename dialog [drawio-4074]
- Adds support for using the same URL in DRAWIO_LIGHTBOX_URL [docker-drawio-137]
- Fixes selection propagation for current root
- Fixes cursor for immediate edge handling in groups
- Fixes cursor for immediate edge handling in selected ancestors
- Fixes scrollbar positions after enter-/exitGroup
- Fixes move of selected edges in groups

29-DEC-2023: 22.1.16

- Adds simple theme to atlas.min.js

27-DEC-2023: 22.1.15

- Fixes NPE of undefined function emfDone [drawio-4072]
- Prints current version number in clear.html
- Fixes dark mode not persisted in some cases [drawio-desktop-1540]

27-DEC-2023: 22.1.14

- Fixes this.isVisioFilename undefined in Editor.js
- Fixes mxSettings is undefined [DID-10370]
- Fixes NPE for minified freehand code in production build

27-DEC-2023: 22.1.13

- Fixes "Add tag" dialog title clipped [drawio-desktop-1537]
- Increases maximumFileSizeToCacheInBytes to 10MB [DID-10317]

26-DEC-2023: 22.1.12

- Handles possible empty content in GitHub [drawio-4045]
- Fixes use of modified default style for sidebar items
- Fixes use of defaults for curved edge styles
- Adds new Kubernetes shapes [drawio-3699]
- [conf cloud] Adds enableCssDarkMode config to viewers also [DID-10038]

15-DEC-2023: 22.1.11

- Fixes default edge style overrides edges in sidebar [drawio-4038]

15-DEC-2023: 22.1.10

- Release stopped due to NPE in testing

14-DEC-2023: 22.1.9

- Scrolls to loaded libraries, fixes library export to browser
- Fixes library moved to end after edit
- Fixes relative links in print preview
- Alt+Shift+Drag ignores cell under mouse if selection not empty

12-DEC-2023: 22.1.8

- Adds color option in freehand dialog [drawio-3454]
- Fixes reset icon for recent colors in dark mode
- Adds appendCustomLibraries config switch [drawio-4027]
- Fixes direction of edges in horizontal tree layout [DID-10171]
- Sets edgeStyle for edges inserted from sidebar [drawio-1122]
- Fixes scroll to inserted page tab

06-DEC-2023: 22.1.7

- Fixes possible getAttribute is not a function

06-DEC-2023: 22.1.6

- Adds custom fonts to list only after graph changes
- Adds style option for image libraries [DID-10031]
- Adds expandLibraries config switch [drawio-1737]
- Adds label value in edit data export [drawio-3949]
- Updates GCP icons [drawio-3254]

29-NOV-2023: 22.1.5

- Fixes forwards refs for undo of replaceDiagramData
- Adds defaultGridSize config option [DID-10031]
- Fixes custom fonts while editing label [DID-10031]

24-NOV-2023: 22.1.4

- [conf cloud] Fixes diagram list editing older versions and not refreshing [DID-10113]
- Adds selectParentLayer config switch [drawio-3928]
- Fixes handling of space separated layer-ids in URL
- Fixes improve contrast only enabled in dark mode
- [conf cloud] Improving page IDs import report readability [DID-10039]
- Selects current page based on browser address bar
- Fixes PDF export for background images and pages
- [conf cloud] Allows simple viewer with 3rd party cookies disabled [DID-10047]
- Fixes relative path for MathJax in embedded HTML
- Updates DOMPurify from 3.0.5 to 3.0.6
- Fixes bold font for Google Fonts [drawio-3907]

17-NOV-2023: 22.1.3

- Updates archimate icons [drawio-3863]

15-NOV-2023: 22.1.2

- Fixes move of child cells in groups [drawio-3967]
- [conf cloud] Fixes bugs in rendering diagrams with pageInfo param [DFCC-64]

13-NOV-2023: 22.1.1

- Reverts part of e6ea9f to restore child cell dragging behaviour [drawio-3967]

08-Nov-2023: 22.1.0

- [conf cloud] Added confluence-content parameter support [DFCC-64]
- Updates AWS icons to Q3 23 set [drawio-3945]

25-OCT-2023: 22.0.8

- [conf cloud] Excludes old editor from duplicate macros fix [DID-9751]

24-OCT-2023: 22.0.7

- [conf cloud] Fixed math in the viewer [DID-9794]

19-OCT-2023: 22.0.6

- [conf cloud] Fixes Gliffy import hanging when import API fails [DID-9752]
- [conf cloud] Adds support for importing short links with special characters [DID-9687]

18-OCT-2023: 22.0.5

- [conf cloud] Adds support for importing short links less than 6 characters [DID-9687]
- [conf cloud] Fixes direct editing in blogposts [DID-9702]
- [conf cloud] Fixes fullscreen (lightbox) view of diagrams in page templates [DID-9690]

06-OCT-2023: 22.0.4

- Adds Emoji shape support

05-OCT-2023: 22.0.3

- Fixes possible NPE in clonePages error handler
- [vsdx] Stops using default theme when theme index not found [DID-9622]
- Fixes tags dialog icons in dark mode [drawio-3910]

03-OCT-2023: 22.0.2

- Fixes new save dialog for SharePoint [drawio-3900]
- Fixes copy/paste after dialog was shown [drawio-3903]

02-OCT-2023: 22.0.1

- Ignores selection for nested cells with part style
- Adds salesforce icons [drawio-2793]

28-SEP-2023: 22.0.0

- Adds DRAWIO_SERVER_URL as an additional URL to DRAWIO_BASE_URL. BASE_URL used to indicate
	the URL both the back-end and static code were delivered on. SERVER_URL now provides a 
	way to delivery on one URL and server the back-end functions on a different URL. 
	By default the server URL value is blank.
- Fixes search for uncompressed shapes, result order
- Fixes dialog stack order [drawio-3883]

24-SEP-2023: 21.8.2

- Confirm escape key for insert layout [drawio-3880]
- Scrolls cell to visible after remove from group

22-SEP-2023: 21.8.1

- Attempt to fix NPE in GraphViewer
- [conf cloud] Fixed custom templates loading in the editor [DID-9482]
- [conf cloud] Prevent calling theme callback multiple times for the same event [DID-9505]
- Fixes independent drag of cell with part=1 [DS-950]

20-SEP-2023: 21.8.0

- Ports Cache servlet to AWS Lambda [TI-11]
- Fixes possible tab scrolling [drawio-desktop-1411]
- Fixes default parent after root change [drawio-3868]
- Adds inverse dark filter for iframes [drawio-3869]
- Inserts overlapping connector on top [drawio-3853]
- Fixes collapsed details viewer in FF [drawio-3292]
- Adds spacing, alignment to default style [drawio-3307]
- Fixes shape search on Android with Chromium [3321]
- Adds width and height placeholders [drawio-3327]
- Add allowed domain [DID-9475]
- Adds length placeholder for edges [drawio-3327]
- Fixes constrained collapsed resize [drawio-3274]
- Adds edge meta data in CSV import [drawio-3324]
- Adds support for same height as width in CSV import

12-SEP-2023: 21.7.5

- Adds CSS styles for Latex SVG export [drawio-3839]
- Removes invalid flow plugin UI entry [drawio-3840]
- Fixes child edge bounding box offset [drawio-3844]
- Fixes saving changes in Notion plugin [drawio-3846]
- Shows shapes panel only after loading custom libs
- [conf cloud] Improved error message for 413 HTTP error (file too large) [DID-9113]
- Fixes contentLength header for UTF16 [drawio-3847]

08-SEP-2023: 21.7.4

- AWS shapes update to Q2 2023 [drawio-3677]

08-SEP-2023: 21.7.3

- Adds title attribute support for custom links
- Adds Ctrl+Alt+X for copy as image [drawio-3754]
- Changed app name in shortcuts edit link to draw.io
- Uses pre-line for newlines in tooltips [DID-9327]
- Adds WebP image export [drawio-553]
- Enables text selection in lightbox [drawio-3732]
- [conf cloud] Added support for custom templates in page IDs import [DID-9320]
- [conf cloud] Showing actual filename in viewer title tooltip when displayName is different [DID-9241]
- Handles possible JSON parsing error in DriveClient

01-SEP-2023: 21.7.2

- Fixes library item zoom on label select [DID-9295]
- [conf cloud]] Added support for diagram names with spaces (untrimmed) [DID-9038]

30-AUG-2023: 21.7.1

- Refreshes after showing/hiding cells [drawio-9263]
- Fixes moving multiple cells on touch devices
- Fixes anchors and edge style for sequence diagrams [drawio-desktop-1370]
- Fixes replace shape for UML lifeline drop targets
- Enables new save dialog

28-AUG-2023: 21.7.0

- Adds page names in viewer tooltips [drawio-3763]
- Adds README for Crypto JS library [CSP-2255]
- Fixes canvas state after redrawShape [drawio-3806]
- Adds checkbox for current layer with multiple cells
- Fixes connect/select in locked layer [drawio-3760]
- Adds Alt+C/V for copy-/pasteStyle [drawio-3632]
- Adds initial API for custom links on context cells
- Fixes possible cropping, reduces link dialog width
- Adds Embed button to convert image URL to data URI

22-AUG-2023: 21.6.9

- Shows sidebar when libraries are loaded [drawio-3744]
- Fixes toggle shapes panel ignores current state
- Uses center of shapes for swap action
- Remembers include diagram state for SVG/PNG export
- Fixes CSS for exported dark mode SVG [drawio-3768]
- Fixes printing of background images in CSS dark mode

10-AUG-2023: 21.6.8

- Fixes possible background image error [DID-9099]

07-AUG-2023: 21.6.7

- Fixes offset after page selection [drawio-desktop-1411]

28-JUL-2023: 21.6.6

- Adds improve contrast, fixes CSS for old dark mode
- [conf cloud] Added config option to generate SVG preview when a diagram is published (generateSVGs: true) [DID-8942]
- [vsdx] Split EMF conversion into chunks to reduce the chance of timeout and reduce + retries on error

20-JUL-2023: 21.6.5

- Fixes mxIsElectron undefined error in editor.js

20-JUL-2023: 21.6.4

- Uses URL hashtag for embed in Notion [drawio-3376]
- [conf cloud] Removes draw.io support menu item from Confluence help menu [DID-8934]
- [desktop] Changes default dark mode to classic [drawio-desktop-1391]
- Adds html tags check/filteration to i18n parser [CSP-2113]
- [conf cloud] Fixes Go to Containing Page button in embed diagrams viewer [DID-8704]

18-JUL-2023: 21.6.3

- Shift+Alt+Drag moves selection cells [drawio-3726]
- Fixes grouping of shapes with table [drawio-3725]
- Updates DOMPurify from 3.0.3 to 3.0.5
- Fixes update of page tabs after import [DID-8891]
- [conf cloud] Load main file diagram if draft unchanged and old version in macro
- Fixes Grid option in pdf export
- [jira cloud] Added support for server zip format [DFJC-18]
- [vsdx] Added support for rotated edge labels [DID-8697]
- Fixes getBoundingBoxFromGeometry for nested groups
- Fixes initial scrollbar for demo mode in simple UI
- Removes voice plugin [CSP-2113]
- Use Ctrl+Y and Ctrl+Shift+Z for redo [drawio-3733]
- Sanitizes HTML markup in labels [CSP-2113]

11-JUL-2023: 21.6.2

- Fixes application icon background color
- Adds swap for two selected vertices in Arrange tab
- [conf cloud] Adds Gliffy non-mapped shapes to mass import report [DID-8704]
- Fixes inverted background page colors [drawio-desktop-1375]
- Hides explore for unconnected cells [drawio-3716]
- Fixes move cells on fold in lightbox [DID-8763]
- Fixes handling of UTF-8 in SVG images [drawio-506]

05-JUL-2023: 21.6.1

- Fixes special cases in replace shape [drawio-3686]
- Enables new dark mode in production [drawio-3701]
- [conf cloud]] Adds back dark theme [drawio-3698]
- [jira cloud]] Adds back dark theme [drawio-3697]
- [vsdx] Fixed edge labels [DID-8697]
- Fixes blue guides remaining in view [drawio-3695]
- Uses new dark mode in Notion extension [#3701]

04-JUL-2023: 21.6.0

- Release rejected

28-JUN-2023: 21.5.2

- Fixes text contrast in right sidebar [drawio-3691]
- Fixes clipping of library symbol icons [DID-8634]
- Replacing shape replaces all styles [drawio-3686]
- Disables dark mode in jira and conf cloud [drawio-3692]

26-JUN-2023: 21.5.1

- Adds tolerance for edge handles, click on terminal
- Shift+alt+drag moves shapes, fixes inconsistencies
- Shift+alt+drag on resize and terminal handle moves
- Fixes highlight of connecting edges for shift+drag
- Fixes update of table handlers, inconsistent code
- Changes replace behavior to match find logic [drawio-3616]
- Improves replace in html labels to cover more cases
- Fixes status not clickable on icon [drawio-3688]
- Fixes zoom in edit connection points [drawio-3684]
- Adds grid in connection points dialog [drawio-3685]
- Changes allowBrowser to an argument in LibraryDialog [DID-8641]
- [desktop] Fixes stencils and shapes in export due to CSP restrictions

17-JUN-2023: 21.5.0

- Moves electron.js out of drawio project into desktop

16-JUN-2023: 21.4.1

- Fixes misalignment of arrow labels [drawio-3668]
- [conf cloud] Fixes NPE in theming code 
- Updates stage sub domain to preprod
- Adds click handler for preview in new save dialog
- Ctrl+Drag of active anchor point starts move cell
- Toggle selection drag starts move of selection
- Fixes virtual bends for custom edge handlers
- Ctrl/shift and selected state forces move on edges
- Reviews innerHTML usage in dialogs.js

14-JUN-2023: 21.4.0

- [jira cloud] Uses dark mode status from host in editor
- [conf cloud] Uses dark mode status from host in editor
- [conf cloud] Adds drawio-sketch macro support for page IDs import and re-indexing
- Fixes possible NPE in fitDiagramToWindow
- Fixes reset of view state after creating new files
- [conf cloud] Hide support link in anon views
- [conf cloud] Fixes link fixing of page IDs import [DID-5141]
- Adds pass-through for user request error in GitHub
- Fixes paste of HTML-formatted text [drawio-3666]
- Fixes https://huntr.dev/bounties/ce75aa04-e4d6-4e0a-9db0-ae84c46ae9e2/

13-JUN-2023: 21.3.9

- Release rejected, failed to deploy to stage

08-JUN-2023: 21.3.8

- [conf cloud] Fixed page anchor of imported pages when it has spaces [DID-8417]
- Fixes auto dark mode option after dark mode change
- Fixes editing for Mermaid declaration with comment
- Fixes ignored selection in fitWindow [drawio-3647]
- Adds edit and remove for links in labels [drawio-3654]
- Pick folder for GitHub and GitLab in new save dialog
- Fixes lost error message for GitLab return code 400

01-JUN-2023: 21.3.7

- [conf cloud] Keeping trailing spaces in attachment name [DID-8309]
- [conf cloud] Fixed space filter in new page IDs import [DID-8048]

30-MAY-2023: 21.3.6

- [conf cloud] Improved Import Page IDs performance [DID-8048]

27-MAY-2023: 21.3.5

- Fixes tabs converted to spaces in labels [drawio-3540]

24-MAY-2023: 21.3.4

- Adds support for MermaidJS timelines [drawio-3613]
- Keeps MermaidJS styling after update [drawio-3417]
- [conf cloud] Count errors of each kind in pageID import, Gliffy/Lucid import, and re-indexing and display summary at bottom of file. Add FAQ text for common fixes.
- Forces direct load in browser to download PlantUML diagrams
- [conf cloud] Added page IDs logging - partial [DID-8048]
- Improves replace shapes [drawio-3505]
- Removes hard-coded image base path [drawio-3171]
- Adds titles to shape tags, normalizes search terms [drawio-3618]

23-MAY-2023: 21.3.3

- Allows http and localhost in services (OAuth) [drawio-3079]
- Fixes nth-check dependencies vulnerability by removing react-scripts and using vite [drawio-dev-dependabot-144]
- [desktop] Fixed page-index and page-rage CLI export arguments [drawio-3597]
- [desktop] Fixed svg export scale [drawio-desktop-1165]
- Fixes Trello power-up repeated auth [DND-1015]
- Fixes possible NPE in VSDX export [drawio-3608]
- Fixes automatic dark mode in viewer [drawio-3614]
- Fixes patch and in-place change of local view state
- Improves AI prompt for smart template generation
- Fixes timeout and adds callback in synchronizeFile
- Adds plain text tooltips to SVG export [drawio-3610]
- Uses noopener,noreferrer to open links in viewer

15-MAY-2023: 21.3.2

- Fixes NPE added in 21.3.1

15-MAY-2023: 21.3.1

- Removes animation for lightbox in all viewers
- Shows error for possible NPE in print preview
- Fixes restoring scrollbars after page selection
- Fixes view after undo, restore and for blank pages
- Escapes HTML in embed dialog preview title and body
- Handles possible missing child in row [drawio-3592]
- Fixes removed text between < and > with pasteHere
- Fixes blank PDF export [drawio-3596]
- Adds shortcut for in-/decrease font [drawio-3585]

12-MAY-2023: 21.3.0

- Updates DOMPurify from 3.0.2 to 3.0.3
- Fixes in-place change of graph bounds in fitWindow
- Restores sidebar on dark mode change [drawio-3577]
- Fixes page scroll while editing text [drawio-3523]
- [conf cloud] Fixed embed diagram macro when context lack the contentType [DID-8214]
- Preserves tabs in pasted text from text editors
- Uses simple theme on iPadOS, iOS and Android
- [desktop]] Potential fix for spawn errors [drawio-desktop-1122]
- Resets scrollbar state after inserting new pages
- Fixes reset of scrollbars after deleting last page

04-MAY-2023: 21.2.9

- Fixes scrolling of iframe parents [drawio-3563]

04-MAY-2023: 21.2.8

- [jira cloud] Uses issueContext instead of the deprecated issueGlance
- Fixes invalidation for filenames, sanitized labels [CSP-1852]

03-MAY-2023: 21.2.7

- Fixes possible NPE in validate

02-MAY-2023: 21.2.6

- Fixes setting x0 and y0 in graph.sizeDidChange [DS-949]

02-MAY-2023: 21.2.5

- Re-release of 21.2.4 for caching issues

02-MAY-2023: 21.2.4

- Adds wrapper container for view node hierarchy
- Removes view validation for document title changes
- Adds less strict search matching [drawio-655]
- Improves performance for page selection
- Adds threshhold for reset view check
- [conf cloud] Adds space filter to pagesIds import [DID-8048]

26-APR-2023: 21.2.3

- Uses move cursor CSS style for table row handle
- Adds current selected page ID to URL [drawio-3128]
- Adds lazy ResizeObserver and blocks possible loops [DFCC-61]
- Fixes fitWindow in page view, refactors common code
- Fixes syntax for check of property with value of 0
- [conf cloud] Fix uncompressed custom libraries preview [DID-8096]

25-APR-2023: 21.2.2

- Improves performance for window resize event handlers
- Fixes handles for zoom and large selection changes
- Improves performance for GraphViewer [drawio-2766]
- Ignores invalid numbers in bounding box [DID-8051]
- Fixes possible divide by zero in router [DID-8051]

19-APR-2023: 21.2.1

- Skips sanitizeHtml for unchanged labels [drawio-3530]
- Uses cssText property to set CSS in foreignObjects
- Adds submenu to enable and change diagram language

19-APR-2023: 21.2.0

- Defers bounding box update until after DOM changes [DID-7902]

18-APR-2023: 21.1.9

- Edit connection points in popup menu [drawio-2984]
- [vsdx] Fixes image cropping [drawio-3518]
- Updates DOMPurify from 2.4.3 to 3.0.2
- Fixes image export if inside group [drawio-3516]
- Increases maximum image size to 1200 pixels and 2 MB
- Removes Theme submenu from MS Teams app and Confluence DC [drawio-3517]

14-APR-2023: 21.1.8

- Adds headless editor UI class that sets chromeless
- Fixes line jumps crossing waypoints [drawio-2664]
- Fixes possible NPE for VSDX import [drawio-3507]
- Fixes remove group with drag and drop [drawio-3510]
- Fixes moving vertical label position [drawio-3512]
- Updates AWS icons [drawio-3336]

12-APR-2023: 21.1.7

- [vsdx] Fixes text overflow of zero width/height labels [DID-7950]
- Uses Alt+Shift+R for clear waypoints [drawio-3501]
- Allow blank replace string in dialog [drawio-3502]
- Handles dark theme change in trees plugin [drawio-3496]
- Adds smart-template-type, -generate URL parameters

11-APR-2023: 21.1.6

- [conf cloud] Fixes large instances page IDs export and import and using new API [DID-7895]
- Fixes safari bug with embed mode (calling App.main twice) [drawio-nextcloud-37]
- Adds support for links to pages in print preview [drawio-722]
- Blocks direct links to plantUML images generator and from other domains [CSP-1717]
- Fixes OneDrive saving large files with non-Ascii characters [drawio-3481]
- Prevents mermaid insertion errors when mxMermaidToDrawio is not available [drawio-3488]

06-APR-2023: 21.1.5

- Fixes asynchronous MathJax rendering [drawio-2876]
- Added mermaid insertion as draw.io diagram to Atlassian [drawio-3488]
- [conf cloud] Adds support for importing Gliffy macros with no diagram name (only attachment ID) [DID-7470]
- [conf cloud] Fixed space filter search when key has "-" [DID-7470]
- [conf cloud] Added support for Historical revisions of imported pages [DID-7233]

04-APR-2023: 21.1.4

- Remerge and release of dev branch

03-APR-2023: 21.1.3

- Adds zoom and border properties for XML+SVG files
- Adds Clear Formatting button in Text style panel
- Removes fontSource cell styles in clear formatting
- Fixes possible resolving of defaults in stylesheet
- Conf Cloud: Support proper versioning for embed -> upload [DID-7828]
- Enables compression with compressXml [drawio-3484]

29-MAR-2023: 21.1.2

- Fixes handling of ctrl+shift+v on Mac [drawio-291]
- Fixes properties cannot be named id [drawio-3460]
- [vsdx]] Adds overflow=width to improve support label alignment [DID-7420]
- Fixes change of title size in tables [drawio-3468]
- Adds live preview for change of swimlane title size

23-MAR-2023: 21.1.1

- Fixes possible f.replace is not a function
- Fixes detection for Firefox browser [drawio-3456]
- Fixes OutlineWindow is not defined in viewer
- Fixes block layout in link info for multiple links

23-MAR-2023: 21.1.0

- Updates Pako compression library to 2.1.0
- Fixes inconsistent file opening in app and desktop
- Disables file compression [drawio-1724]
- Removes compression in libraries and embedded PDFs [drawio-1724]
- Fixes change of page ID [drawio-3397]

21-MAR-2023: 21.0.10

- Removes P1 plugin

21-MAR-2023: 21.0.9 Build not released nor tested

- Fixes dialog after resize in viewer and embed mode

18-MAR-2023: 21.0.8

- Fixes sequence diagram generation from mermaid

17-MAR-2023: 21.0.7

- Fixes order of image class in styles [drawio-3432]
- Fixes update of global edge style [drawio-3429]
- Connector split clones marker and spacing [DS-946]
- VSDX import: Fixed some cases of incorrect text alignment [DID-7420]

09-MAR-2023: 21.0.6

- Fixes preview for smart template

09-MAR-2023: 21.0.5 Build Rejected on test

- Fixes e not a function error for arrow [DID-7677]
- Fixes 404 for sign out from GitLab [drawio-3416]

08-MAR-2023: 21.0.4

- Enables smart templates in production [DS-942]

08-MAR-2023: 21.0.3 Build Rejected on test

- Updates to Mermaid v10 [DS-945]
- Adds rack shape with vertical size determining number of units.
- Fixes HTML entities in format change [drawio-3403]
- [conf cloud] Shows message when conf diagram is edited from Jira Service Desk [DID-7647]
- Fixes default for container property [drawio-3406]

03-MAR-2023: 21.0.2

- Fixes BPMN event attachment [draw-3342]
- Removes testing code for no branches [drawio-3396]

02-MAR-2023: 21.0.1

- Changes behaviour of default styling [drawio-3312]

02-MAR-2023: 21.0.0 Build Rejected on test

- Build rejected, failed testing on stage

01-MAR-2023: 20.8.24

- Fixes tolerance and logic for shape picker [drawio-3256]
- Updates sequence diagram styles in UML 2.5 library
- Fixes possible clipping of help icon in save dialog
- Using Mermaid v10 ESM in dev mode [DS-945]
- Fixed jscompiler error due to dynamic module import.
- Disables all diagram exports via configuration [drawio-3374]
- Improves error messages in git clients [drawio-3185]
- Fixes tooltip for elbow edge styles [drawio-3343]
- Fixes NPE when "more shapes" is clicked and configured libraries are incorrect
- [conf cloud] Sorts custom libraries alphabetically [DID-7590, drawio-1287]
- Fixes possible NPE in ArrangePanel

22-FEB-2023: 20.8.23

- Fixes file extension for .drawio.pdf files [drawio-3368]
- [conf cloud] Workaround for invalid JSON response from getContentProperty API [DID-7519]

20-FEB-2023: 20.8.22

- Internal release to update hidden flag template functionality [DS-942]

20-FEB-2023: 20.8.21

- [vsdx] Adds special case of text field esc(0) format [DID-7420]
- Avoids NPE with bad libraries configurations [DID-7439]
- [conf cloud] Improved Gliffy mass import logs (page links start end time) [DID-7470]

10-FEB-2023: 20.8.20

- Fixes rubberband, links for cells in locked layers [drawio-3343]

09-FEB-2023: 20.8.19

- Disables object selection in locked layers [drawio-3343] 

07-FEB-2023: 20.8.18

- Fixes locked is not defined in read-only diagrams [DS-944]
- Fixes offset of terminal point after drag and drop
- Fixes special cases for drag and drop from sidebar
- Fixes parents for adding edges in cell hierarchies
- Fixes point offsets for duplicated edges in groups

06-FEB-2023: 20.8.17

- Fixes connection points dialog, adds help button
- Fixed connection points losing dx, dy on edit (DS-943)
- Improves UX for UML sequence diagrams [DID-7338]
- Fixes initial embedded inline editor position
- Fixes default fill color on UML frame label
- Fixes inconsistent font color for condition shape

02-FEB-2023: 20.8.16

- Fixes overriden CSS for buttons and button states [drawio-3326]
- Uses manifest version 3 in Notion Chrome extension
- Fixes possible NPE in async resize handler
- Clear default style action disables sketch mode [drawio-3331]
- View sketch option no longer updates existing cells[drawio-3331]

01-FEB-2023: 20.8.15

- Adds debug output, improves UX in Notion extension
- Fixes clipping of start screen checkbox in dialog
- Fixes vertical alignment of show start screen item
- Fixes CSS for default action button [drawio-desktop-1219]

31-JAN-2023: 20.8.14

- Updates in-place editor after scroll and UI change
- Fixes CSS specificity and global styles [DID-7294]
- Limit convert labels to SVG option to online draw.io only
- [conf cloud] Adds config option to disable the automatic generation of the preview images from the page view ["disableEmbedAutoImgGen": true] [DID-7251]
- Ignore events on selection border and parent shape
- Fixes library save, improves error handling [drawio-3323]

26-JAN-2023: 20.8.13

- Fixes NPE when changing colors from toolbar [drawio-3315]

26-JAN-2023: 20.8.12

- Updates CSP and script check for new JS index.html
- Fixes setDefaultStyle if updateDefaultStyle is false
- Updated express dependency of nodeImport (vsd server) [CSP-1246]
- Prevent XSS due to unsanitized input [CSP-1267]
- Attempt to fix NPE in mxVertexHandler.redrawHandles
- Error message links to Notion and diagram template
- Fixes picker and background in inline embed mode
- Adds links to templates, minimum size for editor
- Fixes initial view state for inline embed editing
- Adds viewer entry to CSP generation

24-JAN-2023: 20.8.11

- Simplifies error logging code for parser in MSEdge
- Adds orgchart to PWA, fixes orgchart in CSV [2028]
- Adds Custom Orgchart button and handling in dialog
- Fixes keyboard input in native color dialog [3291]
- Improves error handling in Notion extension [3284]
- Adds updateDefaultStyle for tracking style changes
- Fixes possible NPE in StyleFormatPanel.addStyles

20-JAN-2023: 20.8.10

- [conf cloud] Handles some common errors in initializing viewer
- [desktop] Updates internal filename in desktop after save as

20-JAN-2023: 20.8.9

- Handles possible errors in custom links
- Adds paste data in style tab for multiple cells
- Improves error logging in P2PCollab [drawio-nextcloud-27]

19-JAN-2023: 20.8.8

- Updates actions after undo history events [drawio-3294]
- Adds navigation items to context menu in simple UI
- Mermaid Updated to v9.3.0
- Updates express dependency of nodeImport (vsd server) [CSP-1246]
- [conf cloud] Removes auth dialog in Safari with anonymous access [DID-7219]

19-JAN-2023: 20.8.7

- Fixes initial page ID and name when creating files [DS-941]
- [vsdx] Fixed edge/vertex detection [DID-7208]
- Fixes log of ignored anoymous and extension errors

18-JAN-2023: 20.8.6

- Returns trash URL for trashed Google Drive files
- Moves refresh icon to header in GitHub file dialog
- Shift+click in shape picker updates selected cells
- Fixes refresh icon for OneDrive picker in dark mode
- Fixes default stroke color applied in UML subshape
- Applies basic text styles to cells with text class
- Updates DOMPurify from 2.3.6 to 2.4.3
- Fixes possible NPE in mxGraph.cloneCells
- Ignores errors in <anonymous> script source files
- Shows paste style button for multiple selected cells
- Calls auth fallback on parse error in Google Drive
- Handles invalid JSON in P2PCollab message listener
- Improves error handling for pasting cells
- Improves error handling for firing mouse events
- Executes layouts in min and simple layout submenu
- Fixes center, rounds waypoint for parallel routing
- Fixes possible NPE for adding SVG with no viewBox
- Fixes possible NPE in shape picker
- Hides button to add custom plugins if not allowed
- Fixes possible NPE in hideDialog
- Fixes possible NPE in OneDriveClient

12-JAN-2023: 20.8.5

- Fixes possible NPE [DID-7061]
- Shows spinner while authorizing with Google Drive
- Conf & Jira Cloud: Added error check to JSON.parse in multiple locations [DID-7101]
- Lucid import: Added support for notes [DID-7053]
- Retries saving after invalid response from Google
- Fixes possible NPE in mxCellEditor
- Fixes hidden Format option in view menu [DID-7133]
- About shift+click prints window and app to console
- Fixes possible NPE in Lucid import extension

11-JAN-2023: 20.8.4

- Fixes evt is not defined in selectSiblings action
- Adds sharp, rounded, curved option for wire shapes
- Fixes drawing of markers and shadows in wire shape
- Fixes sidebar triggers autosave, scale for preview
- Fixed OneDrive share link [3273]
- Fixes clientId in checksum error fallback logging
- Fixes preview graph state, drag preview background
- Shift+Click on About menu item shows console
- [conf cloud] Adds viewerCanExceedPageWidth settings to allow increasing the viewer size above the allowed width [DID-7094]
- Adds fallback for missing translations to show key
- Fixes specificity for gePrimaryBtn dark mode style
- Fixes possible NPE for missing resource in confirm
- Saves file to Google Drive if sharing unavailable
- Fixes draft dialog shape background for dark mode
- Adds merge/unmerge to context menu for table cells
- Fixes reset of view state after initial file save
- Fixes change stroke color for table cells and rows
- Removes span with cell styles after paste of text

06-JAN-2023: 20.8.3

- Adds logging for merge fallback success or failure
- Fires consumeMouseEvent event in consumeMouseEvent
- Removes edge URL parameter
- Fixes mouse cursors for direct edge event handling

06-JAN-2023: 20.8.2

- Fixes possible NPE, missing update of page tabs
- Fallback to mergeFile after checksum error in sync [DS-940]
- Fixes scrollbars after reset view on empty diagram
- [jira cloud] license compliance improvements [DFJC-17]
- Fixes empty edge label handle disables moving edge

03-JAN-2023: 20.8.1

- Fixes substring not a function for invalid pattern
- Paints grid in fast zoom preview with no page view
- Shows shapes before freehand in responsive toolbar
- Fixes CSS for template dialog in dark mode
- Fixes possible NPE in format panel

02-JAN-2023: 20.8.0

- Fixes possible NPE for window widths below 360px
- Fixes NPE [DS-935]
- Shows keyboard shortcuts as tooltips when disabled
- Decreases tap and hold delay for marquee selection
- Fixes keyboard shortcuts conflicts
- Hides no unread notification icon in simple theme
- Adds background color, shadow, sketch view options
- Add selection count in simple UI delete popup menu
- Adds dashed wire shape [3249]
- Fixes Cloudflare workers deployment scripts to prevent removing KV bindings and dashboard configurations [DS-938]
- Fixes ignored dark UI theme in embed mode [3172]
- Fixes edge styles in Advanced sidebar containers
- Fixes order after split edge and size of waypoint
- Fixes direct moving of segment edge end points
- Fixes moving edge segments with segment connector
- Fixes drag from sidebar and popup on touch devices
- Fixes ignored final rounding for fast zoom preview
- Updates zoom label in UI during fast zoom preview
- Enables line jump format option for wire shapes
- Fixes dash pattern dropdown for current selection
- Changes default edge style in simple theme
- Fixes sketch URL parameter default and host checks
- Removes redirect for drive button in splash [3260]
- Fixes possible DOM error in obsolete plugin
- Attempt to fix possible NPE in TextFormatPanel
- Moves page actions to submenu in pages menu
- Adds animation for sidebar and shape picker items
- Adds live preview for drag and drop from sidebar
- Fixes hardcoded title font color for process bar
- Fixes scratchpad and entry background in dark mode
- Adds native scrolling for page tabs [3265]
- Fixes preview for edge cases where height is 0
- Fixes sidebar live preview item count check
- Adds select option in tags dialog
- Fixes focus handling with props plugin [3264]
- Fixes NPE in vsdx import, hiddenTags is null
- Removes undo/redo from context menu in simple UI
- Fixes border for predefined colors in dark mode
- Fixes height for inserted SQL table shapes
- Adds outline for zoom menu in min and sketch UI

16-DEC-2022: 20.7.4

- Fixes notification icon CSS styles 
- Fixes vertical offset of bell icon in classic UI 
- Fixes app icon and comments button in Conf Cloud 
- Smaller notification count icon
- Removes shadow for notification icon
- Shows Classic menu item only in kennedy theme 
- Darker menu highlight CSS style
- Improves network status updates and error handling
- Uses status box styling for collaboration updates

15-DEC-2022: 20.7.3

- Hides empty button container in standalone app 
- Fixes inconsistent network status icon and message
- Fixes direct moving of unconnected edge end points
- Fixes NPE with disabled libs in embed mode [3247]
- Adds order for multiple cells in popup menu [3248]
- Adds page CSS in print preview output
- Fixes possible NPE [DS-933] 
- Fixes possible NPE in pages menu [DS-934]
- Fixes print preview dialog in Safari
- Fixes remove background color in background dialog 

14-DEC-2022: 20.7.2

- Fixes undefined function error when switching to simple UI
- Adds missing network status and icon in simple UI

13-DEC-2022: 20.7.1

- Restores original default jiggle value for sketch
- Fixes position of inserted edges with shape picker
- Fixes user element CSS display after window resize
- Moves Close item to Diagram menu in modern themes

12-DEC-2022: 20.7.0

- Fixes cell selection while using cursor [DID-6906]
- VSDX import: Fixed layers (replaced with tags to support multiple layers per cell) and cancelled considering group edges as vertexes. [DID-6874]
- Refactors simple UI [DRAWIO-DEV-13]

08-DEC-2022: 20.6.2

- Enabled native window frame on Windows and Linux [DESK-784]
- Adds button container in atlassian sketch mode [DFCS-314]
- Conf Cloud: Added configuration to auto crop the viewer [DID-6866]

08-DEC-2022: 20.6.1

- Adds API to get cloud storage folder and file URL 
- Restores edit link menu option in sketch mode 
- Added support for OneDrive Single Tenant apps [3203]
- [conf cloud] Copy diagram attachment on Page Editor Copy/paste [DID-6797]
- Fixes label editing on older iOS versions [3214]
- Fixes handling of nested cells with negative child

22-NOV-2022: 20.6.0

- Adds search, scratchpad in simple UI shapes dialog
- Removes tooltip for removed click event handler
- Supports reading uncompressed library entries [DS-929]
- Adds AWS lambda authenication replication [DS-930]
- Fixes ignored locked table and row styles [3174]
- Adds lock/unlock option in arrange tab
- Fixes mouse selection bugs on iOS [2758,3055,3056]
- Handles change of search query via clipboard event
- [desktop] Added CLI csv export [202]
- [desktop] Added layers selection support to CLI export [143]
- Blocks functions from being overwritten with values [DID-6750]
- Improves visibility of more shapes item in sidebar [DS-931]
- Checks url parameters before using them [CSP-1035]
- Removes potential ReDoS code that is not used [CSP-1036]
- Escapes url parameters used in output [CSP-1037]
- Fixes link to app folder in Dropbox [2843]
- Fixes restoring from mxGraphModel files [DID-6788]
- Fixes hover shape picker ignores container [3199]

06-NOV-2022: 20.5.3

- Uses static Graph.sanitizeHtml
- Sanitizes status bar content
- Fixes icon stroke width
- Shows crop option only if image style is used

04-NOV-2022: 20.5.2

- Fixes infinite redirection in embed + proxy (https://huntr.dev/bounties/28d79d99-81a4-46f3-9455-89658bca424b/)
- Updates autosize for text insert with keyboard
- Removes Cloud Fortified program metric API calls
- getPublicUrl checks for private GitHub repository
- Limits default simple mode for small window sizes
- Updates Azure stencils
- [conf cloud] Fixed getProperty as Atlassian sometimes returns duplicates [DID-6520]
- [conf cloud] Improved export/import/mass import/re-indexing error logging [DID-6646]
- Fixes possible CSS and CSP bypass in tickets plugin
- [conf cloud] Workaround for cases where API returns duplicate entries for unique items [DID-6501]

22-OCT-2022: 20.5.1

- Restores original CSS selector for links in footer
- Fixes possible NPE for tagsWindow, style in viewer
- Fixes gray background in Conf Cloud [DID-6578]
- Fixes find/replace window size in sketch/simple UI
- Hides all tool windows when diagram is closed
- Disables themes in viewer
- Ignores possible missing method for auto dark mode

21-OCT-2022: 20.5.0

- Enables live UI switching between sketch and default themes [DS-909]
- Replaces old tables in the Threat Modeling library [3019]
- Shows download banner for own domains only [3119]
- Consistent select in export, handle auto dark mode
- Changes label of background image button to image
- Adds page move menu in sketch theme
- Fixes ignored movable style for cursor keys [3110]
- Fixes exit flag for save button in embed mode
- Adds drag and drop to shape picker
- Updates autosize for text insert with shape picker (edited) 
- Fixes proxy infinite redirection loop by a malicious site (https://huntr.dev/bounties/d383a6b8-b12a-4893-9b8f-8df18ec679c3/)
- [conf cloud] Adds "Edit Owning Page" button to embed diagram editor [DID-6482]
- [conf cloud] Fixes NPE when publishing a diagram in a page with no draft

19-OCT-2022: 20.4.2

- Fixes draggable elements problem in Chrome [3112]

13-OCT-2022: 20.4.1

- Adds Gliffy file size error message [DS-920]
- Only hides current menu for mouse down event types [DS-921]
- Fixes possible #ERROR fill for invalid fillStyles [DS-922]
- Bugfixes for Rack Cabinet shape [3052]
- Fixes DOM for empty status message
- Fixes status alert style in dark mode- 
- Fixes spaces, missing HTML tag in C4 shapes [3082]
- Uses data attribute for status event handling code [DS-923]
- Uses svg icons, fixes revisions dialog for mobile
- Adds new port shape to the SysML library [3015]
- Inverts order of toolbar items in revision dialog
- Adds editing for relative positions in Arrange tab
- Fixes possible overflow of library preview [3080]
- Handles data-effect attribute for status bar items
- Fixes key insert position if mouse outside diagram [DS-924]

29-SEP-2022: 20.4.0

- [conf cloud] Fixed bug that instances without configuration store diagrams as compressed XML [DID-6387]
- Applies fill=stroke for some stencils [DS-918]
- Fixed image export text shift in lightbox [DID-6374]

27-SEP-2022: 20.3.7

- [conf cloud] Fixes conf pdf export of diagrams with () in their name
- Prevents loading compatible files (png, svg...) as local files in embed mode and on-prem [DID-6193]
- Fixes call to fadeNodes in animation plugin [3070]
- Added Spacing option to distribute to have equal spacing between cells [736]

22-SEP-2022: 20.3.6

- Fixes possible NPE in viewer lightbox [DS-917]

22-SEP-2022: 20.3.5

- Ignores OS setting for default dark mode [DS-916]

22-SEP-2022: 20.3.4 - BUILD FAILED AT STAGE TESTING - https://github.com/jgraph/drawio-dev/commit/1bb7a0fc531d68ff85653534e4f11774914bcc30

- Changes proxy 500 returns to 400 [DS-915]
- Disables dark mode with UI in embed mode [DS-6350]
- Fixes embed button offset and padding in sketch UI

19-SEP-2022: 20.3.3

- Replaces CSS classname in live UI refresh to avoid extension clash [DS-909]

16-SEP-2022: 20.3.2

- Keep SVG content attribute in DOMPurify [DID-6193]

15-SEP-2022: 20.3.1

- Multiple commits preparing for live UI switch [DS-909]
- Disables java proxy by default [DS-912]
- Removes click to stop drawing freehand [1109]
- NPE fix [DS-913]
- NPE fix [DS-914]
- [conf cloud] Diagram count restrictions on free tier [DFCC-57]
- Fixes scroll issue for CMD key in Safari 16 [3017]
- Enables autosize for multiple vertices [1116]
- Adds ui/safe to fix possible XSS in math [CSP-733]

07-SEP-2022: 20.3.0

- Uses organic as default layout to fix possible NPE in CSV import [DS-910]
- Removes storage.googleapis.com from CSP as no longer needed for PWA [CSP-673]
- Adds ALLOW_CUSTOM_PLUGINS for third party plugins [CSP-676]
- Limits plugins to built-in or same domain [CSP-676]
- Hides connect arrows while freehand drawing [1107]
- Removes yarn.lock file as we removed package.json from this project [DS-911]
- Fixes possible XSS in viewer back/refresh buttons [CSP-677]
- Checks href attribute with no namespace in use tag [CSP-678]

01-SEP-2022: 20.2.8

- Fixes importing plain SVG images by drag and drop [DS-902]
- Adds createToolbarButton helper function [3007]
- Sets current stroke color and width independently [DS-903]
- Fixes layout for CSV import in lightbox mode [DS-904]
- Fixes repeated set default style not working [DS-905]
- [conf cloud] Catches errors in diagram text extraction to not break re-indexing process [DS-908]
- Applies fillColor=strokeColor for shapes where appropriate [DS-903]
- Makes format window closable in min ui [DS-906]
- Fixes file pattern for workbox [2977]
- Smaller stencils.min, uses built-in base64 encoder [DS-907]
- Allows for close icon in minimized format window [DS-906]
- Adds support for stroke and fill color in stencils [DS-903]
- Restricts proxy servlet, java disabled by default, all errors are 500 (not distinguishable), allow ports only by config [CSP-633]
- Conf Cloud: Fixed error of renaming/changing view settings not published if no modification done to the diagram [DID-6141]
- Adds custom starting unit number to Rack Cabinet shape [2967]

22-AUG-2022: 20.2.7

- Reduces cursor update frequency to reduce DO request count [DS-899]
- Creates Github app specific to confluence cloud [DS-900]
- Adds enumeration state in image export [2900]
- Updates freehand library to fix security dependency issue
- Fixes highlight for drag over AWS subnet [2966]

21-AUG-2022: 20.2.6

- Updates to latest GCP icon set [DS-898]
- Changes language menu icon to SVG [DS-897]
- Use relative URL for service worker [2740]

18-AUG-2022: 20.2.5

- [conf cloud] Adds support for anon users by using display name instead of email [DS-895]
- [conf cloud] Adds private repository support to embed diagram github option  [DID-5931]
- [conf cloud] Fixes hi res preview setting in viewer [DID-5978]

15-AUG-2022: 20.2.4

- [conf cloud] Adds support for legacy diagramly macros [DID-5823]

03-AUG-2022: 20.2.3

- [conf cloud] Fixes adding diagrams to unsaved global templates [DID-5761]

26-JUL-2022: 20.2.2

- Uses proxy for loading from template URL [DND-629]
- [conf cloud] Fixes issue in page update of pageIDs import [DID-5641]

26-JUL-2022: 20.2.1

- Adds statistics to realtime CF worker
- Adds checksums for merge(File) error logging

22-JUL-2022: 20.2.0

- Changes real-time collaboration CF worker to use the same DO for multiple files

21-JUL-2022: 20.1.4

- Fixes dark mode switch overlaps embed buttons
- Fixes embed button styles in dark mode
- Uses proxy for CSV descriptor URL if CSP is used

20-JUL-2022: 20.1.3

- Fixes curved/rounded checkbox in diagram style tab
- Restores update of default curved/rounded style
- Adds border width and type for color scheme [2924]
- Fixes ignored expand style for image change [2921]

19-JUL-2022: 20.1.2

- Update mermaid to v9.1.3
- Removes Advanced PDF export when printPdfExport is true
- Adds A/S/D/F/X/C, moves Ctrl+(Shift)+K/X shortcuts
- Fixes page background if ui URL parameter is used
- Adds label in dialog/tooltip if diagram translated
- Uses default browser language for online app

12-JUL-2022: 20.1.1

- Closes secret manager resources

11-JUL-2022: 20.1.0

- [conf cloud] Trial to add archived spaces support to Gliffy mass import
- Improves performance for CSV parsing (RFC 4180)
- Uses gcloud secret manager
- [conf cloud] Changed page IDs export name to draw.io Export
- [conf cloud] Using Page IDs import/export in cloud/server
- [conf cloud] Added archived spaces support to Gliffy mass import
- Changes  pusher.properties to pusher_properties

29-JUN-2022: 20.0.4

- [conf cloud] Adds tags to viewer/lightbox toolbar
- Adds initial miro import (non-production)
- Disables math typesetting for plain text [2899]

22-JUN-2022: 20.0.3

- Fixes ignored error codes for loading templates
- Fixes new tab for insert from template URL [2891]
- Validates dialog size after window resize [2883]
- Fixes page tabs overflow after format panel toggle
- Adds Lithuanian and Latvian translations

21-JUN-2022: 20.0.2

- Fixes autosize and text editor with spacing [2732]
- Fixes embed mode with math typesetting [2879]
- Fixes math rendering in embed code for html files

12-JUN-2022: 20.0.1

- Fixes bold math in print output for Chrome [2873]
- Disables MathJax for Internet Explorer
- Adds MathJax callback, fixes math in PDF export
- Fixes style changes override default style [2164]

11-JUN-2022: 20.0.0

- Fixes font style button state before typing [2398]
- Fixes overwritten style for new cell in CSV import
- Updates to MathJax 3

08-JUN-2022: 19.0.3

- Adds allowlist for allowed constructors in mxCodec
- Fixes possible NPE with no local storage [2850]
- Handles service worker permission error in promise
- Adds fixedWidth to limit autosize to height [2732]

07-JUN-2022: 19.0.2

- Fixes isNode check, handling of HTML in node names
- Fixes cell value Element type check in mxCellCodec
- Changes mxStylesheetCodec.allowEval to false

06-JUN-2022: 19.0.1

- Fixes handling of cell ID in CSV import [DID-5225]

03-JUN-2022: 19.0.0

- Removes IE 11 support
- Updates mermaid.js to 9.1.1
- Fixes updating existing cells in CSV import [2796]

02-JUN-2022: 18.2.1

- Updates JSZip to 3.10.0
- Ignores only cells with hidden state in layouts
- Fixes reset of document overflow in viewer [2822]
- Adds support for orgchart layouts in CSV import
- Updates AWS

31-MAY-2022: 18.2.0

- Fixes inconsistent menus in sketch theme
- Fixes ignored XML data for importing embedded SVG
- Fixes ignored double arrow marker selection [2839]
- Fixes NPE with regex in find/replace dialog [2833]
- Fixes link icons in dark mode
- Fixes main button hover state in conf sketch macro

26-MAY-2022: 18.1.3

- Adds spacing dialog for parallels layout
- Adds allowlist for layout constructor names
- Adds JSON values for childLayout styles
- Adds size check for fetched connection data
- Allows custom protocols in links

23-MAY-2022: 18.1.2

- Limits export proxy URL

20-MAY-2022: 18.1.1

- [VSDX import] Fixes case when theme index is incorrect
- Checks stencil name parameter in embed servlet
- Adds DOM_PURIFY_CONFIG global variable
- Check env var is set in ExportProxy

19-MAY-2022: 18.0.8

- Deletes unused ExportProxyServlet

17-MAY-2022: 18.0.7

- Sets setInstanceFollowRedirects(false) in proxyservlet
- Fixes issue in state redirect of AbsAuth
- Changes regex for CORS check

16-MAY-2022: 18.0.6

- Moves sanitize URL to Utils, adds extra IPv6 check
- Adds additional checks for hyperlinks

15-MAY-2022: 18.0.5

- Adds isLinkLocalAddress() to address checks
- Limits well known servlet to serving single file

14-MAY-2022: 18.0.4

- Fixes type error for diffsync with overlays [2808]
- Handles possible error 400 in OneDrive auth flow
- Fixes update of cell metadata in CSV import [2796]
- Applies URL filtering checks to location header in java proxy
- Resolves URL parameters in java proxy before filtering

11-MAY-2022: 18.0.3

- Removes remote cursor options from context menu
- Fixes patch checking for entry with no secret
- Updates closure compiler to v20220502
- Fixes check for text/plain transfer data
- Fixes replace all ignoring the first match

07-MAY-2022: 18.0.2

- Handles Element fields in object cloning [DND-477]
- Fixes lost changes for preview while editing
- Forbids use of form tags in labels
- Fixes CSS issues in print dialog for lightbox

05-MAY-2022: 18.0.1

- Adds support for windows line break in CSV files
- [conf cloud] Fixes trailing space in diagram name during page IDs import
- FIxes timestamp check in watchFile [819] [DND-487]
- Hides menus and dropdowns if clicked again [2745]
- Fixes cursor handling for composite cells [2756]
- [desktop] Adds strict CSP after loading plugins (disabling unsafe-inline scripts)

04-MAY-2022: 18.0.0

- Replaces sanitizer with DOMpurify

04-MAY-2022: 17.5.1

- [conf cloud] Adds saving delay for specific timing case [DID-4851]
- Adds "shareCursorPosition": true/false configuration
- [conf cloud] Prevent publishing without changes creating new version
- Fixes alt+shift for floating connection [DID-4550]
- Changes default for shareCursorPosition to true
- Hides non-applicable sketch options for edges
- Fixes handling of invalid background page images
- Adds showRemoteCursors option
- Fixes LocalFile ctor arguments
- Fixes lazy shadow pages, stale local draft files
- Fixes conflict handling for writing electron files

28-APR-2022: 17.5.0

- Refactors GCP2 shapes
- [conf cloud] Improves page IDs import

20-APR-2022: 17.4.6

- Internal release testing whiteboard app changes

11-APR-2022: 17.4.5

- Internal release testing whiteboard app changes

11-APR-2022: 17.4.4

- Internal release testing whiteboard app changes

11-APR-2022: 17.4.3

- Avoids null string in unused token key

09-APR-2022: 17.4.2

- Fixes height of zero height groups in vsdx import
- Adds connection points support in vsdx import
- Adds isolation for caches, logs reading non-latest

06-APR-2022: 17.4.1

- Fixes OneDrive inline picker in Link dialog and show all files
- Extracts text from selection if cells selected
- Returns indexable text in model cell order
- Fixes minimum stroke width for image export https://github.com/jgraph/drawio/issues/2723
- Fixes PDF printing of background images
- [conf cloud] Fixes NPE in viewer
- [jira cloud] Adds delete button for cases of removed embed diagrams

31-MAR-2022: 17.4.0

- Disables text selection in OneDrive inline picker
- [jira cloud] Fixes re-indexing of old diagrams
- Fixes NPE for OneDrive file in LinkDialog https://github.com/jgraph/drawio/issues/2721
- Fixes modal sync status in embed with sketch theme
- GAE API SDK update to 1.9.95

30-MAR-2022: 17.3.0

- [conf cloud] Enables RT on all domains
- [jira cloud] Fixes conf auth when multiple sites are allowed
- Adds enableHtmlEditOption in EditorUi [DID-4610]

30-MAR-2022: 17.2.6

- [jira cloud] Adds Configuration page with re-indexing functionality

29-MAR-2022: 17.2.5

- Adds lazy parsing of file data for shadow pages
- Adds selection option in print dialog for one page
- Changes token generation to use SecureRandom
- [conf cloud] Increases timeout after successful write to next write

25-MAR-2022: 17.2.4

- Fixes replace is not a function
- Fixes Sharepoint saving to site root drives in new picker

25-MAR-2022: 17.2.3

- Fixes custom links in duplicated page for realtime
- Uses same domain for realtime in production

24-MAR-2022: 17.2.2

- Adds Shift+Alt for floating connections [DID-4550]

23-MAR-2022: 17.2.1

- Fixes realtime for optimistic sync in OneDrive

23-MAR-2022: 17.2.0

- Improves performance issues on real time mechanism

22-MAR-2022: 17.1.5

- [conf cloud] Gliffy import case, containerId wrong, but diagram on current page

22-MAR-2022: 17.1.4

- [conf cloud] Fixed gliffy mass import, incorrect macro type imported

15-MAR-2022: 17.1.3

- Adds image clipPath support to mxLabel and mxSwimlane
- [jira Cloud] Updates embed conf scopes

11-MAR-2022: 17.1.2

- Skips sort and merge in RT for single receive data
- Reduces flickering, simplified RT code

10-MAR-2022: 17.1.1

- Uses tab key for nesting in list elements https://github.com/jgraph/drawio/issues/2673
- Adds protocol and editor version to p2p message
- Replaces consensus with improved consistency check
- Fixes Gliffy DnD import

09-MAR-2022: 17.1.0

- Changes freehand drawing to filled path
- Ignores pageNotFound in background image dialog
- Fixes handling of default colors in style targets
- Adds selection only option to print output
- Fixes background image offset in print output
- Fixes dark mode and background pages in print output

08-MAR-2022: 17.0.0

- Enables real time collaborative editing

08-MAR-2022: 16.6.8

- [conf cloud] Fixes toolbar showing in page editor in FF

07-MAR-2022: 16.6.7

- Adds MathJax Safe-mode to fix XSS vulnerability when viewer is used with CSP

04-MAR-2022: 16.6.6

- Fixed cropped images of sub shapes not showing

02-MAR-2022: 16.6.5

- Handles drag and drop of .drawio.png image files
- Improves error handling when loading files
- Adds i18n for realtime collaboration

24-FEB-2022: 16.6.4

- Make consistency check independent of return value
- Fixes cropping in background image dialog
- Adds click handler for status error message
- [conf cloud] Adds clean draft files to draw.io re-indexing
- Disables fast sync by default in OneDrive

23-FEB-2022: 16.6.3

- Enables Google Drive on PC in Office addon
- Enables fast RT for OneDrive
- Selects URL input after drag and drop

21-FEB-2022: 16.6.2

- Fixes snap to terminal tolerance
- Fixes import of bitmap images into blank diagrams
- Fixes dialog title for checksum error [DID-4314]
- Handles remote page name changes in sketch theme

17-FEB-2022: 16.6.1

- Adds P2PCollab to build

17-FEB-2022: 16.6.0

- Mode URL parameter forces splash
- Adds pass-through arguments
- Disables auth check for external editing
- Fixes parsing of keywords in SQL plugin https://github.com/jgraph/drawio/issues/2631

10-FEB-2022: 16.5.6

- Opens file after drag and drop on blank diagram
- Shift+drop forces open file in new tab
- Fixes pinch to zoom in lightbox
- Moves multitouch event filtering to mxGraph

09-FEB-2022: 16.5.5

- Updates AWS stencils

08-FEB-2022: 16.5.4

- Removes font CSS links with embedded fonts
- Adds Cmd+Shift+Alt+Drag
- Allow connection points for vertices only excluding groups
- Fixed export to pdf error of empty pages
- Fixes ctrl+resize for groups

02-FEB-2022: 16.5.3

- Fixes sketch font path
- [conf cloud] Adds linkAdjustment configuration to viewer
- [Conf Cloud] Fixes issue in linkAdjustment of tooltips
- Adds shift+drag to swap shapes
- Adds missing background for SVG files in dark mode

28-JAN-2022: 16.5.2

- Disables iOS scroll workaround in viewer

28-JAN-2022: 16.5.1

- Adds isExternalDataComms flag

28-JAN-2022: 16.5.0

- Keeps windows in viewport for inline embed mode
- Sets default scrollbars to true
- [desktop] Removes setting offline to true

27-JAN-2022: 16.4.11

- Fixes build process to deploy teams.html

27-JAN-2022: 16.4.8

- [desktop] Fixes draft files removal when auto-save is enabled
- Edit connection points dialog can now only be closed via the dialog button
- [conf cloud] Disables editing if confluence page is opened inside another service (e.g, Jira project pages)
- Shows label in edit connection points dialog https://github.com/jgraph/drawio/issues/864
- Fixes touch event handling on Android https://github.com/jgraph/drawio/issues/2579
- [desktop] Sets offline and offlineApp true
- [desktop] Display meaningful error when content is imported that requires server
	https://github.com/jgraph/drawio/issues/2117
- Fixes drag from picker for Chrome on touch devices

25-JAN-2022: 16.4.7

- Improves output validation of AbsAuthServlet [DND-371]
- Improves redirect url validation [DND-370]
- Changes child-src from none to self
- Fixes two windows with disabled start screen https://github.com/jgraph/drawio-desktop/issues/883
- Fixes handling of hidden stroke in RoughCanvas
- Fixes order and start point for circle layout
- Removes tags and layers icon in sketch footer
- [conf cloud] Replaces deprecated dialog.on('close', ...)
- [conf cloud] Forces sketch mode even when config sets ui
- Improves connection points dialog

24-JAN-2022: 16.4.6

- Fixes border for waypoint shape with sketch style
- [conf cloud] Added support for "new line" in page name in PageIds Export
- Fixes configurations not saving https://github.com/jgraph/drawio-desktop/issues/873

21-JAN-2022: 16.4.5

- Corrects SHA for bootstrap

21-JAN-2022: 16.4.4

- Fixes undeclared variable idx
- Adds a confirmation step to public Github deployment
- Enables reverse action for edges https://github.com/jgraph/drawio/issues/2569
- Switches to dev branch of i18n submodule
- [conf cloud] Uses content.id instead of the deprecated page.id
- [conf cloud] Fixes errors of spaces in diagram name and NPE in GraphViewer

20-JAN-2022: 16.4.3

- [jira cloud] Adds refresh button to diagram search page
- Fixes duplicate flipEdge function
- Adds unknownStyle option for CSV import
- Uses new app path in Dropbox

19-JAN-2022: 16.4.2

- Fixes NPE on destroyParentHighlight

19-JAN-2022: 16.4.1

- Fixes NPE in CropImageDialog
- Expands format window on large screens in sketch
- Fixes parent highlight after change of parent

19-JAN-2022: 16.4.0

- Adds helper function for tree layouts
- Fixes inkscape svg export size
- Adds support for special characters and html entities in string properties
- Adds sketch default font to PWA cache
- Fixes crop button state
- Adds insert menu in sketch sidepanel
- Bypasses proxy for Google fonts, adds font mapping
- Fixes local folder for Google font in cell style
- Adds mapping from font CSS URLs to font-face CSS

18-JAN-2022: 16.3.0

- Fixes hardcoded textarea dialog size
- Adds snapToGrid action
- Adds flip for groups and edges https://github.com/jgraph/drawio/issues/1895 /1139
- Fixes copySize enabled state for edges
- Embeds sketch default font (Architects Daughter)
- Clears background image with background color
- Fixes mouse wheel zoom in Brave for Windows https://github.com/jgraph/drawio/issues/2528
- Adds support for enumerating edges

14-JAN-2022: 16.2.7

- Adds enumerateValue property
- Adds peristent scratchpad and search in sketch
- Updated for modified inline CSS
- Fixes realtime zoom on iPad with sketch https://github.com/jgraph/drawio/issues/2545

12-JAN-2022: 16.2.6

- Fixes NPE

12-JAN-2022: 16.2.5

- Fixes reset of grid color
- Adds File submenu, windows=0 test URL parameter
- Adds enumerate property to replace number plugin
- Adds non-destructive image cropping https://github.com/jgraph/drawio/issues/73
- Adds Advanced submenu in Import from
- Adds mailto for short text sharing
- Adds ellipsis for Comments menu item
- Fixes broken background page links after import

07-JAN-2022: 16.2.4

- Fixes duplicate edges in CVS import
- Adds Convert labels to SVG option to SVG export

07-JAN-2022: 16.2.3

- Uses tableRow in ERD shapes
- Handles special title sizes in table
- Adds labels checkbox in More Shapes dialog

05-JAN-2022: 16.2.2

- Disables merging for merged cells
- [conf cloud] Adds support for anchor importing from server + support for adding links to anchors in old editor
- Adds precedence for alt on mouse down
- Adds Shift+Click for table range selection
- Fixes insertRow/Column for selected cell range

04-JAN-2022: 16.2.1

- Fixes cell divider event handling

04-JAN-2022: 16.2.0

- Fixes MathJax anti-aliasing in CLI export https://github.com/jgraph/drawio/issues/2253

03-JAN-2022: 16.1.4

- Fixes possible NPE

03-JAN-2022: 16.1.3

- Fixes highlight for table shapes

30-DEC-2021: 16.1.2

- Adds fillStyle dropdown for image background

29-DEC-2021: 16.1.1

- Avoids creating Blob for parseFile
- Fixes dimension shape with large stroke size https://github.com/jgraph/drawio/issues/271
- Hides foreign object warnings in background pages
- Fixes overflows in minimal and sketch theme https://github.com/jgraph/drawio/issues/2509
- Fixes freehand mode for Apple pencil on iOS https://github.com/jgraph/drawio/issues/2510
- Adds tableRow shape, fixes events for merged cells
- Uses clip path attribute for SVG image clipping
- Fixes default label background for imported images
- Fits image to clipPath bounding box
- Fixes collapsed table foreground https://github.com/jgraph/drawio/issues/2512
- Fixes overflow in LinkDialog
- Disables child layout for collapsed cells

23-DEC-2021: 16.1.0

- Fixes inconsistent event cursors on table lines
- Fixes default lanecolor for UML frame
- [conf cloud] Reduces number of comments requests
- Refactor structure of WEB-INF folder

21-DEC-2021: 16.0.3

- Adds Share and Comments in sketch File menu
- Fixes no stroke in Roughjs, adds swimlaneHead/Body
- Uses persisted default grid color
- Fixes rendering and tooltips for special colors
- Fixes initial placement of shapes window
- Uses Pusher 7.0.3 to fix NPE

21-DEC-2021: 16.0.2

- Re-build

21-DEC-2021: 16.0.1

- Fixes possible NPE

17-DEC-2021: 16.0.0

The reason for going to version 16 is there is a breaking change in the docker image. The 
default base image used has been changed because the previous image was not supported. There 
is no breaking change in the editor codebase, but the docker images follow the same numbering.

- Fixes clipping on initial arrow drop down https://github.com/jgraph/drawio/issues/2482
- Fixes table and template icon in sketch mode
- Restores sync problem icon
- Hides Cmd+R keyboard shortcut in Safari https://github.com/jgraph/drawio/issues/1757
- Moves selection state to EditorUi
- Added scrollbar to layersDialog in GraphViewer https://github.com/jgraph/drawio/issues/1347
- Added dark mode support for Mermaid https://github.com/jgraph/drawio-desktop/issues/785
- [conf cloud] Added minorEdit for page changes just in case it is effective

13-DEC-2021: 15.9.6

- Fixes NPE for wheel event in outline window

13-DEC-2021: 15.9.5

- Ctrl disables copy if enabled by default
- Uses action state for (un)group buttons
- Altered AWS group styles for better usability
- Fixes no pointerEvents for no (fill)opacity
- Fixes for AWS container usability
- Uses lazyZoom and adds trackpad in outline window
- Fixes dark mode support in browser picker
- Fixes ignored stroke option in SVG getBBox https://github.com/jgraph/drawio/issues/2484
- 

08-DEC-2021: 15.9.4

- Adds mxShape.intersectsRectangle
- Shows row-/colspan property for table cells
- Fixes style processing issues https://github.com/jgraph/drawio-desktop/issues/843

08-DEC-2021: 15.9.3

- Adds commons-lang3 3.12.0 for commons text dependency

08-DEC-2021: 15.9.2

- Keeps only window title inside viewrect
- Fixes handling of defaults in copy/paste style
- Removes GoogleGadgetServlet
- Improves handling of special style values
- Uses map in signature of Graph.updateCellStyles
- Fixes possible unresolved values in default style
- Fixes unresolved colors in style thumbnail
- Fixes background page for PDF export in dark mode
- Fixes line cap for partial rectangle https://github.com/jgraph/drawio-desktop/issues/813
- Fixes ignored model for change of cells in event

03-DEC-2021: 15.9.1

- Fixes build error

03-DEC-2021: 15.9.0

- Fixes possible hidden tool windows in sketch
- [conf cloud] Fixes page ids export error log
- [conf cloud] Adds fallback for the viewer when a file returns 403 for a specific version
- Fixes in-app help search query
- Improves pinch to zoom on trackpad https://github.com/jgraph/drawio/issues/2469
- Updates GCP icons

02-DEC-2021: 15.8.9

- Adds Shift+Click on Zoom in Sketch theme
- Add table divider handles with col/rowspan
- Fixes text selection with inline OneDrive picker https://github.com/jgraph/drawio/issues/2444

30-NOV-2021: 15.8.8

- Hides xml extension in library title https://github.com/jgraph/drawio/issues/2448
- [vsdx] Improves font-size and line height and links to internal pages
- Fixes file exists check in GitHub

29-NOV-2021: 15.8.7

- Fixed string replace when label has a new line https://github.com/jgraph/drawio/issues/2015
- Removes dots fill pattern https://github.com/jgraph/drawio/issues/2443
- Fixes parsing of base64 PNG with XML and no prefix
- Hides empty table section in Arrange panel
- Ignores cached style in table background
- Shows error if popup is blocked in Google Drive
- Adds 2px between scrollbar and elements
- Uses rgb for default colors in output https://github.com/jgraph/drawio/issues/2445
- Fixes rgb values in SVG gradient IDs [DID-3797]

24-NOV-2021: 15.8.6

- Adds support for refresh token to github
- Adds authorize, refresh and help buttons in GitHub
- [conf cloud] Fixes NPE in page ids import/export

24-NOV-2021: 15.8.5

- Removes alignment from current style
- Handles combined row- and colspans
- Adds Ctrl+Enter in text and data dialog https://github.com/jgraph/drawio/issues/2438
- Removes last row and column line
- Conf Cloud: Added custom templates preview https://github.com/jgraph/drawio/issues/2436
- Handles resource not accessible in GitHub
- Fixes reset of configuration, adds tooltip

22-NOV-2021: 15.8.4

- Fixes move of edge labels after ungroup https://github.com/jgraph/drawio/issues/2433
- [conf cloud] Added space filtering to page collection to avoid CONFCLOUD-73202
- Fixes default color and other possible rgba colors in vsdx export
- [conf cloud] Added revision history to Board macro

19-NOV-2021: 15.8.3

- Removes whitespace in resource values
- Uses SVG for folding icons https://github.com/jgraph/drawio/issues/2359
- Matches folding icon gradient colors
- Ignores icon search response with error code
- Fixes broken check for supported domain https://github.com/jgraph/drawio/issues/2426
- Adds check for enabledLibraries
- Moves page setup and scale to preferences in sketch
- Ignores disabled libraries in search https://github.com/jgraph/drawio/issues/1838
- Moves page setup to file menu

17-NOV-2021: 15.8.2

- [conf cloud] Fixes diagrams with non-English characters in name

17-NOV-2021: 15.8.1

- Changes Trello API key
- Adds drawiolib files in OneDrive inline picker
- Fixes preview for libraries in OneDrive picker
- Fixes connectable for multiple vertices https://github.com/jgraph/drawio/issues/2383
- Update to kr translations, thanks to Hochul cho

17-NOV-2021: 15.8.0

- Switches to command line deployment script
- Uses API for inline styles
- Fixes chrome extension link color
- Replaces inline CSS styles with DOM API
- Uses larger handles for line end https://github.com/jgraph/drawio/issues/1683
- [conf cloud] Allows page ids import to continue when Confluence fails to list all pages
- Fixes event handling for Chrome on Linux https://github.com/jgraph/drawio/issues/2392
- Fixes clear waypoints keyboard shortcut https://github.com/jgraph/drawio/issues/2420
- Fixes handling of PNG data URL with charset

15-NOV-2021: 15.7.4

- Adds titlebar to desktop sketch mode
- Adds styles config type check
- Adds rowspan for row line rendering

10-NOV-2021: 15.7.3

- [teams] Fixes shapes rendering in picker

10-NOV-2021: 15.7.2

- Fixes pointer events in sketch mode https://github.com/jgraph/drawio-desktop/issues/760
- Fixes undo history after table insert
- Fixes delayed style change in table shape

08-NOV-2021: 15.7.1

- Makes all C4 shapes attributes editable
- Enables transparent default page background color
- Separate cell style for dark mode no longer needed
- Applies AWS stencil colors for light background

05-NOV-2021: 15.7.0

- Add missing GCP3 file to build

05-NOV-2021: 15.6.9

- Adds new GCP icons
- Limits Google and disabled editing in mobile apps (webview) to MS Teams only
- Fixes line visible in ERzeroToMany marker https://github.com/jgraph/drawio/issues/22386
- Adds additional SVG sanitizing
- Fixes zero to one/many marker fill color https://github.com/jgraph/drawio/issues/2386

03-NOV-2021: 15.6.8

- Fixes handling of transparent default colors

03-NOV-2021: 15.6.7

- Fixes overridden colors in UI update callback

02-NOV-2021: 15.6.6

- Fixes scrolling with css transforms [DID-3588]
- Fixes hardcoded default colors

01-NOV-2021: 15.6.5

- Fixes change of default style

01-NOV-2021: 15.6.4

- Moves resolve default colors to cell style https://github.com/jgraph/drawio/issues/2370
- Adds default text border color
- FIxes handling of Atlas mode and default colors
- Updates default color via prototype
- Fixes sticky scrollbar in FF on Windows [DID-3588]
- Restores previous Notion embed menu

31-OCT-2021: 15.6.3

- Hides dragHandle while editing diagram
- Fixes inline embed resize moves format panel
- Fixes handling of default colors in SVG output
- Notion extension improvements

28-OCT-2021: 15.6.2

- Fixes bounding box scale for SVG clipping https://github.com/jgraph/drawio/issues/2257
- Uses default style for thumbnails
- Improves handling for background colors in Notion
- Fixes remove rounded diagram style for line https://github.com/jgraph/drawio/issues/2066
- Adds sidebarTitles, sidebarTitleSize config https://github.com/jgraph/drawio/issues/1893
- Adds drag and drop to swap UML lifelines https://github.com/jgraph/drawio/issues/982
- Adds exit point for inline embed protocol
- Hides dragHandle while editing diagram
- Fixes inline embed resize moves format panel

27-OCT-2021: 15.6.1

- Handles of dark mode change for diagram styles
- Uses waypoint shapes, removes hardcoded colors
- Ignores some edge styles when inserting templates
- [jira cloud] Hide draw.io button when no diagrams are in the issue
- Uses default not current style for import
- [conf cloud] Log viewer xml errors
- Fixes OneDrive inlinePicker config error
- [conf cloud] Added simpleViewer global config

26-OCT-2021: 15.6.0

- First release of Notion Chrome extension
- Add trigger of release on push of VERSION to release branch
- Adds embed viewport
- [conf cloud] Stops unnecessary viewer refreshes
- Keeps windows inside embed viewport

22-OCT-2021: 15.5.9

- Fixes stroke and font color in dark mode https://github.com/jgraph/drawio/issues/2338

21-OCT-2021: 15.5.8

- Fixes NPE in OneDrive inline picker
- [conf cloud] Fixes JSON validation CSP no-eval restriction
- Improves error handling for inline embed mode
- Fixes ignored configured styles in sketch mode

20-OCT-2021: 15.5.7

- Fixes rendering of row lines https://github.com/jgraph/drawio/issues/2332
- Fixes hardcoded dark mode colors
- Adds oneDriveInlinePicker switch https://github.com/jgraph/drawio/issues/2330
- Adds settingsName config
- Fixes color override for non-formatted text
- Changes for conf server to use sketch mode
- Fixes in-place editor default color
- Adds Graph.defaultForegroundColor
- Fixes background page default foreground

19-OCT-2021: 15.5.6

- [conf Cloud] Adds Config JSON Schema validation and error check in viewer
- Minor fix for inline embed mode

18-OCT_2021: 15.5.5

- Adds support for "primary key (PK)" SQL syntax #DID-3505
- Fixes crop to selection in export https://github.com/jgraph/drawio/issues/2324

15-OCT-2021: 15.5.4

- Fixes NPE in TableShape.paintForeground

15-OCT-2021: 15.5.3

- Fixes background clipping, in-place bounds changes
- Fixes clipping in EmbedDialog
- Updates C4 shapes
- Fixes new page defaults, adds stepper shift+click
- Fixes possible getAttribute is not a function
- Fixes export to GitLab https://github.com/jgraph/drawio/issues/1784
- Removes save and import servlet
- Fixes ignored edge source for metadata [DID-3512]

12-OCT-2021: 15.5.2

- Disables plugins, shows sketch for inline embed
- Adds fullscreenExitImage
- Adds Editor.enableExportUrl
- Updates current style for fillStyle change
- Uses shift+click for stroke, alt+click for fill
- Fixes logic for alt and shift click
- Adds defaultGridEnabled/-PageVisible config https://github.com/jgraph/drawio/issues/2306
- Stops editing on exit inline embed mode

11-OCT-2021: 15.5.1

- Adds embedInline URL parameter
- Uses system dark mode for default
- Fixes library depends on current edge style https://github.com/jgraph/drawio/issues/2308
- Fixes handling of inlineFullscreen iframe

08-OCT-2021: 15.5.0

- Adds inches and meters as units
- Fixes date formatted labels on vsdx import
- Fixes possible NPE in Gitlab client
- Fires CELLS_ADDED for duplicating cells https://github.com/jgraph/drawio/issues/2298
- Adds embed fonts option in SVG export
- Fixes fonts for embedded SVG files with callback
- Ports resource generation to JS (Node)
- Fixes clipping for longer button labels
- Fixes possible clipping in download PDF dialog
- Fixes pointer events with no fill color in sketch
- Adds numbered property, fixed for sketch theme
- Fixes math output in JSON protocol export
- i18n update Lambda function
- Adds i18n resources as a submodule in internal repo

05-OCT-2021: 15.4.3

- Tides NPEs from logging

05-OCT-2021: 15.4.2

- [conf/jira cloud] Changes theme to Kennedy
- Adds grid URL parameter https://github.com/jgraph/drawio/issues/1882
- Adds table actions for child cells in stacks
- Fixes PDF export with background page in dark mode
- Adds preview for moved cells with arrow key https://github.com/jgraph/drawio/issues/1146
- [conf cloud] Adds embed from GitHub
- Improves CSV import for groups, values and sizing
- Fixes ignored zoom for arrows keys

01-OCT-2021: 15.4.1

- [gliffy] Hides shapes fully in -ve coord
- Fixes lineheight and regex https://github.com/jgraph/drawio/issues/2280, adds rowspan
- Fixes possible getAttribute is not a function
- Fixes update of current style for label editing https://github.com/jgraph/drawio-desktop/issues/727
- Fixes update of color button, handling of rgba

30-SEP-2021: 15.4.0

- Adds pages switch for sketch mode
- Fixes format panel styling in sketch mode
- Fixes stroke tolerance for disabled pointer events
- Adds Double Block arrow end style
- [lucidchart]  Improves freehand stencil import
- Fixes connection point contrast https://github.com/jgraph/drawio/issues/712
- Fixes text shape size
- Fixes ignored current styles
- Fixes autosize for groups https://github.com/jgraph/drawio/issues/509
- Fixes clipping in Safari in chromeles mode https://github.com/jgraph/drawio/issues/2277
- Adds Alt+Drag to select intersection https://github.com/jgraph/drawio/issues/297
- Uses shadowModified for saving storage files
- Changes active page tab text color

29-SEP-2021: 15.3.8

- Fixes width for list dropdown on the arrow heads
- Switches search to use www.diagrams.net
- Improves error handling of invalid config values
- Fixes text inconsistencies in sketch mode
- Adds dark mode and fullscreen to preferences menu

28-SEP-2021: 15.3.7

- Ignores floating terminal points for snapping
- Improved lollipop notation https://github.com/jgraph/drawio/issues/2270
- Fixes for sketch toggle
- Fixes sketch mode used in non-sketch themes

28-SEP-2021: 15.3.6

- Replaces cssText with DOM API
- Replaces cssText and innerHTML with DOM API
-[conf cloud] Fixes duplicate name of copied diagrams

27-SEP-2021: 15.3.5

- Fixes inconsistent styling in format panel
- Fixes scrollbar dependency for some format options
- Fixes NPE of localStorage.setItem

26-SEP-2021: 15.3.4

- Moves sketch option to preferences menu
- Fixes mxSetting NPE

25-SEP-2021: 15.3.3

- Fixes update of zoom label
- Invokes cellsInserted for table rows and cells
- Fixes user panel styles
- Uses Alt+Wheel for zoom in sketch theme
- Fixes update of background page image
- Adds sketch toggle, moves options to context menu
- Fixes zIndex for user panel over format window
- Fixes for Teams app
- Uses sketch theme on small screens
- Fixes encoding of tags URL parameter

24-SEP-2021: 15.3.2

- Fixes NPE in ODPicker
- Fixes NPE in notifications

23-SEP-2021: 15.3.1

- Improves extra pages in PDF export
- Self-host JQuery for Trello and removing its CDN from CSP header
- Adds table controls for stacks https://github.com/jgraph/drawio/issues/2260
- Fixes inconsistent event handling with no stroke
- Fixes default font size and vertical alignment
- Adds insert table option in sketch toolbar
- Fixes shift+drag for column handle in table https://github.com/jgraph/drawio/issues/2262

22-SEP-2021: 15.3.0

- Fixes handling folder error while loading preview
- Fixes svg/png with dark theme, background pages
- Escapes HTML entities in file titles
- Escaped innerHTML when mxResources is used in ODPicker
- Fixes cellToClone is not defined
- Adds electrical shapes
- Updates pt-br translation. Thanks to Marcelo Filho.

16-SEP-2021: 15.2.9

- Fixes OneDrive inline picker script not loaded

16-SEP-2021: 15.2.8

- Moves enableWebFonts switch to Editor
- Fixes inconsistent naming for shadowOptionEnabled
- Adds more label flexibility to C4 Database shape
- Uses SVG for spinner in sketch and min theme
- Hides title and container option for HTML table
- Adds colspan in test mode
- Fixes duplicate rounded style for flexArrow
- [gliffy import] Fixes svg image clipping (#DID-1443 and #DID-3137)
- Adds comment for embedded SVG files
- Using OneDrive inline picker by default

14-SEP-2021: 15.2.7

- Fixes possible use of undefined FontDialog

14-SEP-2021: 15.2.6

- Fixes SVG export in IE, adds more status hashes
- Removes inline styles for status messages
- Adds FontDialog.enableWebFonts switch
- Removes unsafe-inline style-src for se CSP outputs
- [electron] Fixes issue using old remote in Init.js (disabled localStorage)

13-SEP-2021: 15.2.5

- Uses DOM API for SVG gradients
- Uses unsafe-inline style-src for se in production
- Fixes possible NPE on cssText

13-SEP-2021: 15.2.4

- Internal build

13-SEP-2021: 15.2.3

- Fixes background color issues for some shapes

13-SEP-2021: 15.2.2

- Fixes possible NPE due to getAllTags scope
- Fixes drop target detection with live preview and guides
- Adds safe-style-src URL parameter

12-SEP-2021: 15.2.1

- Uses icon to toggle layer visibility
- Hides tooltip when entering chromeless toolbar
- Handles default color in dialogs
- Improves handling of default colors for dark mode
- Fixes inconsistent modifier keys for connections

10-SEP-2021: 15.2.0

- Consolidates icons
- Fixes scrollbars in dialog for iOS
- Fixes CSS selector for chromeless toolbar controls
- Fixes default label background color for vertices https://github.com/jgraph/drawio/issues/2238
- Adds default, fixes lane color in dark mode https://github.com/jgraph/drawio/issues/2239
- Uses OS font for application user interface https://github.com/jgraph/drawio-desktop/issues/514
- Enables tags in all viewers, removes unused images
- Disables dark mode in IE
- [lucid import] Fixes issues with group ordering and freehand stencils
- Removes double click handling in tags dialog

09-SEP-2021: 15.1.4

- Fixes spacing and sizes in tags dialog
- Adds tags to viewer, SVG icons to layers dialog
- [vsdx import] Fixes invalid attribute error when input data is not suitable for html
- Fixes text overflow in dialogs
- Uses static viewer with no dynamic loading

08-SEP-2021: 15.1.3

- Internal release

08-SEP-2021: 15.1.2

- Adds tags option for export to lightbox
- Adds SVG icons for some markers
- Ignores ghosted waypoints in context menu
- Fixes edge context menu on some devices DID-3284
- Adds tags in view menu
- Makes tags case-sensitive
- Moves tag click handler to table cell
- Moves tag double click handler to table cell
- Shows all tags after double click or shift click
- Fixes initial dialog size
- Fixes scrollbar in dialog

07-SEP-2021: 15.1.1

- Uses SVG for large toolbar icons
- Adds createTagsDialog and double click handler
- Uses dbl click for selection or highlight
- Adds tags URL parameter for lightbox (beta)
- Disables sketch style for specific shapes by default
- Adds support for tags in lightbox
- [o365] Updates Office.ui.messageParent with targetOrigin
- Fixes possible duplicate cells, event names
- Fixes tags in custom actions https://github.com/jgraph/drawio/issues/2228

06-SEP-2021: 15.1.0

- Fixes link handling in viewer https://github.com/jgraph/drawio/issues/2220
- Improvements to tags dialog https://github.com/jgraph/drawio/issues/2208
- Fixes missing background page dropdown
- Removes link if graph disabled or no cells selected
- Highlights selection cells in disabled graphs
- Fixes placeholders in PDF export
- Fixes background pages and clipping https://github.com/jgraph/drawio/issues/2223
- Adds tags custom action
- Adds checks for valid tags
- Fixes ignored background image bounds in lightbox

02-SEP-2021: 15.0.6

- Fixes NPE for PDF export with single page https://github.com/jgraph/drawio/issues/2221
- Fixes padding for buttons in CustomDialog
- Adds zoomWheel config option https://github.com/jgraph/drawio-desktop/issues/175

01-SEP-2021: 15.0.5

- Adds hover handler for blue arrows
- Fixes PDF export with background pages
- Adds page range for PDF export
- Fixes possible charAt is not a function

31-AUG-2021: 15.0.4

- Fixes offset for background pages
- Fixes dash color for sketch theme in dark mode
- Adds .drawio.xyz extension to embedded files
- Adds includeDiagram config option
- Adds app icon click handler, removes debug output
- Adds support for background pages in PDF export

27-AUG-2021: 15.0.3

- Fixes missing background images in thumbnails
- [conf cloud] Adds page edit comment when a diagram is saved from direct edit
- Fixes issue with application of constraints
- Updates background image after relevant events

26-AUG-2021: 15.0.2

- Fixes special cases for default page format https://github.com/jgraph/drawio/issues/2202
- Adds type check to avoid charAt is not a function in format panel color
- [teams] Fixes auth error and upgraded manifest and JS sdk
- [teams] disable EditorUi.nativeFileSupport in teams

26-AUG-2021: 15.0.1

- Adds configuration for page format https://github.com/jgraph/drawio/issues/2202
- Fixes background page image offset

26-AUG-2021: 15.0.0

- Adds file properties dialog to sketch mode
- Adds Shift+Click for color button
- Adds ability to include page(s) as background to other pages on diagrams 

24-AUG-2021: 14.9.9

- Updates AWS stencils to latest set
- Reports curved edges as not fully supported in Lucidchart import
- Updates ru translations. Thanks to Ash Ed.

18-AUG-2021: 14.9.8

- Fixes preview domain in trello powerup
- [conf cloud] Undo check name fix to consider 404 error as success

16-AUG-2021: 14.9.7

- Prevents NPE in style format dialog
- Fixes new attachment download auth errors in Trello power up
- [conf cloud] Fixes an error when checkName api returns 404 when list of attachments are requested

10-AUG-2021: 14.9.6

- [jira cloud] Adds Metrics publish API to log app load time or failure
- [conf cloud] Adds Metrics publish API to log app load time or failure
- Fixes possible NPE in StyleFormatPanel (colorset.title)

06-AUG-2021: 14.9.5

- Adds shift/alt to extract data on copy data button
- Adds barrier for parallel async custom actions
- Adds background page support
- Fixes ignored background image size for image export
- Adds colorNames and titles for color schemes
- Adds edit geometry in sketch theme context menu
- Fixes inconsistent cut and delete actions https://github.com/jgraph/drawio/issues/1978
- Uses shift+click to paste data with label
- Adds edit submenu in min and sketch themes
- Adds popup for additonal color models https://github.com/jgraph/drawio/issues/2150
- Handles page links in background image dialog

03-AUG-2021: 14.9.4

- Executes actions in sequence, adds animation custom actions https://github.com/jgraph/drawio/issues/1861
- Fixes update of cell IDs in style actions
- Adds stopping for custom action sequences
- Fixes naming for parallel animations
- [conf cloud] Adds timeout config
- Updates it translations. Thanks to Vincenzo Reale
- Fixes cloning for actions, final animation state
- [jira cloud] Adds back Confluence embed using new API
- Fixes update of custom actions for copy, duplicate and recursion
- Hides tooltip if mouse enters link hint
- Fixes loading SVG from OneDrive https://github.com/jgraph/drawio/issues/2161
- Adds data extraction to props plugin

28-JUL-2021: 14.9.3

- Fixes pointer events for table cells in sketch theme
- Adds title and container option for insert table drop down
- Fixes possible cropping in SVG export https://github.com/jgraph/drawio/issues/1216
- Fixes e.data.indexOf is not a function in OneDrive client
- Adds edit tooltip in context menu for sketch mode
- Adds dash line jump style https://github.com/jgraph/drawio/issues/1852
- Fixes rough URL parameter, possible missing sidebar preview
- [conf cloud] Fixes multiple embedded diagrams with the same name editing issue
- Disables plugins action for plugins=0 https://github.com/jgraph/drawio/issues/2148
- [conf cloud] Adds a fallback for AP is undefined error
- Updates it tranlsations. Thanks to Vincenzo Reale
- Updates el tranlsations. Thanks to Io Papadimitriou

22-JUL-2021: 14.9.2

- [conf cloud] Fixes scroll bars with hidden toolbar
- [conf cloud] Fixes incorrect height of simple viewer
- Adds DRAWIO_LIGHTBOX_URL https://github.com/jgraph/drawio/issues/2149
- Creates draft while saving local file to fix possible data loss
- Adds support for radial gradients https://github.com/jgraph/drawio/issues/1472

21-JUL-2021: 14.9.1

- [conf cloud] Fixes pending updates of embedded macros
- Fixes autosize for wrapped text, ignored aspect

16-JUL-2021: 14.9.0

- Adds support for se.diagrams.net domain
- Fixes clipping in viewer with initial hidden layers https://github.com/jgraph/drawio/issues/DID-2617
- Adds autoOrigin option https://github.com/jgraph/drawio/issues/DID-2617
- Updates cs translations. Thanks to Pavel Borecki
- Updates el tranlsations. Thanks to Io Papadimitriou
- [conf cloud] Improves viewer load time

12-JUL-2021: 14.8.6

- Disables pointerEvents style for images https://github.com/jgraph/drawio/issues/2121
- [jira cloud] Disables Confluence embed option due to changes in auth token valdation
- Improvements to Lucidchart import

07-JUL-2021: 14.8.5

- Fixes XSS attack on GoogleGadgetServlet. Thanks to Alfred Berg for report.
- Updates to cs translations

02-JUL-2021: 14.8.4

- Fixes drag and drop for edge labels with selected parents
- [conf cloud] Fixes recent and search in embed diagrams

30-JUN-2021: 14.8.3

- [conf cloud] Fixes save settings with current viewer status
- Adds function for image export in viewer
- Fixes possible NPE https://github.com/jgraph/drawio/issues/2115


25-JUN-2021: 14.8.2

- [conf cloud] Adds lightbox to simple viewer
- [conf+jira cloud] Fixes export downloads https://github.com/jgraph/drawio/issues/2107
- [conf cloud] Updates self import to support data:confluence/id and links

24-JUN-2021: 14.8.1

- Clones existing SVG for outline rendering
- Fixes possible ignored gesture end in outline
- Fixes unconnected edges z-index order in vsdx import
- Fixes line jump handling in vsdx import
- Improves locking https://github.com/jgraph/drawio/issues/2069
- Fixes action states and cursors for locked cells
- Fixes selection in locked layers
- Updates French translations

17-JUN-2021: 14.8.0

- Adds bringForward and sendBackward actions
- Fixes GraphViewer toolbar and border hiding in FF

16-JUN-2021: 14.7.10

- [jira cloud] Adds support for uploading zipped format diagrams
- Fixes ignored locked layers, hover icons, shape picker clipping

15-JUN-2021: 14.7.9

- Adds minimize to shape picker in sketch theme
- Fixes unicode char to HTML entity on some JVMs from Gliffy

14-JUN-2021: 14.7.8

- [conf cloud] Adds custom templates to sketch macro add template dialog
- [conf cloud] Fixes minor issues with templates dialog
- Prevents showing an empty viewer when configured layers are incorrect
- [conf cloud] Fixes template and new dialog bugs and added no file type option
- [conf cloud] Fixes Link dialog attachment links
- [conf cloud] Fixes centering with hidden toolbar or simple viewer
- Adds preview button in templates dialog
- Adds pinch to zoom CSS preview for iOS (beta)
- Prevents scrollbars on PDF and Image Export
- [conf cloud] Fixes settings dialog hidden buttons with certain diagram height

09-JUN-2021: 14.7.7

- Fixes event handling for template previews
- Adds modified check for open browser file in standalone mode
- Adds select edges option in context menu
- Adds delay for double tap edit trigger before context menu
- Hides template preview when dialog is closed
- Adds padding for touch events on window controls
- Fixes status bar partially visible behind buttons
- Fixes fit icon in minimal theme
- Fixes window position constraints in sketch theme
- Fixes ghost cells after resume in outline
- Fixes event timing after freehand insert
- Fixes initial stroke width and folding for outline
- Adds context menu options for sketch theme on touch devices
- Reduces use of formatted text in swimlane titles
- Fixes background page and dark mode toggle in outline
- Fixes zOrder after dialog click in sketch theme
- Fixes order of graph relative to dialogs
- Fixes in-place editor width after markup toggle
- Fixes panning with freehand on touch in minimal theme

04-JUN-2021: 14.7.6

- Adds delete button in sketch theme

03-JUN-2021: 14.7.5

- Removes padding in outline
- Enables decimal stokewidths
- Fixes delayed preview issue
- Adds outline option in sketch theme
- Hides tooltip on scroll wheel events
- Shift+tab stops editing with no selection
- Fixes inconsistent mouse down handling for template preview
- Fixes inconsistent gesture start for blank template entry
- Fixes minor style issues for sketch theme
- Adds previews for templates
- Fixes picker toolbar overlap on small screens for sketch theme
- Adds padding for window controls in sketch and minimal theme
- Uses tab key to insert tabs in labels
- Handles tab key based on text selection while editing

02-JUN-2021: 14.7.4

- Sets fonts color for note shape in sketch theme
- Consistent freehand defaults for all themes
- Escape stops freehand drawing
- Fixes timeout error when UI fonts are overwritten in PDF export
- Fixes overridden indent keystroke, uses alt+tab for tab
- Fixes tab to stop editing

29-MAY-2021: 14.7.3

- Updates layer dot after model changes
- Adds 4 spaces for shift+tab while editing labels
- Adds shift+tab to insert tab
- Fixes for sketch and dark theme
- Adds support for additional OrgChart type in Lucidchart import
- Adds dot to layer for selected cells [2027]
- Fixes issues with live preview [2257]
- Fixes rounding errors in segment connector [2257]
- Updates ja translations

26-MAY-2021: 14.7.2

- [conf cloud] Enables sketch macro

25-MAY-2021: 14.7.1

- Fixes edges with zero height/width src/trg cell in vsdx import

20-MAY-2021: 14.7.0

- Updates RoughJS to 4.4.1 with preserveVertices option
- Sets template backgrounds to transparent, except where it is set to an explicit non-white color
- Adds support for Lucidchart OrgBlock
- [conf cloud] Adds support for attached images in label (in page Ids import)
- Fixes NPE in Lucidchart import
- Fixes default user picture
- [conf cloud] Removes draft check error of zero byte files
- Updates Mermaid to 8.10.1
- Updates es translations

13-MAY-2021: 14.6.13

- Updates to latest Azure stencils
- [conf cloud] Improves error handling around draft load failing
- [conf cloud] Fixes lib import without config space

11-MAY-2021: 14.6.12

- Fixes sidebar preview for sketch theme
- Disables handwritten fonts in sketch theme with rough=0
- Fixes inconsistent pointer event handling
- Fixes ignored comic style for rectangle shape
- Adds modifier keys for wheel scrolling in sketch theme
- Disables page view after page format change with sketch theme
- Updates ar and ru translations

07-MAY-2021: 14.6.11

- Fixes Dropbox client in dev mode
- Adds iconsearch CF worker
- Updates Gliffy translations for BPMN 2.0
- Removes JSON2 usage. Required for IE7- which doesn't work since VML support removed.
- Reverts parameters for sidebar so default style is not applied.
- Adds gitflow examples
- Additional Spanish translations

04-MAY-2021: 14.6.10

- Adds zoomFactor config option
- Fixes links on custom shapes in Lucid import
- Adds ctrl/cmd+dblclick to change cell ID
- Adds containers to general sidebar
- Fixes pointer events for text shapes
- Fixes selected style in dark mode
- Moves Dropbox auth from implicit grant to server-side flow
- Adds XML option to import menu in minimal and sketch theme
- Adds Shift+Click on clear waypoints button to clear fixed anchor points
- Fixes overridden default font in sidebar thumbnails
- Fixes ignored default styles for shapes dialog and inserted templates
- Fixes NPE for sketch UI in embed mode
- Adds enabledChanged event to graph
- Separates clear waypoints and clear anchor points
- Disables file API in Opera
- Fixes anchor points behavior for Choreography shapes in BPMN

29-APR-2021: 14.6.9

- Corrects GitHub app ID

29-APR-2021: 14.6.8

- Refactors GitHub paths

28-APR-2021: 14.6.7

- Switches to server flow for GitHub and Gitlab auth

22-APR-2021: 14.6.6

- Adds dark mode for minimal theme

21-APR-2021: 14.6.5

- Versions shapes minified JS

21-APR-2021: 14.6.4

- Restores BPMN 2.0 shapes

19-APR-2021: 14.6.3

- Fixes for dark mode and sketch theme

19-APR-2021: 14.6.2

- Fixes private Gitlab instance URL parsing

15-APR-2021: 14.6.1

- Improvements to sketch theme

13-APR-2021: 14.6.0

- Updates to workbox 6.1.2

09-APR-2021: 14.5.10

- Internal release

09-APR-2021: 14.5.9

- Improvement to sketch theme

06-APR-2021: 14.5.8

- Fixes Confluence Cloud saving issue

03-APR-2021: 14.5.7

- Add various shapes

02-APR-2021: 14.5.6

- Removes BPMN 2 changes

01-APR-2021: 14.5.5

- Improves BPMN symbols to 2.0 spec

31-MAR-2021: 14.5.4

- Fixes for vsdx export
- Adds re-tries on cache write failures

26-MAR-2021: 14.5.3

- Internal release

26-MAR-2021: 14.5.2

- Disables copy as image in iframes
- Fixes find/replace dialog in minimal theme https://github.com/jgraph/drawio/issues/1896
- Fixes ignored grid for polygon shapes https://github.com/jgraph/drawio/issues/1891

23-MAR-2021: 14.5.1

- Fixes for Electron 12

22-MAR-2021: 14.5.0

- Improves Lucidchart import

17-MAR-2021: 14.4.9

- Adds copy as image option
- Makes find and replace dialog the default

12-MAR-2021: 14.4.8

- Fixes segment router removing control hints at specific zooms

10-MAR-2021: 14.4.7

- Adds upload option back in embed conf cloud

09-MAR-2021: 14.4.6

- Adds support for linkTarget property

08-MAR-2021: 14.4.5

- Changes find dialog to replace and find

03-MAR-2021: 14.4.4

- Improves Lucidchart import

24-FEB-2021: 14.4.3

- Adds notifications

18-FEB-2021: 14.4.2

- More fixes for aj.draw.io and ac.draw.io lightbox

18-FEB-2021: 14.4.1

- Fixes lightbox for aj.draw.io and ac.draw.io

17-FEB-2021: 14.4.0

- Removes VML support
- Adds Persian language
- Forces ac.draw.io and aj.draw.io to embed mode

15-FEB-2021: 14.3.2

- Adds flow animation style
- Makes grid steps configurable
- Adds ctrl+drop to insert dropped content as new page
- Uses app.diagrams.net for editing [DID-1717]
- Fixes drag and drop for SVG+XML files

11-FEB-2021: 14.3.1

- Adds support for regional direction to back-ends
- Adds grid option to export dialog

08-FEB-2021: 14.3.0

- Fixes external fonts in PDF export
- Fixes drag and drop for shapes with shadow
- Renames page for import into blank diagram
- Fixes export triggers autosave in embed mode

29-JAN-2021: 14.2.9

- Fixes NPE in minimal mode

29-JAN-2021: 14.2.8

- Adds data governance config

22-JAN-2021: 14.2.7

- Improves Lucidchart import

20-JAN-2021: 14.2.6

- Fixes for OneDrive client flow

19-JAN-2021: 14.2.5

- Add client-side clipping of SVG

15-JAN-2021: 14.2.4

- Improves Lucidchart import

14-JAN-2021: 14.2.3

- Fixes pako encoding issues

13-JAN-2021: 14.2.2

- Fixes decoding of compressed shape files

13-JAN-2021: 14.2.1

- Fixes UInt8Array call stack size exception

13-JAN-2021: 14.2.0

- Disables Trello by default
- Updates pako to 2.0.3

09-JAN-2021: 14.1.9

- AWS stencil update

02-JAN-2021: 14.1.8

- Internal release

01-JAN-2021: 14.1.7

- Fixes NPE for single point edges

31-DEC-2020: 14.1.6

- Internal release for conf/jira cloud changes

31-DEC-2020: 14.1.5

- Desktop fixes for File API clash

30-DEC-2020: 14.1.4

- Fixes marker rounding errors

28-DEC-2020: 14.1.3

- Internal release

23-DEC-2020: 14.1.2

- Adds UML 2.5 library

18-DEC-2020: 14.1.1

- Fixes Math config

18-DEC-2020: 14.1.0

- Fixes multiple Math initialization

17-DEC-2020: 14.0.5

- Fixes ignored hidden toolbar [1627], settings icon
- Uses combined configuration file for MathJax

16-DEC-2020: 14.0.4

- Fixes images paths

15-DEC-2020: 14.0.3

- Fixes NPE

15-DEC-2020: 14.0.2

- Improves Lucidchart import

10-DEC-2020: 14.0.1

- Uses minimal UI on iPad Mini and smaller
- Adds clear.html for clearing caches

09-DEC-2020: 14.0.0

- Internal refactoring of source code

07-DEC-2020: 13.11.0

- Fixes for Confluence Cloud

04-DEC-2020: 13.10.9

- Hardens servlets

03-DEC-2020: 13.10.8

- Reverts UML 2.5 release

03-DEC-2020: 13.10.7

- Improves Lucidchart import

02-DEC-2020: 13.10.6

- Adds auto-crop, origin for visible layers [688]
- Improves Lucidchart import

01-DEC-2020: 13.10.5

- Uses mxGraph 4.2.3 beta 6
- Adds page size export option

26-NOV-2020: 13.10.4

- Adds compare button in revision history dialog

25-NOV-2020: 13.10.3

- Uses mxGraph 4.2.3 beta 5

24-NOV-2020: 13.10.2

- Fixes specific synchronize operations

22-NOV-2020: 13.10.1

- Adds File, Embed, Notion

18-NOV-2020: 13.10.0

- Internal release for Github actions testing
- Conf Cloud: Viewer settings direct from the viewer
- Conf Cloud: Adds custom libraries to more shapes dialog

15-NOV-2020: 13.9.9

- Improves Lucidchart import

13-NOV-2020: 13.9.8

- Improves Lucidchart import

12-NOV-2020: 13.9.7

- Allows null in init load message

11-NOV-2020: 13.9.6

- Uses GitHub for help and FAQ

11-NOV-2020: 13.9.5

- Fixes license check in Confluence Cloud

11-NOV-2020: 13.9.4

- Adds descriptor to JSON load message
- Uses mxGraph 4.2.3 beta 4

10-NOV-2020: 13.9.3

- Internal release to update conf cloud manifest

04-NOV-2020: 13.9.2

- Improves Lucidchart import
- Uses mxGraph 4.2.3 beta 3

04-NOV-2020: 13.9.1

- Improves Lucidchart import

04-NOV-2020: 13.9.0

- Disables Trello in IE11
- Uses mxGraph 4.2.3 beta 2

03-NOV-2020: 13.8.9

- Adds block overflow cell style
- Uses mxGraph 4.2.3 beta 1

30-OCT-2020: 13.8.8

- Fixes for teams integration
- Fixes conf cloud caching issue when 3rd party cookies are disabled

29-OCT-2020: 13.8.7

- Fixes hideDialog order issue on pressing OK
- Fixes native files in Chrome 86

28-OCT-2020: 13.8.6

- Uses mxGraph 4.2.2
- Performance improvements for Jira Cloud
- MS teams integration

27-OCT-2020: 13.8.5

- Fixes possible NPE in Confluence Cloud

27-OCT-2020: 13.8.4

- Performance improvements for Confluence Cloud

26-OCT-2020: 13.8.3

- Gliffy import improvements
- Updates Spanish translations

24-OCT-2020: 13.8.2

- Lucidchart import improvements
- Fixes ungrouping action
- Uses mxGraph 4.2.1 beta 22

20-OCT-2020: 13.8.1

- Lucidchart import improvements
- Gliffy import improvements
- Uses mxGraph 4.2.1 beta 21

14-OCT-2020: 13.8.0

- App Engine configuration changes
- Uses mxGraph 4.2.1 beta 20

08-OCT-2020: 13.7.9

- Fixes script load order for electron

07-OCT-2020: 13.7.8

- Uses mxGraph 4.2.1 beta 19
- Uses MathJax 2.7.9

30-SEP-2020: 13.7.7

- Updates Finnish translations, credit Arttu Ylhävuori, github.com/areee
- Updates native File API tokens
- Lucidchart import improvements
- Fixes gradient issues in FF
- Uses mxGraph 4.2.1 beta 18

28-SEP-2020: 13.7.6

- Updates Azure icons

23-SEP-2020: 13.7.5

- Removes document.write for modern browsers

22-SEP-2020: 13.7.4

- Appends splash dialog libs to configured libs

17-SEP-2020: 13.7.3

- Moves viewer to viewer.diagrams.net
- Improves shape picker position
- Uses mxGraph 4.2.1 beta 17

16-SEP-2020: 13.7.2

- Removes PWA on draw.io domains

14-SEP-2020: 13.7.1

- Improves Gliffy import

14-SEP-2020: 13.7.0

- Adds conf cloud change notifications for collab
- Adds Cmd+Click for blue arrow on macOS
- Uses mxGraph 4.2.1 beta 17

11-SEP-2020: 13.6.10

- Adds Shift+Delete/Backsapce to clear labels
- Uses mxGraph 4.2.1 beta 16

08-SEP-2020: 13.6.9

- Fixes inline images in cell styles

08-SEP-2020: 13.6.8

- Fixes use of unsupported function in IE

08-SEP-2020: 13.6.7

- Normalizes spaces in uncompressed XML output
- Adds context menu for shape search results
- Minor fixes for custom fonts
- Uses mxGraph 4.2.1 beta 15

31-AUG-2020: 13.6.6

- Removes PWA for www.draw.io
- Improves Gliffy import

24-AUG-2020: 13.6.5

- Corrects classpath for CacheFacade

20-AUG-2020: 13.6.4

- Adds Shift/Ctrl+Cursor to move/select pages
- Fixes orientation of screen page formats
- Adds allowZoomOut switch in GraphViewer

18-AUG-2020: 13.6.3

- Handles extra HTML content on Sharepoint
- Fixes origin after folding in viewer

08-AUG-2020: 13.6.2

- Fixes origin for online PDF export

07-AUG-2020: 13.6.1

- Improves Lucidchart importer
- GAE stub fixes

05-AUG-2020: 13.6.0

- Uses mxGraph 4.2.1 beta 14
- Fixes mouse zoom bug

03-AUG-2020: 13.5.9

- Adds pinch to zoom on Windows and Android
- Uses mxGraph 4.2.1 beta 13

31-JUL-2020: 13.5.8

- Fixes tooltip for rotation handle
- Fixes edit as blank in lightbox
- Lucidchart import improvements
- Uses mxGraph 4.2.1 beta 12
- Improves shape picker

30-JUL-2020: 13.5.7

- Faster autosave in Google Drive

30-JUL-2020: 13.5.6

- Uses mxGraph 4.2.1 beta 11
- Performance improvements

29-JUL-2020: 13.5.5

- Uses mxGraph 4.2.1 beta 10
- Enables links in tooltips
- Adds layout JSON action

28-JUL-2020: 13.5.4

- Adds handle for cube and cylinder shape
- Adds metadata to C4 shapes
- Uses mxGraph 4.2.1 beta 9

24-JUL-2020: 13.5.3

- Fixes print in static viewer

24-JUL-2020: 13.5.2

- Fixes viewer links
- Uses mxGraph 4.2.1 beta 8

22-JUL-2020: 13.5.1

- Removes official Azure icons for licensing reasons

22-JUL-2020: 13.5.0

- Restores cloning of rows with blue arrows
- Fixes ungroup for multiple groups
- Uses mxGraph 4.2.1 beta 7

20-JUL-2020: 13.4.9

- Fixes handling of built-in plugins
- Uses mxGraph 4.2.1 beta 6

19-JUL-2020: 13.4.8

- Fixes SHA for inline script

19-JUL-2020: 13.4.7

- Improves target detection for blue arrows
- Improves shape selection on touch devices
- Uses mxGraph 4.2.1 beta 5

17-JUL-2020: 13.4.6

- Simplified Start Screen

16-JUL-2020: 13.4.5

- Fixes ignored right meta key on macOS

15-JUL-2020: 13.4.4

- Fixes shape picker container insert
- Adds diagram styles

14-JUL-2020: 13.4.3

- Adds shape selection on blue arrow click

10-JUL-2020: 13.4.2

- Adds shape selection on double click
- Fixes browser storage dialog

09-JUL-2020: 13.4.1

- Disables eval in HTML embed code

08-JUL-2020: 13.4.0

- Adds border for lightbox export
- Uses mxGraph 4.2.1 beta 4
- Adds Diagram Style panel

04-JUL-2020: 13.3.9

- Fixes ignored autosave for native files

03-JUL-2020: 13.3.8

- Adds experimental file system support

02-JUL-2020: 13.3.7

- Fixes image export with sketch style
- Uses mxGraph 4.2.1 beta 3

01-JUL-2020: 13.3.6

- Fixes transparent background event handling for sketch style
- Moves row for dragging selected table cell
- Fixes inconsistent cursors for tables
- Adds drag and drop for tables
- Uses mxGraph 4.2.1 beta 2
- Adds new basic templates
- Adds rows in ER sidebar
- Adds edit dialog style

25-JUN-2020: 13.3.5

- Fixes minor bugs

24-JUN-2020: 13.3.4

- Fixes minor bugs

24-JUN-2020: 13.3.3

- Fixes move for tables with selected rows
- Fixes flex arrow custom handle preview
- Fixes ignored zoom for step perimeter
- Uses mxGraph 4.2.1 beta 1

24-JUN-2020: 13.3.2

- Fixes sketch style for partial rectangles
- No longer replaces comic style

23-JUN-2020: 13.3.1

- Adds rough style and URL parameter
- Adds support for viewbox in link actions
- Adds hide-pages, viewbox URL parameters
- Uses mxGraph 4.2.1

19-JUN-2020: 13.3.0

- Adds ok for prompt JSON message
- Adds prompt-cancel JSON event
- Uses mxGraph 4.2.0

17-JUN-2020: 13.2.6

- Fixes caching issues for Confluence Cloud

17-JUN-2020: 13.2.5

- Adds embed.diagrams.net for embed mode
- Adds Alt+Shift to toggle child cells
- Fixes toggle selection for groups
- Uses mxGraph 4.2.0 beta 10

13-JUN-2020: 13.2.4

- Uses tables in Misc and ER sidebar
- Adds table size in Arrange panel
- Uses mxGraph 4.2.0 beta 9

11-JUN-2020: 13.2.3

- Uses base for fonts in SVG export
- Fixes font URL trimming

11-JUN-2020: 13.2.2

- Fixes relative fonts in SVG export
- Uses mxGraph 4.2.0 beta 8
- Parsing improvements
- Adds table shape

09-JUN-2020: 13.2.1

- Fixes bug when pasting HTML
- Parsing improvements

09-JUN-2020: 13.2.0

- Fixes WebKitBlobResource on iOS
- Parsing improvements

03-JUN-2020: 13.1.14

- Fixes math font weight for PDF export
- Stability improvements

02-JUN-2020: 13.1.13

- Fixes caching for HTML embed code
- Fixes copy paste from other apps
- Fixes math client-side printing
- Adds math-output URL parameter
- Adds custom table properties
- Uses mxGraph 4.2.0 beta 7

01-JUN-2020: 13.1.12

- Uses mxGraph 4.2.0 beta 6
- Adds tables to Misc sidebar
- Fixes OS clipboard in Firefox

31-MAY-2020: 13.1.11

- Stability improvements and bug fixes

31-MAY-2020: 13.1.10

- Fixes minor bugs for tables

30-MAY-2020: 13.1.9

- Fixes insert tables on touch devices
- Adds Feature-Policy header

29-MAY-2020: 13.1.8

- Removes CSP from GAE config

29-MAY-2020: 13.1.7

- Adds multiple edge labels in CSV import
- Adds experimental support for tables
- Adds Content-Security-Policy header
- Adds link button in library dialog
- Uses mxGraph 4.2.0 beta 5

27-MAY-2020: 13.1.6

- Fixes Gliffy popup issue

27-MAY-2020: 13.1.5

- Adds CSP restrictions

27-MAY-2020: 13.1.4

- Adds dark export option in dark mode
- Adds Euskadi translations
- Uses mxGraph 4.2.0 beta 4
- Adds openLink JSON event
- Adds %id% placeholder

19-MAY-2020: 13.1.3

- Adds merge JSON message

15-MAY-2020: 13.1.2

- Fixes ignored compressXml for empty embed data
- Fixes encoded XML in export JSON event
- Adds XML in JSON load event
- Uses mxGraph 4.2.0 beta 3

12-MAY-2020: 13.1.1

- Adds noExitBtn option for embed mode
- Fixes group selection model
- Uses mxGraph 4.2.0 beta 2

11-MAY-2020: 13.1.0

- Adds support for pointer events in swimlanes
- Adds message in export/template response
- Adds grid to certain custom handles
- Changes to the selection model
- Uses mxGraph 4.2.0 beta 1

07-MAY-2020: 13.0.9

- Adds patch chain validation for real time

05-MAY-2020: 13.0.8

- Adds ctrl+enter for table cells

05-MAY-2020: 13.0.7

- Uses mxGraph 4.1.2 beta 6

03-MAY-2020: 13.0.6

- Disables deltas for OneDrive real time
- Adds token for Google Drive real time

01-MAY-2020: 13.0.5

- Import Extension code updated

30-APR-2020: 13.0.4

- Adds support for vss(x) via clibs parameter
- Fixes inserting file to empty GitLab repo
- Fixes drop vss file into library dialog
- Fixes event handling for iPadOS 13.4.1
- Uses mxGraph 4.1.2 beta 5

29-APR-2020: 13.0.3

- Lucidchart import improvements

27-APR-2020: 13.0.2

- Fixes print output in dark mode
- Preserves pasted text colors
- Adds math-font URL parameter

21-APR-2020: 13.0.1

- Replaces HTML-CSS MathJax output files
- Forces loading MathJS locally in export server/Desktop

21-APR-2020: 13.0.0

- Redirects old desktop versions
- Fixes Edit menu in Chrome app
- Uses SVG for math typesetting
- Uses mxGraph 4.1.2 beta 4

16-APR-2020: 12.9.14

- Renamed jscolor to mxJSColor to avoid clash

15-APR-2020: 12.9.13

- Adds file properties dialog

14-APR-2020: 12.9.12

- Adds edit style to context menu
- Fixes moving cells in stacks

11-APR-2020: 12.9.11

- Fixes edge label default style
- Improves Lucidchart import

08-APR-2020: 12.9.10

- Fixes toggle selection for cells in containers
- Fixes copy paste of cells in Firefox
- Improvements for Lucidchart import
- Uses mxGraph 4.1.2 beta 3

07-APR-2020: 12.9.9

- Uses mxGraph 4.1.2 beta 2
- Removes Google image search
- Removes photos URL parameter
- Fixes pasting links and data URIs
- Fixes Sharepoint sites in OneDrive picker
- Workaround for lightbox in Jira Service desk
- Adds center option for Confluence Cloud viewer
- Replaces Home with Shift+Home, Ctrl+H with Home

05-APR-2020: 12.9.8

- Fixes formatting for pasted text
- Uses mxGraph 4.1.2 beta 1

03-APR-2020: 12.9.7

- Optional size, position and angle panels
- Improvements for Lucidchart import
- Adds combo box for extensions
- Uses mxGraph 4.1.2 beta 1

31-MAR-2020: 12.9.6

- Improvements for Lucidchart import
- Fixes CORS errors for some icons
- Fixes ER shapes for dark mode
- Uses mxGraph 4.1.1

30-MAR-2020: 12.9.5

- Uses mxGraph 4.1.1 beta 16
- Fixes some shapes

29-MAR-2020: 12.9.4

- Adds delegating connector and half circle markers
- Improvements for Lucidchart import
- Enables cloud storage in PWA
- Uses mxGraph 4.1.1 beta 15

25-MAR-2020: 12.9.3

- Fixes update of filename placeholder
- Improvements for Lucidchart import
- Fixes minor issues with layouts

24-MAR-2020: 12.9.2

- Adds filename placeholder
- Fixes Gliffy import

24-MAR-2020: 12.9.1

- Fixes insert HTML table from text panel

23-MAR-2020: 12.9.0

- Fixes encoding errors in stencils.min.js
- Moves resize live preview to front
- Adds Threat Modeling shapes
- Uses mxGraph 4.1.1 beta 14

23-MAR-2020: 12.8.9

- Adds Lucidchart import feedback
- Adds search for all pages
- Adds new polygon shapes

18-MAR-2020: 12.8.8

- Improvements to localStorage migration
- Improvements to AWS shapes

17-MAR-2020: 12.8.7

- Improvements to localStorage migration
- Fixes align and distribute buttons in Arrange panel
- Improvements for Lucidchart import

17-MAR-2020: 12.8.6

- Migrates localStorage from draw.io to diagrams.net
- Fixes XML embedding within PDFs

14-MAR-2020: 12.8.5

- Fixes drag and drop of images to containers in Firefox
- Adds (Alt+)Shift+Tab for outdent/indent while editing
- No longer selects moved cells after undo/redo
- Reduces number of automatic layout runs
- Merges PWA into online app
- Uses mxGraph 4.1.1 beta 13

11-MAR-2020: 12.8.4

- Changes canonical URL to app.diagrams.net

11-MAR-2020: 12.8.3

- Switches to PlantUML build 1.2020.2
- Adds app.diagrams.net support for onedrive and cache responses
- Fixes infinite resizing of viewer in conf cloud
- Uses all layers for drop target selection
- Uses mxGraph 4.1.1 beta 12

09-MAR-2020: 12.8.2

- Fixes Confluence Cloud lightbox and Jira Cloud editor iFrame resize

05-MAR-2020: 12.8.1

- Fixes Confluence Cloud editor iFrame resize

05-MAR-2020: 12.8.0

- Fixes PDF export for multiple page formats
- Fixes PDF export page variable placeholder
- Disables drop shadow in Safari browser
- Changes name to diagrams.net

27-FEB-2020: 12.7.9

- Fixes update of indicator shapes
- Uses mxGraph 4.1.1 beta 11
- Adds diagrams.net banner

26-FEB-2020: 12.7.8

- Adds logging for Confluence cloud errors
- Adds global error dialog

26-FEB-2020: 12.7.7

- Adds error logging for Confluence and Jira cloud

25-FEB-2020: 12.7.6

- Fixes NPE in viewer

25-FEB-2020: 12.7.5

- Fixes removed contentID macro parameter in Confluence cloud
- Adds recursive resize for size change in Arrange panel
- Disables drop target for composite BPMN/UML shapes
- Fixes missing tree move icon

21-FEB-2020: 12.7.4

- Changes Google picker to support team drives
- Fixes crop for imported files

21-FEB-2020: 12.7.3

- Fixes caching of Google fonts

19-FEB-2020: 12.7.2

- Removes HTML 5 application cache
- Adds Alt+Click for sidebar items
- Fixes rounding for page guides
- Adds language support for PWA
- Uses mxGraph 4.1.1 beta 10

17-FEB-2020: 12.7.1

- DropTarget style has precedence over container
- Replaces UML module shape
- Uses mxGraph 4.1.1 beta 9

13-FEB-2020: 12.7.0

- Adds dropTarget style property
- Adds Insert, Advanced, Mermaid

12-FEB-2020: 12.6.8

- Ignores drafts with mode parameter
- Adds Arrange, Layout, Org Chart
- Fixes GitLab authentication
- Uses mxGraph 4.1.1 beta 8

10-FEB-2020: 12.6.7

- Fixes clipping for edge labels in PDF output
- Uses mxGraph 4.1.1 beta 7
- Adds draft states

07-FEB-2020: 12.6.6

- Searches collapsed custom libraries
- Fixes configured default libraries
- Adds tags to configured libraries
- Uses auth header for Google Drive
- Uses mxGraph 4.1.1 beta 6

04-FEB-2020: 12.6.5

- Adds expand style for containers
- Adds warning for fallback labels
- Improvements for CSV import
- Uses mxGraph 4.1.1 beta 5
- Adds new AWS 19 shapes

02-FEB-2020: 12.6.4

- Uses mxGraph 4.1.1 beta 4
- Fixes possible NPE

02-FEB-2020: 12.6.3

- Updates move preview after key events
- Fixes rounding errors for routing
- Uses mxGraph 4.1.1 beta 3

30-JAN-2020: 12.6.2

- Fixes WebKitBlobResource error on iOS
- Adds layers for VSDX export
- Uses mxGraph 4.1.1 beta 2

28-JAN-2020: 12.6.1

- Adds new Veeam shapes

28-JAN-2020: 12.6.0

- Fixes aspect dialog incorrect layers

25-JAN-2020: 12.5.8

- Fixes possible NPE in OneDrive client

25-JAN-2020: 12.5.7

- Fixes access to OneDrive Sharepoint folders
- Creates fewer revisions in Google Drive
- Uses mxGraph 4.1.1 beta 1
- Uses PlantUML 2019.7

22-JAN-2020: 12.5.6

- Fixes offline download for mobile Safari
- Fixes newlines in custom shape editor
- Uses mxGraph 4.1.0 pre 6
- Adds movableLabel style

16-JAN-2020: 12.5.5

- Fixes inconsistent label wrapping
- Uses mxGraph 4.1.0 pre 5

15-JAN-2020: 12.5.4

- Adds PWA install prompt handler

14-JAN-2020: 12.5.3

- Fixes line height in labels
- Uses mxGraph 4.1.0 pre 4

14-JAN-2020: 12.5.2

- Adds option to include XML in PDF
- Replaces app cache with PWA
- Uses mxGraph 4.1.0 pre 3

09-JAN-2020: 12.5.1

- Fixes label offsets in viewer
- Uses mxGraph 4.1.0 pre 2

07-JAN-2020: 12.5.0

- Enables reflow in HTML output
- Fixes text rendering issues
- Uses mxGraph 4.1.0 pre 1
- Adds Galician language

06-JAN-2020: 12.4.9

- Adds support for multiple redirect URLs in token-based-auth 

31-DEC-2019: 12.4.8

- Adds referrer policy header
- Uses mxGraph 4.0.6 beta 16

27-DEC-2019: 12.4.7

- Fixes bug for loading viewer in Confluence Cloud

27-DEC-2019: 12.4.6

- Fixes mobile Safari in desktop mode
- Uses mxGraph 4.0.6 beta 15

27-DEC-2019: 12.4.5

- Uses mxGraph 4.0.6 beta 14
- Fixes possible NPE

27-DEC-2019: 12.4.4

- Fixes proxy URL for Confluence Cloud lightbox
- Fixes possible text wrapping for SVG export
- Adds custom fonts for embedded SVG files
- Pass-through OTF fonts in proxy servlet
- Adds basic diagram templates
- Uses mxGraph 4.0.6 beta 13

17-DEC-2019: 12.4.3

- Uses fast zoom preview on iOS
- Uses mxGraph 4.0.6 beta 12

14-DEC-2019: 12.4.2

- Improves move/resize preview and guides
- Adds pinch to zoom for macOS trackpad
- Disables drop style for swimlanes
- Adds anchor points for corners
- Fixes edge label move preview
- Uses mxGraph 4.0.6 beta 11

12-DEC-2019: 12.4.1

- Fixes initial key state for cloning
- Uses mxGraph 4.0.6 beta 11

12-DEC-2019: 12.4.0

- Adds Catalan translations, credit Pere Orga pere@orga.cat
- Fixes drag cells to library, subtree moving live preview
- Fixes conf cloud gliffy mass import paging bug
- Uses mxGraph 4.0.6 beta 10

09-DEC-2019: 12.3.9

- Fixes NPE in Lucidchart import
- Adds check for empty layerID array in GraphViewer

06-DEC-2019: 12.3.8

- Improves Gliffy import of nested links
- Adds pageID target export selection in Confluence Cloud

05-DEC-2019: 12.3.7

- Fixes handling of clipboard data
- Uses mxGraph 4.0.6 beta 9

03-DEC-2019: 12.3.6

- Moves rotation handle to top right corner
- Adds faster mouse wheel zoom
- Uses mxGraph 4.0.6 beta 8

02-DEC-2019: 12.3.5

- Fixes deletion bugs causing search incorrect results in Jira Cloud
- Fixes text alignment for block elements

02-DEC-2019: 12.3.4

- Fixes Gliffy global text size setting on import
- Fixes settings override with configuration
- Adds custom fonts in print output

28-NOV-2019: 12.3.3

- Adds more ERD shapes

27-NOV-2019: 12.3.2

- Fixes moving and resizing on iOS 13
- Uses mxGraph 4.0.6 beta 8

26-NOV-2019: 12.3.1

- Fixes PDF export with math typesetting

25-NOV-2019: 12.3.0

- Fixes client-side math export in Firefox
- Uses mxGraph 4.0.6 beta 7

21-NOV-2019: 12.2.9

- Fixes autosize for font size and style changes
- Adds PDF extension check in save dialog
- Fixes callback error in embed mode
- Uses mxGraph 4.0.6 beta 6

21-NOV-2019: 12.2.8

- Removes state URL parameter

19-NOV-2019: 12.2.7

- Adds #_CONFIG_ hash property for configuration via URL
- Fixes for external font support
- Adds Extras, draw.io Configuration menu
- Adds Link item in page context menu

13-NOV-2019: 12.2.6

- Reverts Google auth change in 12.2.5

13-NOV-2019: 12.2.5

- Add external font support
- Adds configuration option in local storage

12-NOV-2019: 12.2.4

- Updates IBM stencils
- Fixes Lucidchart import NPE
- Adds pools and lanes in BPMN General library
- Adds client-side SVG and PNG export for math

08-NOV-2019: 12.2.3

- Improves stencils in dark mode
- Removes electron useragent check
- Fixes shifted text labels in PDF with math
- Adds clipping for print output
- Uses mxGraph 4.0.6 beta 5

06-NOV-2019: 12.2.2

- Fixes NPE in pasteCells

06-NOV-2019: 12.2.1

- Fixes slow paste from clipboard in modern browsers
- Improves handling of timeouts in Google Drive
- Fixes event handling on iOS
- Uses mxGraph 4.0.6 beta 4

04-NOV-2019: 12.2.0

- Fixes Google auth after hibernate on Windows
- Fixes print in lightbox for some file types
- Fixes extension for command line export
- Open file asks for new or same window
- Handles trashed state in Google Drive
- Fixes links in labels for SVG export
- Appends tab name for image export

30-OCT-2019: 12.1.9

- Fixes anchor points for certain shape styles
- Adds connection points for document shape
- Fixes handling of SVG with relative size
- Adds custom data import for Lucidchart
- Fixes timing issue in tooltips plugin
- Uses mxGraph 4.0.6 beta 3

28-OCT-2019: 12.1.8

- Fixes ignored height in viewer

25-OCT-2019: 12.1.7

- Minor fix for graph viewer

25-OCT-2019: 12.1.6

- Fixes missing center guides for certain cases
- Fixes lightbox in Trello
- Adds moveCells style
- Uses mxGraph 4.0.6 beta 2

24-OCT-2019: 12.1.5

- Fixes scopes for Google Drive Connector for Confluence Cloud
- Fixes opening libraries from GitLab

23-OCT-2019: 12.1.4

- Fixes scrollbars in Confluence Diagram Viewer
- Fixes embed dialog for Google Shared Drives
- Fixes snap to grid while panning
- Adds paging for GitLab picker
- Uses mxGraph 4.0.6 beta 1

17-OCT-2019: 12.1.3

- Fixes Google Drive auth in Office plugin
- Uses mxGraph 4.0.5

16-OCT-2019: 12.1.2

- Fixes scrollbars in Confluence Cloud and Jira Cloud
- Fixes export of uncompressed XML files to PDF
- Uses mxGraph 4.0.3 beta 7

14-OCT-2019: 12.1.1

- Uses uncompressed XML files in GitLab and GitHub
- Fixes background color for cropped PDF export
- Improves logic for hiding cell moving guides
- Fixes token override in Google Drive viewer
- Adds roundtrip editing for PlantUML images
- Uses mxGraph 4.0.3 beta 6

09-OCT-2019: 12.1.0

- Escape no longer starts editing in Safari and IE 11
- Uses revision IDs for realtime in Google Drive
- Fixes ignored alignment for autosize cells
- Switches to manual sync on cache timeout
- Disables resize live preview for groups
- Fixes test URL parameter for logging
- Adds live preview for moving cells
- Uses mxGraph 4.0.3 beta 5
- Uses quirks mode in IE 9

08-OCT-2019: 12.0.3

- Fixes vertical label position of Data shape
- Handles changed etag in Google Drive after save
- Fixes page reorder for Chrome on Windows 10 in embed mode

02-OCT-2019: 12.0.2

- Updates pako to 1.0.10
- Fixes VSS naming problem
- Restores folder support to Confluence Cloud diagram viewer

01-OCT-2019: 12.0.1

- Adds testing for new pako version

27-SEP-2019: 12.0.0

- Fixes Google auth for multiple users
- Fixes default grid color in dark mode

26-SEP-2019: 11.3.2

- Updates Dell rack server stencils
- Docker image build process improvements

24-SEP-2019: 11.3.1

- Fixes uncompressed XML in SVG
- Fixes offset for ruler

20-SEP-2019: 11.3.0

- Updates Google Cloud Platform stencils
- Gliffy import improvements
- Uses uncompressed XML to fix search in Confluence Cloud
- Adds global compressXml switch
- Fixes print output in dark mode

18-SEP-2019: 11.2.9

- Adds pre and post config JS files
- Fixes page numbers in PDF export
- Adds globalVars to configuration
- Adds DRAWIO_CONFIG variable

08-SEP-2019: 11.2.8

- Fixes bugs in PlantUML for Confluence Cloud

07-SEP-2019: 11.2.7

- Fixes minor bugs

06-SEP-2019: 11.2.6

- Enables ruler by default
- Fixes clipart export in Chrome app
- Adds File, Embed, Google Sheets
- Updated CSS styles

03-SEP-2019: 11.2.5

- Updates MSCAE stencils

29-AUG-2019: 11.2.4

- Fixes segment connector rounding issue
- Updates AWS icons
- Fixes partial concentric ellipse
- Fixes search for custom libraries
- Adds pagecount placeholder

26-AUG-2019: 11.2.3

- Fit window zoom no longer ignores selection
- Updates page IDs in custom links on import
- Updates link hint after selection change
- Updates cell IDs in custom links

23-AUG-2019: 11.2.2

- Add support for loading zipped draw.io and Gliffy formats

20-AUG-2019: 11.2.1

- Fixes possible NPEs

20-AUG-2019: 11.2.0

- Adds ruler and units

19-AUG-2019: 11.1.5

- Fixes ignored background for multipage PDF export
- Adds Lollipop Notation shape in UML section
- Fixes export for global placeholders
- Adds XML declaration for SVG export
- Enables block alignment for text
- Adds allowArrows style

08-AUG-2019: 11.1.4

- Fixes grid NPE in export dialog

08-AUG-2019: 11.1.3

- Adds export option to include grid
- Fixes last Gitlab project used in group
- Adds custom Gitlab parameters
- Fixes compressed XML export option

05-AUG-2019: 11.1.2

- Fixes encoding of embedded PNG data
- Adds custom Gitlab URL option

02-AUG-2019: 11.1.1

- Forces in-place electron users to upgrade page

02-AUG-2019: 11.1.0

- Fixes for Electron 6
- Uses dark theme on desktop by default in dark mode
- Changes Conf Cloud to leave draft attachments empty

01-AUG-2019: 11.0.9

- Fixes window.app undefined check
- Adds desktop command line vsdx export
- Fixes Confluence Cloud custom content direct edit macro replacment

30-JUL-2019: 11.0.8

- Fixes for dialogs when no services available
- Fixes comment window refresh error

26-JUL-2019: 11.0.7

- Fixes for MS Office Add-in

26-JUL-2019: 11.0.6

- Improves error handling for exportToCanvas

24-JUL-2019: 11.0.5

- Adds timeout for Office Add-in server fallback
- Fixes incorrect zTXt header for PNG+XML files
- Fixes rounding of ellipse positions in SVG
- Fixes rounding for fixed connection points
- Uses mxGraph 4.0.3 beta 4

23-JUL-2019: 11.0.4

- Adds timeout handler for Google Drive thumb generation

23-JUL-2019: 11.0.3

- Fixes handling of repository paths in GitLab
- Ignores hidden cells for selectAll
- Uses mxGraph 4.0.3 beta 3

22-JUL-2019: 11.0.2

- Replaces alt+click with shift+click in ChromeOS
- Uses draw.io Viewer app for lightbox mode
- Uses mxGraph 4.0.3 beta 2

20-JUL-2019: 11.0.1

- Fixes math typesetting in legacy embed script
- Fixes encoding issues for GitHub and GitLab
- Fixes file handling issues for GitLab

19-JUL-2019: 11.0.0

- Adds Show more option in splash screen
- Adds uncompressed XML support (beta)
- Adds support for GitLab (beta)
- Uses mxGraph 4.0.3 beta 1

16-JUL-2019: 10.9.8

- Adds Extras, Insert, Freehand
- Moves create shape to insert menu
- Adds named labels for CSV import

15-JUL-2019: 10.9.7

- Adds validation for label border and background colors
- Uses mxGraph 4.0.2

12-JUL-2019: 10.9.6

- Adds local files, Google Drive in Office Add-in

11-JUL-2019: 10.9.5

- Improves error handling for saving files
- Fixes desktop startup

11-JUL-2019: 10.9.4

- Adds named styles for CSV import

10-JUL-2019: 10.9.3

- Fixes trailing newline in plain text labels
- Allows inserting multiple lists from text
- Adds treeMoving style for moving subtrees
- Fixes table cell align and color editing
- Uses mxGraph 4.0.2 beta 4

09-JUL-2019: 10.9.2

- Fixes reset of handles after remote style changes
- Fixes background color for rotated text editing
- Improves command line export in Electron
- Uses mxGraph 4.0.2 beta 3

09-JUL-2019: 10.9.1

- Fixes NPE in Electron and ChromeOS apps

08-JUL-2019: 10.9.0

- Fixes custom link execution for visibility changes
- Fixes format panel CSS in Firefox for Linux
- Fixes inconsistent text editing alignment
- Uses mxGraph 4.0.2 beta 2

04-JUL-2019: 10.8.9

- Uses mxGraph 4.0.2 beta 1
- Adds fill-/strokealpha for stencils
- Setting autosave to true triggers save

03-JUL-2019: 10.8.8

- Adds timer to check for unsaved changes
- Fixes lightbox height for Confluence Cloud viewer

02-JUL-2019: 10.8.7

- Fixes PlantUML connect add attachment call

02-JUL-2019: 10.8.6

- Fixes ignored properties for child cells in CSV
- Logs file idle states
- Uses mxGraph 4.0.1

02-JUL-2019: 10.8.5

- Removed RPC calls in Confluence Connect
- Adds support for digrams in Confluence Cloud comments
- Fixes handling of move in rounded paths
- Uses mxGraph 4.0.1 beta 11

29-JUN-2019: 10.8.4

- No longer selects parent after delete of child
- Updates in-place editor after window resize
- Uses mxGraph 4.0.1 beta 10

28-JUN-2019: 10.8.3

- Embed diagrams from URL in Jira Cloud
- Makes custom fonts persistent
- Uses mxGraph 4.0.1 beta 9

27-JUN-2019: 10.8.2

- Fixes handling of special font names
- Shows warning if file copy is loaded
- Smaller sidebar entries
- Adds tags plugin

26-JUN-2019: 10.8.1

- Fixed preview image aspect ratio in Confluence Cloud
- Increases preview image export quality in Confluence Cloud
- Uses default picker for loading files in IE11

21-JUN-2019: 10.8.0

- Removes unsafe-eval CSP for desktop app
- Fixes plugins in desktop app

19-JUN-2019: 10.7.9

- Ignores refs and manage columns in CSV example

19-JUN-2019: 10.7.8

- Fixes double click handling with pen and touch on Windows
- Fixes ignored transparent background in viewer
- Adds optional custom labels for IC pins
- Uses mxGraph 4.0.1 beta 8
- Fixes UI inconsistencies

12-JUN-2019: 10.7.7

- Adds validation of color picker input to fix XSS vulnerability

11-JUN-2019: 10.7.6

- Removes fallback to print dialog if offline in Electron
- Fixes broken link if Google Drive is not loading

04-JUN-2019: 10.7.5

- Fixes Math rendering in graph viewer

03-JUN-2019: 10.7.4

- Adds MathJax codebase

31-MAY-2019: 10.7.3

- Enabling saving diagrams when the associated custom content is deleted or not found

31-MAY-2019: 10.7.2

- Fixes loading custom plugins in embed mode with configure URL parameter
- Fixes math rendering with no scrollbars

29-MAY-2019: 10.7.1

- Adds JSON string for layouts in CSV import
- Fixes zoomed position for data store label
- Fixes changing of link colors in Firefox
- Fixes limitations for Google docs add-on

28-MAY-2019: 10.7.0

- Replaces octet-stream with vnd.jgraph.mxfile in Drive
- Fixes opaque background for server-side PNG export
- Fixes line jump rendering with child edge labels
- Fixes loading of large images via Insert dialog
- Adds support to show/hide layers via tags
- Adds edge flow to animation plugin
- Fixes saving of OneDrive libraries

25-MAY-2019: 10.6.9

- Fixes missing VSDX import in stealth mode

22-MAY-2019: 10.6.8

- Add VMware stencils
- VSDX import improvements

07-MAY-2019: 10.6.7

- Fixes first input element not firing change event

02-MAY-2019: 10.6.6

- Adds MS Active Directory stencils
- Improvements to GCP stencils
- Adds Confluence Cloud translations

24-APR-2019: 10.6.5

- Fixes style variation logic in VSDX import

24-APR-2019: 10.6.4

- Adds VSDX import improvements
- Adds new IBM stencils and template
- Add Cumulus stencils

16-APR-2019: 10.6.3

- Fixes handling of Infinity in geometries and points
- Uses mxGraph 4.0.1 beta 7

15-APR-2019: 10.6.2

- Adds generic layout menu item

10-APR-2019: 10.6.1

- Fixes issues with CSV import
- Adds pointerEvents style for stencils and AWS groups
- Uses new language locale API in Confluence cloud
- Uses mxGraph 4.0.1 beta 6

01-APR-2019: 10.6.0

- Adds configuration section for Confluence for cloud
- Free GDrive/OneDrive connector for Confluence cloud
- Adds show with draw.io option in OneDrive connector
- Improves handling of files with no extensions in GDrive connector

27-MAR-2019: 10.5.9

- Change to connection points and arrows trigger autosave
- Adds style options for edge labels in Arrange panel
- Fixes scroll during Alt+mouse wheel in Chrome
- Uses mxGraph 4.0.1 beta 5

26-MAR-2019: 10.5.8

- Hides icon in Confluence cloud for resolved comments
- Uses mxGraph 4.0.1 beta 4

26-MAR-2019: 10.5.7

- Adds comments in Confluence cloud viewer
- Improves Google file not found dialog

25-MAR-2019: 10.5.6

- Adds file ID and mime type in GDriveConnector macro editor
- Removes convert warning, cache alive check in lightbox
- Improves handling of redirects and invalid responses
- Removes connection arrows for edge labels

25-MAR-2019: 10.5.5

- Improvements for Gliffy import
- Uses mxGraph 4.0.1 beta 3

22-MAR-2019: 10.5.4

- Adds custom libraries for Confluence cloud

21-MAR-2019: 10.5.3

- Fixes timing issue in graph viewer
- Fixes date formats in VSDX import
- Fixes possible cropping for PDF export

20-MAR-2019: 10.5.2

- Fixes bug for comments in Confluence cloud

19-MAR-2019: 10.5.1

- Adds comments for Confluence cloud

18-MAR-2019: 10.5.0

- Uses .drawio extension in desktop app
- Removes spacers for rack layouts
- Uses mxGraph 4.0.1 beta 2

17-MAR-2019: 10.4.9

- Adds comments for Google Drive (beta)

15-MAR-2019: 10.4.8

- Adds autosaveDelay and defaultEdgeLength to drawio-config

15-MAR-2019: 10.4.7

- Realtime warning can be permanently closed
- Ignores read-only files in auto conversion
- Adds new issue viewer for Jira cloud
- Fixes Atlas theme in Safari

14-MAR-2019: 10.4.6

- Adds warning dialog for failed autosave after 10 minutes
- Improves error logging in Google Drive client
- Improves error handling for auto conversion
- Fixes shadow for PNG export in dark mode

13-MAR-2019: 10.4.5

- Fixes bug in Confluence cloud
- Fixes error handling
- Improves logging

12-MAR-2019: 10.4.4

- Adds blob.core.windows.net to known CORS urls
- Fixes loading of Visio templates via proxy

12-MAR-2019: 10.4.3

- Uses mxGraph 4.0.1 beta 1

11-MAR-2019: 10.4.2

- Adds logging

09-MAR-2019: 10.4.1

- Uses mxGraph 3.9.13 beta 18

09-MAR-2019: 10.4.0

- Handles timeouts in realtime convert tool
- Fixes bugs for older versions of IE

08-MAR-2019: 10.3.9

- Adds warning for Google Drive legacy files
- Adds language menu in Atlas theme

08-MAR-2019: 10.3.8

- Fixes possible NPEs
- Fixes possible clipping bugs
- Uses mxGraph 3.9.13 beta 17

08-MAR-2019: 10.3.7

- Creates revision for every autosave in Google Drive
- Fixes new Confluence editor issues

07-MAR-2019: 10.3.6

- Improves error handling for Google Drive
- Adds realtime file conversion tool

05-MAR-2019: 10.3.5

- Reduces possible number 403 errors in Drive

05-MAR-2019: 10.3.4

- Fixes possible NPE in plugin error handler

05-MAR-2019: 10.3.3

- Changes default extension to .drawio
- Updated UI styles

04-MAR-2019: 10.3.2

- Fixes Confluence Cloud Direct Edit Saving

02-MAR-2019: 10.3.1

- Fixes loading spinner for Trello
- Uses magic numbers for templates

01-MAR-2019: 10.3.0

- Adds validation step for Google file saving
- Adds last saved delay to status bar
- Adds page-id URL parameter

28-FEB-2019: 10.2.9

- Moves Confluence Cloud viewer settings to format panel
- Allows all content from docs.google.com via proxy
- Adds menu for moving selection to other layers
- Adds simple viewer option for Confluence Cloud
- Fixes bad CRC in PNG exports

25-FEB-2019: 10.2.8

- Fixes import of multiple pages into empty file
- Fixes macro shortcut handling in Confluence cloud

25-FEB-2019: 10.2.7

- Adds orthogonal loop, no jump property for edges
- Fixes default stylesheet for export in dark mode
- Fixes events for transparent swimlane titles
- Uses mxGraph 3.9.13 beta 16

22-FEB-2019: 10.2.6

- Adds page ID export for Confluence Cloud
- Fixes colored AWS19 icons library ID

20-FEB-2019: 10.2.5

- Adds fallback for unavailable sharing in Google Drive
- Fixes possible timing issues with open URL parameter
- Fixes link handling in legacy embedded diagrams

18-FEB-2019: 10.2.4

- Adds Microsoft Office add-ins
- Adds open URL parameter

15-FEB-2019: 10.2.3

- Adds interactive help for file name input fields
- Fixes handling of revisions for PNG files in Drive
- Adds shift click for Drive file details on app icon
- Adds Embed, Live image for public PNG files on Drive and GitHub
- Uses mxGraph 3.9.13 beta 15

11-FEB-2019: 10.2.2

- Adds refresh, new window in Confluence Cloud connector toolbars
- App icon links to file preview for Google Drive

09-FEB-2019: 10.2.1

- Fixes loading of configuration for confluence cloud
- Adds template-filename URL parameter for binary templates
- Fixes browser refresh for converted lightbox files

08-FEB-2019: 10.2.0

- Adds vsd(x) and gliffy support in GDrive Connector

07-FEB-2019: 10.1.9

- Renames load event for configuration to configure

05-FEB-2019: 10.1.8

- Fixes property focus after save
- Updated AWS 2019 icon colors

04-FEB-2019: 10.1.7

- Adds auto-resolution for Google add-ons
- Fixes minimum height for empty viewer
- Fixes shadow in SVG export/embed
- Fixes possible 404 in GitHub

29-JAN-2019: 10.1.6

- Removes alert for link errors
- Removes sync button

28-JAN-2019: 10.1.5

- Uses mxGraph 3.9.13 beta 14

25-JAN-2019: 10.1.4

- Adds download button in save dialog
- Adds shift to ignore current style
- Uses mxGraph 3.9.13 beta 13

21-JAN-2019: 10.1.3

- Fixes possible NPEs
- Uses mxGraph 3.9.13 beta 12

18-JAN-2019: 10.1.2

- Adds debug output

18-JAN-2019: 10.1.1

- Fixes possible NPEs

17-JAN-2019: 10.1.0

- Adds auth token refresh for OneDrive

16-JAN-2019: 10.0.43

- Fixes possible NPE in hashValue

16-JAN-2019: 10.0.42

- Fixes handling of invalid files
- Uses mxGraph 3.9.13 beta 11

15-JAN-2019: 10.0.41

- Adds ignored page size in checksum

15-JAN-2019: 10.0.40

- Fixes possible use of undefined variable

15-JAN-2019: 10.0.39

- Fixes shadow change check

15-JAN-2019: 10.0.38

- Fixes inconsistency in collaborative editing
- Handles possible call stack errors
- Uses mxGraph 3.9.13 beta 10
- Adds IC shapes

14-JAN-2019: 10.0.37

- Improves error logging

14-JAN-2019: 10.0.36

- Uses mxGraph 3.9.13 beta 9
- Adds debug output

13-JAN-2019: 10.0.35

- Fixes device option in splash
- Adds Insert Template

12-JAN-2019: 10.0.34

- Fixes save dialog icon CSS flow

12-JAN-2019: 10.0.33

- Adds support for strikeThrough style (beta)
- Adds dark opacity styles for note and cube
- Enables device storage on iOS

11-JAN-2019: 10.0.32

- Adds page view in format panel for read-only files
- Minor fixes for collaborative editing
- Uses mxGraph 3.9.13 beta 8

11-JAN-2019: 10.0.31

- Fixes critical bug for cell lookups
- Ignores page size in checksum
- Uses mxGraph 3.9.13 beta 7

10-JAN-2019: 10.0.30

- Ignores page width in checksum
- Uses mxGraph 3.9.13 beta 6

10-JAN-2019: 10.0.29

- Improved error handling for CSV import
- Uses mxGraph 3.9.13 beta 5

10-JAN-2019: 10.0.28

- Uses mxGraph 3.9.13 beta 4
- Fixes root folder dialog

10-JAN-2019: 10.0.27

- Ignores mxObjectId in diffsync

09-JAN-2019: 10.0.26

- Uses mxGraph 3.9.13 beta 3

08-JAN-2019: 10.0.25

- Ignores previous attribute in checksum

08-JAN-2019: 10.0.24

- Fixes critical bug with collaborative editing

08-JAN-2019: 10.0.23

- Adds debug output for checksum errors
- Adds custom properties in diffsync
- Fixes possible ReferenceError
- Fixes for Jira cloud plugin

05-JAN-2019: 10.0.22

- Adds initial change check in sync protocol
- Ignores numeric JS errors in checksum
- Fixes pending sync on inactive window

04-JAN-2019: 10.0.21

- Adds debug output for checksum errors

04-JAN-2019: 10.0.20

- Adds debug output for checksum errors

04-JAN-2019: 10.0.19

- Adds debug output for checksum errors

04-JAN-2019: 10.0.18

- Fixes checksum errors in lightbox mode

03-JAN-2019: 10.0.17

- Fixes sync for PNG files in desktop app
- Fixes handling of auth error in Drive
- Uses main app ID for Drive viewer
- Fixes clipping in Google add-ons
- Uses mxGraph 3.9.13 beta 2
- Fixes redo button state
- Removes debug output

02-JAN-2019: 10.0.16

- Handles shadow change during catchup

01-JAN-2019: 10.0.15

- Fixes error logging

01-JAN-2019: 10.0.14

- Fixes possible timing issue

29-DEC-2018: 10.0.13

- Improved error handling for collaborative editing

28-DEC-2018: 10.0.12

- Fixes possible select of deleted page

28-DEC-2018: 10.0.11

- Adds parameter check for connect apps

28-DEC-2018: 10.0.10

- Fixes for error logging

27-DEC-2018: 10.0.9

- Fixes sync for unsaved files in Desktop
- Adds Google Slides to Embed menu
- Ignores page names in checksum
- Fixes handling of lost pages

21-DEC-2018: 10.0.8

- Ignores undefined page names in diffsync

21-DEC-2018: 10.0.7

- Fixes checksum handling in desktop
- Uses mxGraph 3.9.13 beta 1

20-DEC-2018: 10.0.6

- Performance fixes for collaborative editing
- Fixes collaboration conflict errors

19-DEC-2018: 10.0.5

- Fixes for collaborative editing

19-DEC-2018: 10.0.4

- Fixes for night mode and responsive UI

18-DEC-2018: 10.0.3

- Disables sync in Chrome OS
- Fixes CSS issues

17-DEC-2018: 10.0.2

- Adds inactivity timeout for collaborative editing

17-DEC-2018: 10.0.1

- Fixes Google auth for OneDrive files

17-DEC-2018: 10.0.0

- Enables collaborative editing
- Hides footer

16-DEC-2018: 9.6.6

- Adds darker stroke colors for metro palettes

15-DEC-2018: 9.6.5

- Fixes for collaborative editing (beta)

14-DEC-2018: 9.6.4

- Uses mxGraph 3.9.12

13-DEC-2018: 9.6.3

- Uses mxGraph 3.9.11 beta 10

12-DEC-2018: 9.6.2

- Uses mxGraph 3.9.11 beta 9

11-DEC-2018: 9.6.1

- Adds source-/targetPerimeterSpacing to default style
- Fixes font style button states in Edge, FF and IE
- Removes Google realtime API
- Fixes focus handling on iOS

10-DEC-2018: 9.6.0

- Fixes for collaborative editing (beta)
- Fixes minor bugs

06-DEC-2018: 9.5.9

- Uses PlantUML build 4

04-DEC-2018: 9.5.8

- Fixes focus handling in format panel

04-DEC-2018: 9.5.7

- Removes dummy href attributes

04-DEC-2018: 9.5.6

- Uses mxGraph 3.9.11 beta 8

03-DEC-2018: 9.5.5

- Adds unsaved status for new files in Desktop
- Fixes minor CSS issues

03-DEC-2018: 9.5.4

- Fixes possible NPE in Desktop

03-DEC-2018: 9.5.3

- Uses mxGraph 3.9.11 beta 7

02-DEC-2018: 9.5.2

- Fixes caching issue with GitHub file sync

30-NOV-2018: 9.5.1

- Fixes Gliffy import alignment issue
- Fixes properties panel focus issue

30-NOV-2018: 9.5.0

- Fixes tolerance for distance guides
- Adds collaborative editing (beta)
- Restores libraries after login
- Uses mxGraph 3.9.11 beta 6

28-NOV-2018: 9.4.7

- Adds multiple page PDF export option
- GraphML import improvements
- Adds addition IBM cloud stencils
- Adds Data Flow Diagram stencils

21-NOV-2018: 9.4.6

- Fixes corrupted chars in XML from JSON backup import

20-NOV-2018: 9.4.5

- Adds 2018 AWS icons
- Uses mxGraph 3.9.11 beta 5

16-NOV-2018: 9.4.4

- Adds GraphML import

15-NOV-2018: 9.4.3

- Internal release

12-NOV-2018: 9.4.2

- Fixes undoable edit when expanding Advanced sidebar
- Fixes handling of initial default background color
- Fixes shadow in client-side image and SVG export
- Adds realtime import and export in test mode
- Adds refresh menu item for all file types
- Removes static page text in lightbox mode
- Fixes keyboard shortcut for refresh file
- Restores view state after refresh file
- Adds distance guides

09-NOV-2018: 9.4.1

- Fixes links to revision history from status
- Hides static page text in embed mode
- Enables import from device on iOS

08-NOV-2018: 9.4.0

- Disables Google realtime on 11/12/2018 at 9:00am (UTC)

06-NOV-2018: 9.3.4

- Improves sanity check for Google Drive files
- Uses mxGraph 3.9.11 beta 4

02-NOV-2018: 9.3.2

- Adds sanity check for Google Drive files

26-OCT-2018: 9.3.1

- Adds current page index to JSON protocol
- Adds viewBox, target _top for SVG export
- Fixes selectDescendants keystroke
- Minor fixes for dark mode styles
- Uses mxGraph 3.9.11 beta 2

22-OCT-2018: 9.3.0

- Adds write permission in OneDrive client
- Adds link option in SVG export dialog
- Adds link to save status message

19-OCT-2018: 9.2.9

- Adds OneDrive for Business and Sharepoint integration

19-OCT-2018: 9.2.8

- Improves various Gliffy import issues
- Fixes inverted MovePage state after decoding

15-OCT-2018: 9.2.7

- Fixes local templates path

14-OCT-2018: 9.2.6

- Fixes possible NPE during delayed loading of plugins

14-OCT-2018: 9.2.5

- Adds customPresetColors, override config option
- Adds enabledLibraries, libraries config option
- Adds templateFile config option
- Uses mxGraph 3.9.11 beta 1

11-OCT-2018: 9.2.4

- Adds font, customFonts and -ColorSchemes config options
- Adds open page in Confluence Cloud lightbox toolbar
- Fixes property editing in minimal UI

08-OCT-2018: 9.2.3

- Adds shape properties panel (beta)
- Uses mxGraph 3.9.10

05-OCT-2018: 9.2.2

- Embed mode loads all supported formats
- Uses mxGraph 3.9.10 beta 2
- Adds vars URL parameter

03-OCT-2018: 9.2.1

- Ignores mode in Google Drive fallback

03-OCT-2018: 9.2.0

- Configurable ui and plugins for Confluence Cloud 
- Fixes fallback for public Google Drive URLs
- Adds configure=1 URL parameter and protocol
- Ctrl+Shift connect sets source constraint
- Removes #C configuration switch

21-SEP-2018: 9.1.8

- Fixes minor constraint check bug for new connections
- Uses mxGraph 3.9.10 beta 1

21-SEP-2018: 9.1.7

- Adds flow plugin
- Uses mxGraph 3.9.9
- Adds metro color palette
- Fixes VSDX export in IE11
- Adds plugins menu in embed mode

18-SEP-2018: 9.1.6

- Updates connection arrows and handle colors

17-SEP-2018: 9.1.5

- Fixes folder picker callback

17-SEP-2018: 9.1.4

- Adds root option before Google folder dialog
- Adds arrows=new URL parameter for feedback
- Adds data-attributes in svgdata plugin

12-SEP-2018: 9.1.3

- Improvements to GCP stencils
- Fixes Gliffy import of UML frames

31-AUG-2018: 9.1.2

- Allows empty referer for proxy requests

30-AUG-2018: 9.1.1

- Simpler provided/required interface shapes
- Fixes comic style for filled swimlanes
- Fixes preview for general sidebar
- Uses mxGraph 3.9.9 beta 9

29-AUG-2018: 9.1.0

- Adds content inspection in proxy server
- Uses minimal UI for small screens

27-AUG-2018: 9.0.9

- Uses mxGraph 3.9.9 beta 8
- Adds new color palette
- GCP stencil updates

23-AUG-2018: 9.0.8

- Fixes XSS vulnerability in Trello Power-Up
- Fixes GCP service cards icon set

22-AUG-2018: 9.0.7

- Add expanded product and service cards to GCP icon set

17-AUG-2018: 9.0.6

- Changes to GCP icon set

14-AUG-2018: 9.0.5

- Fixes NPE in VSDX export
- Improves vsdx import layer support
- Improves GraphML import support

10-AUG-2018: 9.0.4

- Add filter to proxy servlet

01-AUG-2018: 9.0.2

- Adds missing rounded format option
- Fixes tolerance for connect arrows
- Uses mxGraph 3.9.9 beta 7
- Fixes docker build

31-JUL-2018: 9.0.1

- Fixes insert to GitHub with URL parameter

28-JUL-2018: 9.0.0

- Disables persisted default styles
- Fixes inserting files to GitHub

26-JUL-2018: 8.9.9

- Adds support for hierarchies in CSV import
- Updates colors for Atlas theme
- Uses mxGraph 3.9.9 beta 6

23-JUL-2018: 8.9.8

- Changes PlantUML autosize parameter to default to true
- Improves error handling, imports
- Uses mxGraph 3.9.9 beta 5

18-JUL-2018: 8.9.7

- Uses new PlantUML version

18-JUL-2018: 8.9.6

- Fixes vertical offset for text editing with small fonts
- Fixes repaint of placeholders in text for custom shapes
- Fixes lost cursor after certain keyboard shortcuts
- Fixes clipboard state after cut keyboard shortcut
- Fixes minor issues for Confluence Cloud
- Adds draft state for Trello attachments
- Uses mxGraph 3.9.9 beta 4

13-JUL-2018: 8.9.5

- Fixes clipping for MathJax print preview in Safari
- Uses mxGraph 3.9.9 beta 3
- Fixes minor memory leak

11-JUL-2018: 8.9.4

- Removes foreignObjects for MathJax
- Fixes adding rows to tables
- Uses mxGraph 3.9.9 beta 2

09-JUL-2018: 8.9.3

- Fixes rounded style option for containers
- Moves webcola plugin to layout menu
- Fixes minor errors in print preview
- Uses mxGraph 3.9.9 beta 1

06-JUL-2018: 8.9.2

- Enables tags dialog in read-only files
- Fixes cell detection in fast preview
- Fixes improved shape search index
- Fixes undo for webcola plugin

04-JUL-2018: 8.9.1

- Fixes initial scroll offset in minimal UI
- Fixes possible invalid height for viewer

04-JUL-2018: 8.9.0

- Faster preview in Chrome, Firefox and Edge (beta)
- Adds responsive menubar in minimal UI
- Add tickets and webcola plugins
- Adds #C configuration switch
- Uses mxGraph 3.9.8 beta 1

26-JUN-2018: 8.8.7

- Fixes custom content view in Confluence Cloud
- Disables click sidebar collapse
- Uses inline window for text plugin
- Adds showStartScreen in Chrome App
- Disables plantUML when offline

21-JUN-2018: 8.8.6

- Improves detection of gliffy macro in conf cloud
- Fixes inconsistent menus

21-JUN-2018: 8.8.5

- Fixes delete property in data dialog
- Improvements for Lucidchart import
- Improvements for minimal UI
- Uses mxGraph 3.9.7 beta 4

20-JUN-2018: 8.8.4

- Fixes plugins for minimal UI
- Fixes relative links in Confluence Cloud

19-JUN-2018: 8.8.3

- Fixes typo for Allied Telesis

19-JUN-2018: 8.8.2

- Adds Allied Telesys sidebar
- Removes clipart from default cache
- Adds copy/paste size in Arrange panel
- Adds support for tags in link actions
- Adds support for custom link actions

14-JUN-2018: 8.8.1

- Adds detection of object type in link action

14-JUN-2018: 8.8.0

- Fixes label link detection cases in Firefox

13-JUN-2018: 8.7.10

- Fixes possible NPE in Electron

13-JUN-2018: 8.7.9

- Fixes possible NPE

13-JUN-2018: 8.7.8

- Fixes scroll wheel zoom while panning
- Fixes print of white text in Chrome
- Adds cell ID in metadata dialog
- Adds support for custom links
- Uses mxGraph 3.9.7 beta 3

11-JUN-2018: 8.7.7

- Fixes editing nested links in Firefox after Gliffy import [7098]

06-JUN-2018: 8.7.6

- Fixes proxy servlet response headers
- Ignores invalid Iconfinder response
- Adds email in Google user info

05-JUN-2018: 8.7.5

- Uses mxGraph 3.9.7 beta 2
- Uses mxgraph-core 3.9.6

03-JUN-2018: 8.7.4

- Fixes possible SSRF in proxy servlet

02-JUN-2018: 8.7.3

- Fixes overridden layout menu
- Uses mxGraph 3.9.7 beta 1

01-JUN-2018: 8.7.2

- Changes to Confluence Cloud image servlet

01-JUN-2018: 8.7.1

- Moves import CSV to insert menu

31-MAY-2018: 8.7.0

- Adds editableCssRules style
- Uses mxGraph 3.9.6

29-MAY-2018: 8.6.9

- Adds enableCustomLibraries switch
- Fixes math rendering timing bug
- Uses mxGraph 3.9.6 beta 1
- Uses MathJax 2.7.4

24-MAY-2018: 8.6.8

- Fixes math typesetting in PDF export
- Fixes NPE in minimal UI
- Uses mxGraph 3.9.5

23-MAY-2018: 8.6.7

- Adds #S parameter for loading from CSV source
- Adds support for VSD files in cloud storage
- Adds Lucidchart support for #U parameter

22-MAY-2018: 8.6.6

- Fixes enabled state for some menu items
- Moves SQL and PlantUML to insert menu
- Fixes loading libraries from OneDrive
- Adds reverse edge to context menu

17-MAY-2018: 8.6.5

- Fixes timing error for export in Safari
- Fixes change UI font size bug
- Uses mxGraph 3.9.4
- Fixes minor bugs

14-MAY-2018: 8.6.4

- Improvements to electron build

11-MAY-2018: 8.6.3

- Adds F5 icons plugin

09-MAY-2018: 8.6.2

- Replaces domain apex redirect

08-MAY-2018: 8.6.1

- Fixes links for transparent groups in viewer
- Fixes minimal UI for small screens
- Uses mxGraph 3.9.4 beta 6

06-MAY-2018: 8.6.0

- Fixes outline connect for BPMN shapes
- Adds opacity to default style
- Uses mxGraph 3.9.4 beta 5
- Adds minimal UI

01-MAY-2018: 8.5.15

- Fixes showing device when no other storage options available
- Fixes indexing with multiple diagrams on page in Confluence Cloud

30-APR-2018: 8.5.14

- Fixes XSS vulnerability in Trello Power-Up

27-APR-2018: 8.5.13

- Adds infographic library
- Adds device option in export dialogs

20-APR-2018: 8.5.12

- Adds test case for Google auth errors

20-APR-2018: 8.5.11

- Fixes plantuml insert
- Fixes PDF export size
- Uses mxGraph 3.9.4 beta 4

17-APR-2018: 8.5.10

- Disables autosave for realtime connect errors
- Fixes format panel background in dark theme
- Adds click on export option labels
- Adds namespace for CSV import
- Changes help links in dialogs

10-APR-2018: 8.5.9

- Reverts macro inconsistency check for Confluence Cloud

08-APR-2018: 8.5.8

- Adds logging for disconnect error

07-APR-2018: 8.5.7

- Improved handling for Google disconnect error

05-APR-2018: 8.5.6

- Revert export server for Desktop version to phantom until full fix found

05-APR-2018: 8.5.5

- Changes Plant export URL
- Adds JS redirect from http to https

05-APR-2018: 8.5.4

- Works around Chrome 65 bug with echo downloads

04-APR-2018: 8.5.3

- Gliffy import improvement
- Fix for anchor download issue in Chrome 65

31-MAR-2018: 8.5.2

- Add mass gliffy import in Confluence Cloud
- Fixes importing Gliffy sitemap stencils
- Adds workaround for Confluence Cloud saveMacro problem

28-MAR-2018: 8.5.1

- Confluence Cloud integration improvements

23-MAR-2018: 8.5.0

- Adds shapes in Basic sidebar

21-MAR-2018: 8.4.8

- Gliffy import improvements
- Adds Cisco Safe Stencils
- Adds top, left for CSV import
- Uses mxGraph 3.9.4 beta 3

15-MAR-2018: 8.4.7

- Improves Gliffy import

13-MAR-2018: 8.4.6

- Fixes adding of clones with new index

13-MAR-2018: 8.4.5

- Fixes Confluence Cloud page includes
- Removes default empty layer in Gliffy import

12-MAR-2018: 8.4.4

- Uses mxGraph 3.9.4 beta 2

11-MAR-2018: 8.4.3

- Adds Alt+Shift+L keyboard shortcut to edit links

09-MAR-2018: 8.4.2

- Fixes checkboxes in format panel
- Uses mxGraph 3.9.4 beta 1
- Enables links and tooltips in locked layers

09-MAR-2018: 8.4.1

- Adds Alt+Shift+T keyboard shortcut to edit tooltips
- Minor improvements for Gliffy import

08-MAR-2018: 8.4.0

- Uses mxGraph 3.9.2 beta 11

07-MAR-2018: 8.3.7

- Improvements for Gliffy import

05-MAR-2018: 8.3.6

- Use mxGraph 3.9.3 for post is not a function fix

01-MAR-2018: 8.3.5

- Adds recent and search to Confluence Cloud splash dialog
- Adds iconfinder to URLs with CORS
- Adds support for cross-origin images
- Fixes bug for vssx shapes with double quotes in labels
- Add line-height CSS to simulate quirks box sizing [5289]

27-FEB-2018: 8.3.4

- Fixes license debug in Confluence Cloud

27-FEB-2108: 8.3.3

- Fixes iconfinder 451 return

25-FEB-2018: 8.3.2

- Remove Google Drive login response checks, caused issues

20-FEB-2018: 8.3.1

- Internal revert to 8.2.3 minus Confluence Cloud changes

19-FEB-2018: 8.3.0

- Internal revert to 8.2.2 minus Confluence Cloud changes

18-FEB-2018: 8.2.3

- Adds optional parameter

17-FEB-2018: 8.2.2

- Fixes inconsistency in child change codec
- Allows for 0.5px steps when moving cells
- Uses mxGraph 3.9.2 beta 10

16-FEB-2018: 8.2.1

- Adds shape group in Misc section, outline connect
- Fixes line wrapping, hides icons while editing
- Preserves library order for clibs parameter
- Uses mxGraph 3.9.2 beta 9

16-FEB-2018: 8.2.0

- Confluence Cloud attachment fixes

16-FEB-2018: 8.1.9

- Fixes Google API load timing issues
- Fixes attachment write calls for IE and Edge in Confluence Cloud

14-FEB-2018: 8.1.8

- Fixes saving diagram to Confluence Cloud draft pages

14-FEB-2018: 8.1.7

- Fixes custom style path for atlas.css

14-FEB-2018: 8.1.6

- Fixes block resize in graph viewer
- Disables fix for block alignment
- Uses mxGraph 3.9.2 beta 8

13-FEB-2018: 8.1.5

- Uses mxGraph 3.9.2 beta 7

12-FEB-2018: 8.1.4

- Fixes sidebar tooltip

12-FEB-2018: 8.1.3

- Fixes dynamic loading for VSDX export
- Fixes possible NPEs in VSDX export

12-FEB-2018: 8.1.2

- Adds resize option in image dialog
- Uses mxGraph 3.9.2 beta 6

11-FEB-2018: 8.1.1

- Handles markup is invalid XML

11-FEB-2018: 8.1.0

- Adds VSDX/VSSX import/export for Electron
- Fixes access denied for Dropbox import
- Fixes escaping in SVG alternate text
- Uses mxGraph 3.9.2 beta 5

09-FEB-2018: 8.0.9

- Fixes block alignment for in-place editor
- Uses mxGraph 3.9.2 beta 4

08-FEB-2018: 8.0.8

- Fixes plantUML SVG insert in IE11
- Adds cors URL parameter

06-FEB-2018: 8.0.7

- Adds recent/search in Confluence connect
- Fixes various bugs

02-FEB-2018: 8.0.6

- Fixes Ctrl+connect of orthogonal edges
- Fixes CSS for metadata dialog
- Uses mxGraph 3.9.2 beta 3

01-FEB-2018: 8.0.5

- Fixes possible NPE for cache invalidation
- Fixes in-place change of graph model
- Uses mxGraph 3.9.2 beta 2

31-JAN-2018: 8.0.4

- Reverts to using headless mxgraph
- Fixes swap icon for shapes with fill color
- Adds gradient and background in UML frame
- Adds edge labels in text, CSV import

30-JAN-2018: 8.0.3

- Reverts to using previously GAE blacklisted classes
- Uses mxGraph 3.9.2 beta 1

23-JAN-2018: 8.0.2

- Fixes constrained size change in arrange panel
- Removes Dropbox and GitHub from splash screen
- Handles empty string for image style
- Adds workaround for dialog clipping
- Uses mxGraph 3.9.1 beta 1

19-JAN-2018: 8.0.1

- Fixes ChangePageSetup
- Uses mxGraph 3.9.0

17-JAN-2018: 8.0.0

- New Google repository structure
- Uses Java 1.8

16-JAN-2018: 7.9.8

- Adds dark theme (beta)
- Uses mxGraph 3.8.1 beta 11

12-JAN-2018: 7.9.7

- Disables http/https redirects

12-JAN-2018: 7.9.6

- Gliffy import improvements
- Adds fontCss configuration to SVG export
- Uses mxGraph 3.8.1 beta 10

04-JAN-2018: 7.9.5

- Fixes bug with current desktop app launcher

04-JAN-2018: 7.9.4

- Adds Extras, Plugins in desktop app
- Adds command line arguments in desktop app
- Fixes images in SVG export preview
- Uses mxGraph 3.8.1 beta 8
- Adds table option in insert text dialog
- Fixes text formatting for input selection

02-JAN-2018: 7.9.3

- Workaround for null variable in Jira Connect
- Uses mxGraph 3.8.1 beta 6

31-DEC-2017: 7.9.2

- Improves app icons for Android

31-DEC-2017: 7.9.1

- Uses round app icon for Android
- Applies editing value before selecting page

29-DEC-2017: 7.9.0

- Removes search.xml from offline manifest

29-DEC-2017: 7.8.9

- Replaces search.xml with inline data

21-DEC-2017: 7.8.8

- Deletes transparent groups with no remaining cells
- Fixes refresh of straight edge handles
- Adds terminal points in Arrange tab
- Uses mxGraph 3.8.1 beta 5

19-DEC-2017: 7.8.7

- Uses mxGraph 3.8.1 beta 4

15-DEC-2017: 7.8.6

- Internal translation update

14-DEC-2017: 7.8.5

- Uses mxGraph 3.8.1 beta 3
- Uses relative path for templates
- Adds configVersion to force reset of configuration

05-DEC-2017: 7.8.4

- Fixes font rendering in library dialog
- Adds move subtree handle for tree containers
- Fixes special cases for font size changes
- Adds fixes for older versions of IE

04-DEC-2017: 7.8.3

- Improves handling of fontsize in format panel
- Hides link hint for edges while moving points
- Improves loop routing with control points
- Adds remove option for links
- Uses mxGraph 3.8.1 beta 2

03-DEC-2017: 7.8.2

- Adds select descendants for cells with outgoing edges
- Adds defaults for insert from custom library
- Adds search of metadata in find dialog
- Enables export URL for external domains
- Adds custom libraries to shape search index
- Uses mxGraph 3.8.1 beta 1

01-DEC-2017: 7.8.1

- Fixes Confluence Cloud revision history diagram display

30-NOV-2017: 7.8.0

- Uses mxGraph 3.8.0

29-NOV-2017: 7.7.8

- Removes dashed borders for editing paragraphs

28-NOV-2017: 7.7.7

- Adds Sitemap sidebar
- Moves double border shapes to Misc sidebar
- Enables custom libraries in Trello Power-Up
- Fixes resize vertex with touch events
- Uses mxGraph 3.7.7 beta 2

27-NOV-2017: 7.7.6

- Removes Trello option from splash screen (use Power-Up)
- Fixes import of SVG with no width, height and viewbox
- Adds undo for global shadow switch
- Uses mxGraph 3.7.7 beta 1
- Fixes select after paste

24-NOV-2017: 7.7.5

- Even faster startup time for offline app
- Fixes cache manifest for offline app

24-NOV-2017: 7.7.4

- Uses mxGraph 3.7.6
- Checks existing filename in Trello Power-Up
- Adds root dialog for cancel in Google picker
- Faster startup time for offline app
- Validates page format input

22-NOV-2017: 7.7.3

- Improves Gliffy importer

20-NOV-2017: 7.7.2

- Fixes stack layout and adds styles
- Uses mxGraph 3.7.6 beta 10

16-NOV-2017: 7.7.1

- Adds switches for SVG shadow
- Fixes tags dialog size
- Fixes action states

15-NOV-2017: 7.7.0

- Fixes alt+mousewheel in lightbox mode

15-NOV-2017: 7.6.9

- Adds predefined filters for Trello picker
- Fixes picker for GDriveConnector and Google Docs Add-on
- Fixes UTF8 strings in imported SVG images
- Adds context menu for links in hints

13-NOV-2017: 7.6.8

- Updates to latest AWS stencils

30-OCT-2017: 7.6.7

- Ignores invalid sources in embed mode
- Fixes auth flow in Trello Power-Up

30-OCT-2017: 7.6.6

- Uses mxGraph 3.7.6 beta 9
- Always shows Google folder dialog

28-OCT-2017: 7.6.5

- Fixes possible NPE in legacy embed mode

28-OCT-2017: 7.6.4

- Adds vector handles
- Fixes text style combo in Firefox
- Fixes text flow after word wrap change
- Uses mxGraph 3.7.6 beta 8

26-OCT-2017: 7.6.3

- Adds current style to CSV and text
- Uses mxGraph 3.7.6 beta 7

25-OCT-2017: 7.6.2

- Adds optional arguments for subclassers

25-OCT-2017: 7.6.1

- Fixes Google picker for certain file types
- Fixes text entries in general sidebar
- Uses mxGraph 3.7.6 beta 6

24-OCT-2017: 7.6.0

- Uses mxGraph 3.7.6 beta 5

24-OCT-2017: 7.5.9

- Uses mxGraph 3.7.6 beta 4

23-OCT-2017: 7.5.8

- Adds Team Drives support in GDriveConnector
- Fixes bug in mockups sidebar

22-OCT-2017: 7.5.7

- Adds support for team drives in google picker
- Removes image export after closing lightbox

16-OCT-2017: 7.5.6

- Adds IBM icons
- Disables Confluence Cloud revision checks due to saveMacro bug

10-OCT-2017: 7.5.5

- Hides tooltips for page links
- Fixes scrollwheel zooming with no scrollbars in chromeless mode
- Uses mxGraph 3.7.6 beta 3

09-OCT-2017: 7.5.4

- Adds missing page option in insert link dialog
- Fixes viewer event handling for links in labels

06-OCT-2017: 7.5.3

- Fixes Trello integration
- Fixes image cropping dialog

05-OCT-2017: 7.5.2

- Ready for new Trello integration
- Fixes for embed mode

04-OCT-2017: 7.5.1

- Updates Atlassian icons

03-OCT-2017: 7.5.0

- Updates Atlassian icons
- Improvements for Lucidchart import
- Adds toolbar and border URL parameter for chromeless mode

29-SEP-2017: 7.4.9

- Fixes ignored current page in window lightbox
- Fixes cross-origin frame access in fallback

28-SEP-2017: 7.4.8

- Adds #P for URL parameters (beta)
- Bypasses caches for proxy servlet
- Uses mxGraph 3.7.6 beta 2
- Checks existing storage file before rename

26-SEP-2017: 7.4.7

- Adds components for Trello Power-Up

25-SEP-2017: 7.4.6

- Improves Gliffy import
- Removes drag and drop handlers in lightbox
- Fixes selection state in Chrome after closing dialogs

25-SEP-2017: 7.4.5

- Improves Gliffy import

22-SEP-2017: 7.4.4

- Restores latest Dropbox SDK
- Improves CORS headers configuration
- Fixes ignored nav, highlight and page in tabbed lightbox for viewer

19-SEP-2017: 7.4.3

- Improvements for Trello integration

19-SEP-2017: 7.4.2

- Hard codes Dropbox SDK version to work around their bug

18-SEP-2017: 7.4.1

- Hides footer in embed mode
- Restores feedback form in help menu

18-SEP-2017: 7.4.0

- Removes feedback form in help menu
- Adds client-side image export in lightbox

13-SEP-2017: 7.3.9

- Fixes missing insert page tab

12-SEP-2017: 7.3.8

- Improvements to Gliffy import

08-SEP-2017: 7.3.7

- Uses mxGraph 3.7.6 beta 1
- Fixes links on shapes in print output

07-SEP-2017: 7.3.6

- Fixes overridden paths for folding icons
- Fixes subtree folding in viewer
- Fixes disabled state for edit data action
- Fixes footer plugin in chromeless mode
- Adds CSS style for read-only status
- Fixes possible editing for read-only files

01-SEP-2017: 7.3.5

- Improvements for Lucidchart import
- Hides move icon in tree and flow layouts
- Fixes collapsible action for multiple selection cells

31-AUG-2017: 7.3.4

- Adds event handling for tree and flow layouts

31-AUG-2017: 7.3.3

- Removes footer in Chrome App
- Improvements for Lucidchart import
- Fixes timing issue in number plugin

31-AUG-2017: 7.3.2

- Fixes special cases for line jumps

30-AUG-2017: 7.3.1

- Fixes folder dialog for inserting new Google Drive files
- Adds support for PNG+XML files in Chrome, Firefox and Edge
- Fixes tolerance for connection arrows on touch devices

28-AUG-2017: 7.3.0

- Fixes event handling for page links in labels
- Fixes label for page links on shapes
- Fixes folding in tree containers
- Uses mxGraph 3.7.5

25-AUG-2017: 7.2.9

- Moves clickable label links to tooltip in edit mode

25-AUG-2017: 7.2.8

- Fixes open in new window for local exports
- Fixes collapse/expand for containers
- Uses mxGraph 3.7.5 beta 14

24-AUG-2017: 7.2.7

- Fixes file usage stats

24-AUG-2017: 7.2.6

- Improvements for Lucidchart import
- Fixes possible NPEs

24-AUG-2017: 7.2.5

- Fixes possible NPE

24-AUG-2017: 7.2.4

- Adds mindmaps and orgcharts in Advanced sidebar (beta)
- Fixes page ID after import in Confluence Cloud add-on

24-AUG-2017: 7.2.3

- Fixes reset of current styles

24-AUG-2017: 7.2.2

- Adds autosave for Trello files

23-AUG-2017: 7.2.1

- Adds support for Trello attachments

23-AUG-2017: 7.2.0

- Adds support for line jumps (beta)
- Improvements for Lucidchart import
- Adds usage stats for actions
- Uses mxGraph 3.7.5 beta 13

22-AUG-2017: 7.1.10

- Fixes transistor icon set

21-AUG-2017: 7.1.9

- Adds persistent autosave setting in Electron App
- Adds File, Page Setup and Publish in Electron/Chrome App
- Fixes keyboard shortcut labels on Mac
- Changes keyboard shortcuts for connection points/arrows

18-AUG-2017: 7.1.8

- Fixes bounding box margins for vertical labels
- Uses mxGraph 3.7.5 beta 12

18-AUG-2017: 7.1.7

- Webapp opens local files in new window
- Fixes flipped, non-projected anchors
- Uses mxGraph 3.7.5 beta 11
- Changes download links

17-AUG-2017: 7.1.6

- Improvements for Lucidchart import
- Uses mxGraph 3.7.5 beta 11
- Fixes possible NPE in custom handles

17-AUG-2017: 7.1.5

- Uses mxGraph 3.7.5 beta 10
- Fixes custom handle positions for turned shapes
- Fixes image export for clipart in Electron App
- Adds close in file menu for Electron/Chrome App
- Repositions inline dialogs if window is resized
- Removes indirection for saving PDF in Electron App
- Adds export in library dialog for Chrome App

16-AUG-2017: 7.1.4

- Adds footer for Desktop Apps Facebook post

16-AUG-2017: 7.1.3

- Uses mxGraph 3.7.5 beta 9
- Uses retina icons for social media footers

16-AUG-2017: 7.1.2

- Fixes possible NPE in mxShapeBasicRectCallout shape

16-AUG-2017: 7.1.1

- Disables drafts in Confluence Cloud add-on
- Uses mxGraph 3.7.5 beta 9
- Fixes label positions, adds callout shape in general sidebar

14-AUG-2017: 7.1.0

- Improves Lucidchart import
- Improves Gliffy import
- Uses mxGraph 3.7.5 beta 8
- Fixes ignored horizontal/vertical flip for connection points

11-AUG-2017: 7.0.9

- Fixes path to clipart images for SVG export in Chrome App
- Adds perimeter for parallelogram, trapezoid, step and hexagon

11-AUG-2017: 7.0.8

- Fixes error handling in Confluence Cloud add-on

10-AUG-2017: 7.0.7

- Adds anonymize plugin (p=anon)

09-AUG-2017: 7.0.6

- Conf Cloud license changes
- Fixes for Perimeters

09-AUG-2017: 7.0.5

- Uses mxGraph 3.7.5 beta 7
- Fixes pen events for Chrome on Windows
- Adds preview for clipboard in save image dialog
- Enables drafts in Confluence Cloud add-on

08-AUG-2017: 7.0.4

- Improvements to Gliffy import
- Fixes remember option for image resize dialog

07-AUG-2017: 7.0.3

- Adds cropping for data URIs in edit image dialog
- Uses mxGraph 3.7.5 beta 6
- Adds filled edge shape in basic sidebar
- Fixes possible NPE, undefined function in Lucidchart Import
- Fixes error handling in PlantUML add-on

06-AUG-2017: 7.0.2

- Improvements to Gliffy import
- Uses filename for print preview title

04-AUG-2017: 7.0.1

- Improvements to Gliffy import
- Improvements to Lucidchart import
- Fixes PlantUML macro dialog

03-AUG-2017: 7.0.0

- Improvements to Gliffy import
- Improvements to Lucidchart import 
- Sent semantic versioning on holiday

02-AUG-2017: 6.9.9

- Fixes paste from Lucidchart

31-JUL-2017: 6.9.8

- Gliffy import improvements

27-JUL-2017: 6.9.7

- Adds links to reviews in free add-ons
- Fixes preview in PlantUML add-on

26-JUL-2017: 6.9.6

- Switches to Google Cloud SDK
- Adds fishbone diagram templates in business section

24-JUL-2017: 6.9.5

- Fixes anchor links in lightbox for viewer
- Fixes event state for page links in labels

24-JUL-2017: 6.9.4

- Fixes hyperlinks in viewer

24-JUL-2017: 6.9.3

- Uses mxGraph 3.7.5 beta 5
- Add experimental support for bridges in dev mode only

24-JUL-2017: 6.9.2

- Add experimental support for bridges
- Adds fixes to VSDX export
- Minor UI fixes

19-JUL-2017: 6.9.1

- Adds open button for spreadsheets, videos, photos, maps in GDriveConnector
- Fixes import of multiple pages in Lucidchart files

18-JUL-2017: 6.9.0

- Adds import tile in splash screen
- Adds social media sharing in footer
- Uses mxGraph 3.7.5 beta 4
- Fixes Extras, Tags and Autosave in Embed mode

18-JUL-2017: 6.8.18

- Ctrl+drop for images shows size dialog to reset default
- Adds dialog before unloading modified page in embed mode

17-JUL-2017: 6.8.17

- Adds dialog for importing large images
- Fixes sorting of properties in metadata dialog for IE 11
- Fixes handling of lineHeight in IE 11

16-JUL-2017: 6.8.16

- Makes ref optional in value dialog for GitHub
- Adds undoable background color, image and page format changes
- Uses mxGraph 3.7.5 beta 3

12-JUL-2017: 6.8.15

- Fixes deleted transparent labels with spaces
- Enables resize of containers with stack layout
- Adds links option in Confluence Cloud add-on

11-JUL-2017: 6.8.14

- Fixes VSDX export for non-numeric IDs
- Fixes drag and drop to splash screen

10-JUL-2017: 6.8.13

- Adds Alt+Click to select cells behind cells
- Uses mxGraph 3.7.5 beta 2

07-JUL-2017: 6.8.12

- Updated translations
- Fixes minor bugs in Connect add-ons

06-JUL-2017: 6.8.11

- Changes initial footer link to video

03-JUL-2017: 6.8.10

- Uses mxGraph 3.7.5 beta 1

29-JUN-2017: 6.8.9

- Fixes execution order and ignored state parameter

29-JUN-2017: 6.8.8

- Updates translations
- Disables VSDX export in IE11-
- Fixes VSDX export in Safari
- Adds larger thumbnails for Google Drive
- Adds VSDX export (beta) in Chrome App

28-JUN-2017: 6.8.7

- Updates translations
- Uses mxGraph 3.7.4

26-JUN-2017: 6.8.6

- Fixes save servlet, local file save in MS Edge
- Removes echo request for save of local data to cloud

21-JUN-2017: 6.8.5

- Removes max-height for Confluence Cloud viewer

20-JUN-2017: 6.8.4

- Adds crossbar shape
- Adds edit button configuration
- Uses new quick start video
- Fixes print dialog for lightbox in scrolled document
- Uses mxGraph 3.7.3 beta 13

16-JUN-2017: 6.8.3

- Minor VSDX export menu change

15-JUN-2017: 6.8.2

- Fixes VSDX export to cloud

15-JUN-2017: 6.8.1

- Adds page formats, uses inch units
- Fixes logout for OneDrive picker
- Uses mxGraph 3.7.3 beta 12

14-JUN-2017: 6.8.0

- Adds support for OneDrive for Business

13-JUN-2017: 6.7.11

- Fixes possible NPE in DriveFile
- Fixes Document Read-Only error in Google Drive
- Fixes OneDrive button in LinkDialog
- Adds more UML relation notations
- Inserts custom libraries after scratchpad

12-JUN-2017: 6.7.10

- Fixes Java compliance issue in Gliffy import

12-JUN-2017: 6.7.9

- Adds css, default styles, libraries to Editor.configure
- Moves persistent settings to EditorUi.init
- Fixes image export for (var)phi in ASCIIMathML

08-JUN-2017: 6.7.8

- Fixes saving local files in MS Edge
- Fixes binary after text export in Safari
- Fixes title for offline iOS homescreen app

06-JUN-2017: 6.7.7

- Fixes broken links in cache.manifest

06-JUN-2017: 6.7.6

- Adds VSDX export in online webapp

06-JUN-2017: 6.7.5

- Fixes links in labels for lightbox on touch devices
- Adds links to pages
- Adds zoom option for viewer in Confluence Connect

05-JUN-2017: 6.7.4

- Fixes overridden rounded style for non-rounded shapes
- Adds defaultVertexStyle/defaultEdgeStyle in Editor.configure
- Adds replay plugin

03-JUN-2017: 6.7.3

- Updates Gliffy translations to add Flowchart v2 library
- Adds edge group support to vsdx export
- Updates Google Cloud Platform icons

31-MAY-2017: 6.7.2

- Adds Atlassian shapes

30-MAY-2017: 6.7.1

- Adds viewer lightbox option in Confluence Connect
- Uses mxGraph 3.7.3 beta 9

29-MAY-2017: 6.7.0

- Adds viewer toolbar config for Confluence Connect
- Enables video and source tags in labels and tooltips
- Fixes reset of edge styles in CSV import
- Uses mxGraph 3.7.3 beta 8

25-MAY-2017: 6.6.5

- Adds print option in lightbox
- Moves insert to arrange menu

24-MAY-2017: 6.6.4

- Fixes possible data loss for back button
- Enables OneDrive support on iOS

22-MAY-2017: 6.6.3

- vsdx export improvements

19-MAY-2017: 6.6.2

- Adds trees plugin
- Fixes text preview, custom handles with math
- Uses mxGraph 3.7.3 beta 7

17-MAY-2017: 6.6.1

- Fixes libs=aws2 URL parameter
- Uses mxGraph 3.7.3 beta 6

16-MAY-2017: 6.6.0

- Adds Venn diagram templates
- Starts .vsdx export functionality
- Improvements and bug fixes for Electron build
- Fixes for Gliffy importer
- Adds autosave for libraries in Chrome App

13-MAY-2017: 6.5.10

- Fixes case sensitivity issue for template names and folders

12-MAY-2017: 6.5.9

- Adds export as URL in Chrome App
- Adds drag and drop for all file formats in Sidebar and Library dialog
- Fixes handling of invalid files after close with realtime
- Adds offline app status icon for cached state
- Removes standalone mode to fix offline iOS home screen apps
- Redirects PDF export to print action when offline
- Fixes text preview for resize with custom handles
- Improvements for small mobile screens
- Forces HTTPS for offline app
- Fixes partial rectangles in Basic palette
- Uses mxGraph 3.7.3 beta 5

08-MAY-2017: 6.5.8

- Adds .vssx stencil import
- Adds square, circle, partial rectangles in sidebar
- Adds identity configuration for CSV import
- Uses mxGraph 3.7.3 beta 4

29-APR-2017: 6.5.7

- Fixes default and button labels for lost changes dialog
- Fixes event handling for overlapping edge handles
- Adds library export to local storage
- Ignores auth files in local storage picker
- Uses mxGraph 3.7.3 beta 3

27-APR-2017: 6.5.6

- Adds arrows and textbox to general sidebar
- Fixes possible data loss when opening local files
- Removes minimum of 120% for line height in format panel
- Fixes highlight for scaled, selected arrows in realtime
- Removes fix for cloned start/end arrow when splitting edge
- Fixes touch events in Chrome for hiding modal dialogs
- Uses mxGraph 3.7.3 beta 2

24-APR-2017: 6.5.5

- Fixes OneDrive file picker
- Uses mxGraph 3.7.3 beta 1
- Adds error handling in Google Docs add-on auth callback
- Fixes cancel for access denied dialog in GitHub client
- Adds sign out option for backends in splash screen
- Fixes changes lost warning when saving draft
- Removes clipart icons due to complaints
- Fixes close icon in Chrome app footer

20-APR-2017: 6.5.4

- Updates Sandstorm build
- Fixes download for exported PNG in Microsoft Edge
- Fixes possible NPE in embed mode
- Disables "Include a copy of my diagram" for PNG export by default

14-APR-2017: 6.5.3

- Disables hacked Dropbox client JS

13-APR-2017: 6.5.2

- Adds missing supercall in Editor.resetGraph override

13-APR-2017: 6.5.1

- Fixes dependency on mxSettings in viewer.min.js

13-APR-2017: 6.5.0

- Fixes extension for exported files with dots
- Fixes lost changes after create or open file in same window
- Fixes ignored default page size for Google Drive files
- Adds Alt+Shift+C for clear waypoints
- Adds toFront/Back context menu for multiple cells
- Adds arc size for copy/paste style
- Fixes rounded swimlane boundary cases
- Uses Cloudflare CDN for loading MathJax
- Adds clear waypoints for vertices with connections
- Adds error handling for saving macro in Confluence Cloud
- Fixes cloned start/end arrow when splitting edge
- Adds support for global shadow in PDF export
- Fixes special characters in branch names for GitHub client
- Fixes missing arc handle for unknown shapes
- Fixes hightlight size for arrows
- Uses mxGraph 3.7.2

06-APR-2017: 6.4.6

- Works around page counter loop condition in FF

05-APR-2017: 6.4.5

- .vsdx import improvements

03-APR-2017: 6.4.4

- Increases black header title in Conf Cloud to push tick and cross out of visible area

03-APR-2017: 6.4.3

- Improvements to theming support for vsdx import
- Fixes for grouped rotations in vsdx import

28-MAR-2017: 6.4.2

- Fixes embedded sheets in Google Drive Connector
- Updates Russian translations
- Improvements to theming support for vsdx import

24-MAR-2017: 6.4.1

- Initial .vsdx theming support

21-MAR-2017: 6.4.0

- Fixes scaling on .vsdx import
- Adds Google Cloud Platform cards

18-MAR-2017: 6.3.8

- Changes display on marker pull-down for no marker in use

17-MAR-2017: 6.3.7

- Adds locale information to drive user

16-MAR-2017: 6.3.6

- Fixes selection of deleted parents after delete actions
- Fixes missing XML for PNG export event in error case
- Fixes timeout for PDF export with invalid images

16-MAR-2017: 6.3.5

- Disables tooltip in GraphViewer via showTitleAsTooltip
- Fixes error handling for export message in embed mode
- Fixes export of empty diagram in Graph.getSvg

15-MAR-2017: 6.3.4

- Fixes NPE in FF

14-MAR-2017: 6.3.3

- Fixes use of undefined variable in DriveClient

14-MAR-2017: 6.3.2

- Updates AWS icons
- Added update plugin
- Fixes update of thumbnail if page not visible

12-MAR-2017: 6.3.1

- Sorts properties in metadata dialog
- Adds animation plugin

11-MAR-2017: 6.3.0

- Fixes slashes in branch names for GitHub client
- Fixes order for add selected cells to library
- Fixes order, missing shapes for export selected cells

09-MAR-2017: 6.2.9

- Fixes label offset for export of selected edges
- Uses temporary file for drag and drop data
- Uses mxGraph 3.7.2 beta 1

09-MAR-2017: 6.2.8

- Fixes ignored user ID in state URL parameter

08-MAR-2017: 6.2.7

- Fixes insert, copy, rename and move for Google Team Drives

07-MAR-2017: 6.2.6

- Adds support for Google Team Drives

07-MAR-2017: 6.2.5

- Adds remote JPEG export option
- Fixes OneDrive, adds GitHub in Edit Link dialog
- Fixes import of JPG and GIF from GitHub and URL

01-MAR-2017: 6.2.4

- Uses mxGraph 3.7.1
- Fixes inserting files in OneDrive
- Hides folder picker if no folders in Drive
- Fixes possible NPE in retry error handling

28-FEB-2017: 6.2.3

- Fixes label for turn action
- Fixes use of undefined function in Dropbox client

28-FEB-2017: 6.2.2

- Handles expired oauth tokens
- Handles blocked Dropbox client API
- Fixes autosave for libraries and scratchpad
- Fixes spinner for template dialog in embed mode

22-FEB-2017: 6.2.1

- Faster read, fixes possible NPE in Dropbox

22-FEB-2017: 6.2.0

- Fixes encoding errors in GitHub client
- Checks size in GitHub and Dropbox
- Fixes initial SVG file contents
- Adds target=frame URL parameter
- Moves cookies to local storage
- Adds recent files in splash
- Uses mxGraph 3.7.0.2 beta 5
- Uses Dropbox API v2

17-FEB-2017: 6.1.2

- Uses semantic versioning
- Fixes possible NPE in format panel

16-FEB-2017: 6.1.1.0

- Uses mxGraph 3.7.0.2 beta 4
- Adds import for SVG and JPG images from backends
- Adds VSDX/Gliffy/PNG+XML import/open from backends
- Adds border option for image export
- Adds timeout handlers for Atlassian cloud
- Fixes ignored crop in JPEG export

15-FEB-2017: 6.1.0.3

- Fixes possible NPE in OneDriveClient
- Adds client-side JPG export option

14-FEB-2017: 6.1.0.2

- Adds picker for GitHub
- Uses mxGraph 3.7.0.2 beta 3
- Changes dialog title for PDF export in Chrome app
- Adds pages option in image and SVG export dialog
- Fixes cancel in message dialog for GitHub insert

11-FEB-2017: 6.1.0.1

- Fixes overwrite of GitHub files
- Fixes default values in GitHub dialog
- Fixes initial save for graphics formats

11-FEB-2017: 6.1.0.0

- Fixes HTML export
- Adds GitHub support
- Fixes processing order in CSV import
- Fixes checks for valid HTTP responses

08-FEB-2017: 6.0.3.7

- Fixes preview for Embed HTML dialog

08-FEB-2017: 6.0.3.6

- Adds help button in publish link dialog
- Uses desk.draw.io for searching help
- Adds export HTML dialog

07-FEB-2017: 6.0.3.5

- Fixes hidden image in Chrome for image export to new window
- Fixes fallback for non-public Google Drive files
- Fixes blurred image for client-side image export in Chrome
- Uses mxGraph 3.7.0.2 beta 2

07-FEB-2017: 6.0.3.4

- Shows related articles in help links
- Adds link options in HTML and URL dialogs

06-FEB-2017: 6.0.3.3

- Uses mxGraph 3.7.0.2 beta 1
- Fixes conversion for plain and formatted text
- Adds Ctrl+Enter for newlines in Safari
- Replaces ?url URL parameter with #U hash value
- Uses public diagram URL in Google Drive Connector

03-FEB-2017: 6.0.3.2

- Fixes Embed dialogs
- Moves Insert to Extras, CSV to File, Import
- Adds fallback for Publish Link action
- Removes Imgur and Github publish options

03-FEB-2017: 6.0.3.1

- Updates Dutch translations
- Fixes lost value when cloning page while editing
- Fixes possible NPE when removing images from custom libraries
- Fixes unicode page name character in vsdx import

31-JAN-2017: 6.0.3.0

- Hides plugin warning for all local plugins
- Adds prefetched URLs in embed to fix CORS issue
- Fixes public URL for shared Google Drive files
- Adds Export, URL and #R raw file types

30-JAN-2017: 6.0.2.16

- Adds CSV import plugin

29-JAN-2017: 6.0.2.15

- Uses mxGraph 3.7.0.1

27-JAN-2017: 6.0.2.14

- Fixes status bar in Firefox in Atlas theme

26-JAN-2017: 6.0.2.13

- Updates Arrange tab after remove from group
- Faster image and SVG export
- Uses mxGraph 3.7.0.1 beta 1

18-JAN-2017: 6.0.2.12

- Adds width, height in advanced export dialog

18-JAN-2017: 6.0.2.11

- Adds crop option for SVG and image export
- Fixes PDF crop export option
- Adds text extraction plugin
- Uses mxGraph 3.7.0.0

13-JAN-2017: 6.0.2.10

- Removes green background from server-side image export
- Ignores convention of not using double digit release numbers

13-JAN-2017: 6.0.2.9

- Adds Google Cloud icons
- Removes lightbox link for Imgur files
- Uses mxGraph 3.7.0.0 beta 13

09-JAN-2017: 6.0.2.8

- Adds props plugin
- Uses mxGraph 3.7.0.0 beta 12
- Adds help button in print dialog

28-DEC-2016: 6.0.2.7

- Adds dialog for selecting pages in docs add-on
- Fixes update all for generic links in docs add-on
- Adds open in new window, data URI import while offline
- Adds import for Lucidchart files

26-DEC-2016: 6.0.2.6

- Fixes lazy loading of clients in chromeless mode
- Fixes export of arbitrary pages with advanced dialog

23-DEC-2016: 6.0.2.5

- Adds PlantUML option in text dialog
- Uses mxGraph 3.7.0.0 beta 11

14-DEC-2016: 6.0.2.4

- Adds text field support for .vsdx import

13-DEC-2016: 6.0.2.3

- Improves .vsdx import text handling

12-DEC-2016: 6.0.2.2

- Improves .vsdx import

08-DEC-2016: 6.0.2.1

- Adds edit option in HTML and SVG embed dialog
- Moves tags, find plugins to editor
- Uses mxGraph 3.7.0.0 beta 11
- Fixes ignored width in viewer after page change
- Adds number plugin for numbering shapes

06-DEC-2016: 6.0.2.0

- Stops allowing diagrams on new Conf Cloud pages
- Fixes URL encoding for Conf Connect diagram names
- Fixes page breaks, blank pages in PDF export
- Fixes viewer in hidden containers for IE9-
- Uses mxGraph 3.7.0.0 beta 10

02-DEC-2016: 6.0.1.9

- Adds context path to URL for Connect Rendermode

01-DEC-2016: 6.0.1.8

- Removes blocking DIV while inserting files
- Adds marker styles for copy/paste style

23-NOV-2016: 6.0.1.7

- Fixes links to same domain for viewer in iframes
- Fixes automatic loading of libraries
- Fixes sidebar title overlap with buttons
- Fixes lost names, delete order in library dialog

21-NOV-2016: 6.0.1.6

- Fixes missing auth header in Google client API

18-NOV-2016: 6.0.1.5

- Replaces prompts in Atlassian cloud plugins
- Fixes save of scratchpad in embed mode
- Enables paste of images while editing labels
- Adds support for title attribute in mxlibrary

16-NOV-2016: 6.0.1.4

- Defaults to using F2 GAE instances
- Fixes no element error for selecting page in Firefox
- Fixes drag and drop for pages in Firefox

09-NOV-2016: 6.0.1.3

- Shift+Drop ignores embedded XML in images
- Alt+Drop ignores highlighted drop target

07-NOV-2016: 6.0.1.2

- Adds new electrical shapes
- Minor improvements for find plugin

04-NOV-2016: 6.0.1.1

- Adds consistent location for insert and sidebar
- Adds support for pages in publish actions
- Adds search for metadata in find plugin
- Uses lightbox for Imgur redirects
- Fixes HTML export for multiple pages
- Fixes shape detection for multiple pages

02-NOV-2016: 6.0.1.0

- Updates shapes in embed servlet
- Uses new Iconfinder API
- Uses mxGraph 3.7.0.0 beta 9
- Uses first unlocked layer for all diagrams

31-OCT-2016: 6.0.0.0

- Adds multiple pages per file

31-OCT-2016: 5.7.2.5

- Makes recent colors persistent
- Uses first unlocked layer for multiple pages

28-OCT-2016: 5.7.2.4

- Fixes Gliffy line imports with less than 2 waypoints

28-OCT-2016: 5.7.2.3

- Prepares multiple pages per file
- Simplifies UX for tags plugin

27-OCT-2016: 5.7.2.2

- Adds page view state to realtime
- Uses mxGraph 3.7.0.0 beta 8
- Adds diagram option in From Text dialog
- Adds incremental find plugin

26-OCT-2016: 5.7.2.1

- Uses mxGraph 3.7.0.0 beta 7
- Adds page format option in print dialog
- Shift+alt+rubberband removes selection cells
- Shift+click adds edges for delete in toolbar

18-OCT-2016: 5.7.2.0

- Uses mxGraph 3.7.0.0 beta 6
- Adds experimental sql plugin

13-OCT-2016: 5.7.1.3

- Fixes mxFile import with page disabled

07-OCT-2016: 5.7.1.2

- Adds import for multiple pages
- Fixes german spelling errors

06-OCT-2016: 5.7.1.1

- Adds warning for model size limit exceeded error

05-OCT-2016: 5.7.1.0

- Adds support for pages in embed mode
- Embed save uses mxFile rather than GraphModel in pages mode

04-OCT-2016: 5.7.0.9

- Adds experimental tags plugin
- Fixes page scale in print preview
- Adds new colorset

03-OCT-2016: 5.7.0.8.2

- Adds tolerance, uses fewer cells in scissors tool

27-SEP-2016: 5.7.0.7

- Adds filename for editors in Atlassian cloud plugins
- Fixes encoding of filenames in Atlassian cloud plugins
- Adds optional title parameter to load message
- Uses mxGraph 3.7.0.0 beta 5
- Fixes possible empty pages in PDF export

27-SEP-2016: 5.7.0.6

- Fixes redirect error in IE

26-SEP-2016: 5.7.0.5

- Adds publish to Facebook, Twitter

21-SEP-2016: 5.7.0.4

- Minor logging changes

21-SEP-2016: 5.7.0.3

- Uses mxGraph 3.7.0.0 beta 4
- Logging changes to use standard Java logging

21-SEP-2016: 5.7.0.2

- Uses mxGraph 3.7.0.0 beta 3
- Fixes possible NPE for markup editor

20-SEP-2016: 5.7.0.1

- Fixes minor bug with autosave
- Uses mxGraph 3.7.0.0 beta 2

20-SEP-2016: 5.7.0.0

- Sets initial state of sidebar to invisible
- Adds support for scratchpad in Chrome App
- Disables default value for exporting selection only
- Adds square and circle shapes, hints for special searches
- Uses mxGraph 3.7.0.0 beta 1
- Creates temporary blank diagram if splash dialog is closed
- Removes "all changes saved" message for device files
- Adds snapToPoint custom attribute
- Fixes enabled state of publish menu and link item
- Adds scope to set and get placeholder variable
- Fixes current revision in dialog during autosave

13-SEP-2016: 5.6.0.5

- Adds multiple (previous) predefined color sets
- Adds Alt+(Shift+)Tab for select parent/child

12-SEP-2016: 5.6.0.4

- Uses mxGraph 3.6.0.1 beta 1
- Adds reset for undo history of in-place editor
- Fixes inconsistent selection check for cursor keys
- Adds hash listener for pages with url parameters
- Fixes PDF, image with XML export for multiple pages
- File ID has precedence over create, url parameters
- Adds validation for grid size in page setup dialog
- Fixes fullscreen toggle in embed mode for Kennedy
- Adds keyboard shortcuts in toolbar tooltips
- Uses mxfile wrapper for embedded HTML files
- Adds optional callback argument in App.main

07-SEP-2016: 5.6.0.3

- Uses mxGraph 3.6
- Fixes authentication error in Dropbox
- Adds workaround for Confluence cloud expand macro in Chrome

06-SEP-2016: 5.6.0.2

- Fixes Confluence Cloud plugin

06-SEP-2016: 5.6.0.1

- Uses mxGraph 3.5.1.6 beta 6

06-SEP-2016: 5.6.0.0

- Fixes cursor scrolling for empty selection
- Adds Alt+Shift+Cursor to connect and clone
- Adds placeholders for custom shape text
- Ctrl+A selects all cells recursively
- Uses new (de)compression algorithm
- Adds language option in Chrome App
- Enables relative links in labels
- Shift+Escape cancels editing
- Uses mxGraph 3.5.1.6 beta 5
- Pre-loads custom libraries
- Fixes object error in IE6

01-SEP-2016: 5.5.6.2

- Adds new predefined color schemes

30-AUG-2016: 5.5.6.1

- Uses mxGraph 3.5.1.6 beta 4
- Escape while editing applies new text value
- Fixes bounds for zoomed markup in-place editor
- Fixes JIRA cloud integration for Safari 

25-AUG-2016: 5.5.6.0

- Uses mxGraph 3.5.1.6 beta 3
- Ignores scale for guides 
- Fixes ignored background image in realtime
- Removes clipping for general text in grapheditor example
- Adds workaround for image printing in Chrome
- Fixes cropped labels in sidebar tooltips
- Adds entries argument in MoreShapes dialog
- Removes unused code and resources
- Simplified licensing check
- Adds new office, archimate3 shapes
- Finnish translation improvements
- Persian translation improvements

12-AUG-2016: 5.5.5.8

- i18n updates

10-AUG-2016: 5.5.5.7

- Minor changes

08-AUG-2016: 5.5.5.6

- Fixes malformed XHTML meta element used in HTML save

07-AUG-2016: 5.5.5.5

- Adds encoding for new HTML file format

04-AUG-2016: 5.5.5.4

- Marketing text changes

02-AUG-2016: 5.5.5.3

- Fixes export via Advanced dialog

29-JUL-2016: 5.5.5.2

- Fixes cloud export for UTF characters

29-JUL-2016: 5.5.5.1

- Mousewheel zoom centered around mouse cursor

28-JUL-2016: 5.5.5.0

- Adds embedded image support for .vsdx import
- Adds File, Publish submenu, GitHub option
- Fixes capitalized keys in tooltips
- Uses mxGraph 3.5.1.6 beta 2

26-JUL-2016: 5.5.4.0

- Adds placeholder metadata variable

25-JUL-2016: 5.5.3.8

- Fixes templates for new HTML file format
- Fixes image export for new HTML file format
- Uses mxGraph 3.5.1.6 beta 1

23-JUL-2016: 5.5.3.7

- Uses Ctrl+Shift+Z for redo on Linux
- Adds Ctrl+,/. for subscript/superscript
- Uses new embed code for HTML files and export
- Fixes embed iframe dialog

21-JUL-2016: 5.5.3.6

- Fixes lazy loading of shapes in Chrome App

21-JUL-2016: 5.5.3.5

- Simplifies footer

20-JUL-2016: 5.5.3.4

- Adds Contact Us link in footer

20-JUL-2016: 5.5.3.3

- Uses mxGraph 3.5.1.5
- Adds browser in splash for offline mode
- Fixes splash screen in offline mode
- Adds padding for pages in print preview
- Removes voice assistant in Extras menu

15-JUL-2016: 5.5.3.2

- Uses mxGraph 3.5.1.5 beta 2
- Fixes waiting for clients in Create dialog

11-JUL-2016: 5.5.3.1

- Adds tag for RSS feed
- Adds page scale to realtime model
- Page scale change triggers autosave

09-JUL-2016: 5.5.3.0

- Adds elbow and isometric edge styles
- Uses single redirect for non-SSL apex domain
- Adds View, Page scale option
- Uses letter paper size in US, Canada and Mexico

08-JUL-2016: 5.5.2.8

- Adds timeout for clients in splash screen
- Fixes loading of JS shapes in new embed mode
- Fixes loading of unused clients in chromeless mode
- Adds embed link dialog, simplifies embed html dialog
- Renames responsive to fit in embed dialogs
- Removes image, adds retina option in embed image dialog
- Updates French, Taiwanese translations
- Fixes enterGroup action for normal groups

06-JUL-2016: 5.5.2.7

- Fixes selection of child cells in groups

06-JUL-2016: 5.5.2.6

- Adds navigation for all groups
- Fixes spinner for unsupported clients
- Adds redirect for cdn.draw.io in splash screen

06-JUL-2016: 5.5.2.5

- Adds lazy loading for clients with splash screen

04-JUL-2016: 5.5.2.4

- Fixes to .vsdx import

23-JUN-2016: 5.5.2.3

- Fixes loading of Drive files with disabled splash screen

23-JUN-2016: 5.5.2.2

- Improves startup time for Chrome App

23-JUN-2016: 5.5.2.1

- Adds Citrix networking shapes
- Fixes possible loop for autosize in graph viewer
- Removes zoom buttons in viewer for JIRA Cloud add-on
- Fixes inline hover state, position for toolbar in graph viewer
- Removes open image button in Confluence Cloud add-on toolbar

19-JUN-2016: 5.5.2.0

- Adds open image button in Confluence Cloud add-on toolbar
- Adds links for selected label text in P2 add-on
- Adds fullscreen toggle in P2 add-on
- Fixes default storage for make copy in Google Drive
- Adds template json message, dialogs in connect plugins
- Fixes ignored grid for image drop location
- Adds new templates dialog for creating diagrams
- Fixes image export if math enabled in Chrome App
- Fixes drag preview in library dialog for Google Chrome
- Fixes paste for images from Lucidchart
- Adds Ctrl+N, Ctrl+O in Chrome App
- Adds new print dialog with custom zoom

08-JUN-2016: 5.5.1.6

- Fixes horizontal/vertical flip in mxText
- Fixes handling of fill/stroke with no shape
- Fixes version string in about dialog
- Uses mxGraph 3.5.1.5 beta 1

07-JUN-2016: 5.5.1.5

- Moves grid color from Extras menu to format panel
- Fixes gradients for print/PDF output in Chrome App

06-JUN-2016: 5.5.1.4

- Fixes loading of client libraries in atlas.min.js
- Simplifies build for Chrome App, app.min.js

05-JUN-2016: 5.5.1.3

- Fixes insert of diagram via {drawio} macro name
- Fixes utf8 characters in Confluence cloud add-on

02-JUN-2016: 5.5.1.2

- Disables revision parsing in Confluence Cloud
- Uses mxGraph 3.5.1.4

01-JUN-2016: 5.5.1.1

- Fixes Confluence cloud expand macro integration

01-JUN-2016: 5.5.1.0

- Adds fullscreen button, persistent libraries in embed mode
- Adds new viewer for JIRA cloud integration
- Removes collapse/expand option in HTML embed dialog
- Adds filename in toolbar for Confluence cloud viewer
- Enables folding in Confluence cloud integration

31-MAY-2016: 5.5.0.2

- Fixes layers button in Confluence cloud lightbox toolbar
- Fixes custom protocol absolute links in embedded HTML
- Lightbox no longer shows layers button for single layer
- Fixes click handling for embedded HTML on touch devices

13-MAY-2016: 5.5.0.1

- Fixes dynamic shape loading in Confluence Cloud viewer
- Enables Extras, Edit Diagram in embed mode
- Add shift-hover in chromeless mode to hide toolbar
- Adds highlight, target URL params for chromeless mode
- Adds link handling in chromeless mode

12-MAY-2016: 5.5.0.0

- Uses new HTML embed code and dialog
- Adds viewer for Confluence cloud
- Adds fullscreen and format switch in Atlas theme
- Adds transparency for layers dialog in embedded and lightbox mode
- Uses mxfile in PNG/SVG+XML file formats
- Adds parsing for new embedded HTML files
- Fixes lightbox click for links in embedded SVG
- Fixes relative images in new HTML embed
- Uses mxGraph 3.5.1.4 beta 1

09-MAY-2016: 5.4.4.5

- Adds fullscreen button
- Blocks possible javascript: shape links
- Fixes handling of edit URL parameter
- Uses mxGraph 3.5.1.3

06-MAY-2016: 5.4.4.4

- Fixes UI language in Chrome App
- Fixes File, Make Copy in IE9-
- Allows non-integer font sizes
- Uses mxGraph 3.5.1.3 beta 6

04-MAY-2016: 5.4.4.3

- Fixes persistence of current libraries

04-MAY-2016: 5.4.4.2

- Removes debug output

04-MAY-2016: 5.4.4.1

- Fixes binary file export in Chrome App
- Fixes SVG namespace for groups in svgdata plugin

02-MAY-2016: 5.4.4.0

- Writing files in Chrome app replaces existing content
- Adds layers option in iframe/SVG/image embed dialogs
- Adds layers URL parameter in chromeless mode
- Adds ctrl+shift+connect to disable connections
- Uses mxGraph 3.5.1.3 beta 5

30-APR-2016: 5.4.3.9

- Moves application code to JS files
- Adds icon for help link in menus

29-APR-2016: 5.4.3.8

- Removes gridcolor attribute in file, URL parameter
- Adds peristent grid color option in Extras menu
- Fixes resize of background page in outline dialog
- Disables context menu on touch devices on folding icon
- Fixes hover icons for overlapping cell in all directions
- Adds logging for file loading errors
- Uses mxGraph 3.5.1.3 beta 4

27-APR-2016: 5.4.3.7

- Switches JIRA Cloud to attachment writes via client
- Fixes ignored config in embed script
- Renames File to DrawioFile
- Uses mxGraph 3.5.1.3 beta 3

26-APR-2016: 5.4.3.6

- Fixes version in about dialog

26-APR-2016: 5.4.3.5

- Fixes possible bug with cached JS and uncached HTML

25-APR-2016: 5.4.3.4

- Removes old stylesheet
- Fixes bug for edges between layers
- Fixes embedding with custom shapes
- Fixes logging of domains with database entry
- Moves createSpinner, setFileData to EditorUi
- Adds lightbox parameter for chromeless mode
- Uses single click for lightbox in embed

22-APR-2016: 5.4.3.3

- Fixes naming issues in PlantUML render mode

22-APR-2016: 5.4.3.2

- Adds render mode to PlantUML

18-APR-2016: 5.4.3.1

- Fixes Confluence Cloud new page diagram insertion
- Uses mxGraph 3.5.1.3 beta 2

17-APR-2016: 5.4.3.0

- Removes macro parameter from plantUML

17-APR-2016: 5.4.2.5

- Adds previous UML shapes

15-APR-2016: 5.4.2.4

- Fixes double click on layer to rename
- Uses mxGraph 3.5.1.2

13-APR-2016: 5.4.2.3

- Changes plant export URL to https

13-APR-2016: 5.4.2.2

- Changes baseURL of plantUML to plant.draw.io

13-APR-2016: 5.4.2.1

- Changes baseURL of plantUML to https

13-APR-2016: 5.4.2.0

- Adds tooltips, svgdata plugin (p=tips;svgdata)
- Uses standard print dialog in Chrome App
- No longer repaints label while editing
- Uses mxGraph 3.5.1.1

11-APR-2016: 5.4.1.8

- Adds line height in text format panel
- Fixes possible NPE when updating shapes
- Uses mxGraph 3.5.1.1 beta 4

11-APR-2016: 5.4.1.7

- Fixes font size change with no text selection
- Fixes isConsumed not defined in MS Edge
- Fixes change of text opacity
- Uses mxGraph 3.5.1.1 beta 3

09-APR-2016: 5.4.1.6

- Changes default edge length to 80
- Fixes anchor links for embedded HTML and SVG
- Adds expiry to license logging
- Adds Alt+/Shift+/Ctrl+Click in sidebar

08-APR-2016: 5.4.1.5

- Adds imgur redirect servlet
- Fixes offline mode
- Fixes reset of comic style in connect preview

08-APR-2016: 5.4.1.4

- Fixes global spacing ignored if overridden
- Adds logging in JIRA servlet to avoid data loss
- Fixes click on unselected edge label moves label
- Fixes thumbnail for disabled autosave in Drive
- Adds recovery from backup in revision history
- Uses mxGraph 3.5.1.1 beta 2

06-APR-2016: 5.4.1.3

- Uses mxGraph 3.5.1.1 beta 1
- Fixes File, Publish menu item
- Fixes iOS app icons

06-APR-2016: 5.4.1.2

- Uses mxGraph 3.5.1.0
- Uses new logo with no black bar
- Fixes export for certain AWS 3D shapes
- Fixes action states for read-only and restricted files

05-APR-2016: 5.4.1.1

- Adds comic, text background color to default style
- Adds outline keyboard shortcut in chromeless mode
- Adds labelMovable style for vertex labels
- Uses mxGraph 3.5.1.0 beta 6
- Adds selection only option for XML export
- Adds persistent settings for Chrome App

03-APR-2016: 5.4.1.0

- Removes certain AWS 3D shapes

01-APR-2016: 5.4.0.9

- Adds isometric AWS shapes

01-APR-2016: 5.4.0.8

- Adds more dotted line styles
- Adds isometric shapes and connectors (beta)
- Updates handler after style change of cell
- Uses mxGraph 3.5.1.0 beta 5

31-MAR-2016: 5.4.0.7

- Hides toolbar after mouse move in chromeless mode
- Adds keyboard shortcuts in read-only and chromeless mode
- Fixes highlight in realtime for large strokewidths
- Fixes update of text shape after change of overflow style
- Uses mxGraph 3.5.1.0 beta 5
- Fixes vertical alignment for Component shape
- Enables comic style for various shapes
- Uses filename for dropped files in libraries

26-MAR-2016: 5.4.0.6

- Removes shadow URL parameter
- Smaller jiggle effect for diamond shapes
- Adds global shadow option in View menu (beta)
- Removes bug tracking code for MS Edge

25-MAR-2016: 5.4.0.5

- Adds image option in embed SVG dialog
- Fixes embedded images in HTML labels

24-MAR-2016: 5.4.0.4

- Restores bug tracking code for Edge
- Adds app icons for various devices

24-MAR-2016: 5.4.0.3

- Uses mxGraph 3.5.1.0 beta 4
- Fixes word wrap change for existing text
- Removes bug tracking code for MS Edge

23-MAR-2016: 5.4.0.2

- Fixes possible NPE for import
- Removes crc32 for email logging
- Adds bug tracking code for MS Edge

23-MAR-2016: 5.4.0.1

- Adds Extras, Show Start Screen option
- Uses mxGraph 3.5.1.0 beta 3
- Resets text shape state before using new style
- Removes extension from published diagram title
- Fixes rendering of comic rectangles in VML
- Fixes expand of Misc sidebar in IE6/8

22-MAR-2016: 5.4.0.0

- Uses XML to convert from old realtime
- Fixes gradients for certain URLs in IE11/Edge
- Adds comic style and shapes
- Fixes move preview offset
- Uses mxGraph 3.5.1.0 beta 2
- Fixes library title editing on iOS
- Makes autosave optional in Chrome App

18-MAR-2016: 5.3.5.2

- Adds delete URL to publish confirmation
- Adds warning dialog before Publish
- Adds File, Embed, Image menu option
- Adds Email address to Drive user info
- Click on app icon opens Drive folder

17-MAR-2016: 5.3.5.1

- Simplifies status messages for saving
- Adds UI for editing sidebar titles
- Disables publish action in IE9-
- Fixes possible infinite loop in Drive client

17-MAR-2016: 5.3.5.0

- Adds File, Publish for uploading to Imgur
- Moves moreShapes from File to View menu
- Moves createShape from File to Extras menu
- Removes create shape option from sidebar
- Adds confirmation after copy in SVG embed
- Adds copy button in embed iframe dialog

16-MAR-2016: 5.3.4.3

- Enables licensing for Confluence Cloud
- Removes second macro for GDrive Connector
- Fixes custom shapes for embedded diagrams
- Updates MS Azure, Cloud + Enterprise icons

15-MAR-2016: 5.3.4.2

- Adds File, Embed, SVG menu option
- Uses client mode for making a copy
- Hash has precedence over client parameter

14-MAR-2016: 5.3.4.1

- Adds support for embedded PNG data URI in client mode
- Fixes ignored grid for XML drag and drop
- Fixes decoding of base64 encoded embedded SVG
- Fixes embedded PNG character encoding in Safari

10-MAR-2016: 5.3.4.0

- Uses mxGraph 3.5.1.0 beta 1

09-MAR-2016: 5.3.3.9

- Uses mxGraph 3.5.0.1 beta 3

09-MAR-2016: 5.3.3.8

- Fixes double encoding for PNG+XML in embed mode

08-MAR-2016: 5.3.3.7

- Uses mxGraph 3.5.0.1 beta 2

04-MAR-2016: 5.3.3.6

- Fixes insertTextAt call in importFile()

04-MAR-2016: 5.3.3.5

- Uses mxGraph 3.5.0.1 beta 1
- Redirects apex domain to www.draw.io
- Fixes loading spinner for converted Dropbox files

03-MAR-2016: 5.3.3.4

- Fixes offset of imports with no mouse event
- Adds configurable edit button in chromeless mode
- Ignores public URL for Drive files in public folders
- Adds upload tab in Google picker dialog
- Makes hierarchical folder picker default
- Puts new Google files into root folder
- Adds folder picker for new libraries

03-MAR-2016: 5.3.3.3

- Changes BaseURL for Google Drive Connector

02-MAR-2016: 5.3.3.2

- Adds responsive UI for small screens
- Adds voice assistance for text input

01-MAR-2016: 5.3.3.1

- Fixes grid rounding errors for common cases

01-MAR-2016: 5.3.3.0

- Uses mxGraph 3.5.0.0
- Adds voice assistant in Extras menu
- Adds experimental shadow URL parameter
- Ignores transparent stroke color for default style

29-FEB-2016: 5.3.2.3

- Adds Ctrl+Shift+Drag to create/remove space
- Fixes licensing in chromeless mode
- Fixes bug in reset graph

28-FEB-2016: 5.3.2.2

- Uses mxGraph 3.4.1.3 beta 9
- Removes Export PNG+XML menu item
- Uses MathJax from CDN, lighter config
- Adds selection option for remote export
- Fixes timing problem for printing with math
- Adds text fallback for SVG export (experimental)
- Improved text rendering for image and SVG export
- Fixes artifacts for embedded math diagrams in Chrome
- Fixes Open in new window for IE10/11, MS Edge, Safari

26-FEB-2016: 5.3.2.1

- Uses MathJax 2.6 to fix artifacts in Chrome
- Fixes import of edges in separate layers
- Import of file appends multiple layers
- Changes logging for Google accounts
- Fixes drop of file URL into editor
- Uses mxGraph 3.4.1.3 beta 8

25-FEB-2016: 5.3.2.0

- Adds licensing server and client

25-FEB-2016: 5.3.1.0

- Uses mxGraph 3.4.1.3 beta 7
- Adds gridcolor URL parameter
- Adds scaled grid, replaces grid dots with grid lines
- Fixes anchors open in same page for embedded diagrams
- Moves Search, Scratchpad from Extras menu to View menu

22-FEB-2016: 5.3.0.6

- Updates Confluence Connect to use new page context mechanism
- Uses mxGraph 3.4.1.3 beta 6
- Adds rt, grid parameters for chromeless mode
- Fixes export dialog width, adds help button
- Detects data URI with XML in drag source
- Enables embed image menu in test mode

07-FEB-2016: 5.3.0.5

- Fixes direction, align, distribute menu states
- Adds tap and hold to add to selection

06-FEB-2016: 5.3.0.4

- Fixes possible NPE in plugins warning dialog

06-FEB-2016: 5.3.0.3

- Adds delayed quick start footer ad
- Removes voice assistant from help menu
- Moves ctrl+shift+j shortcut to two pages
- Disables hover icons while space is pressed
- Adds tooltips for buttons in format panel
- Fixes button label overflow in sidebar

05-FEB-2016: 5.3.0.2

- Replaces numeric keyboard shortcuts

05-FEB-2016: 5.3.0.1

- Fixes asynchronous loading of plugins

05-FEB-2016: 5.3.0.0

- Adds optional converter argument for canvas export
- Adds asynchronous loading for resources
- Uses mxGraph 3.4.1.3 beta 5

03-FEB-2016: 5.2.9.1

- Changes Confluence Cloud footer

03-FEB-2016: 5.2.9.0

- Ignores panning trigger to change edges
- Fixes sidebar rendering in math mode
- Uses mxGraph 3.4.1.3 beta 4

01-FEB-2016: 5.2.8.9

- Updates AWS icons

01-FEB-2016: 5.2.8.8

- Fixes offset for drag and drop of diagram data
- Fixes drop of SVG data URI with embedded XML
- Fixes download and export SVG to new window in Safari
- Fixes SVG export in older versions of IE
- Fixes drop shadow in SVG export for Safari
- Adds control-resize for centered resize of vertices
- Fixes import of SVG with embedded XML graph model
- Adds selection, transparent background for SVG export
- Adds include diagram option for image and SVG export
- Fixes open library file as diagram in Google Drive
- Adds pseudo-hierarchical view in Google library picker

29-JAN-2016: 5.2.8.7

- Fixes ignored background color for image export
- Fixes update of outline after changing page format
- Fixes edit shape button after insert of new shape

27-JAN-2016: 5.2.8.6

- Adds shadow option for image and SVG export

26-JAN-2016: 5.2.8.5

- Adds pseudo-hierarchical view in Google file picker
- Adds fallback for failed local image export
- Fixes lost connect preview after remote change
- Uses mxGraph 3.4.1.3 beta 3

25-JAN-2016: 5.2.8.4

- Fixes disabled transparent background export option
- Adds touch support for Microsoft Edge
- Adds pseudo-hierarchical view in Google folder picker
- Clean up for templates and more shapes dialog
- Adds selection only option in image export dialog
- Ungroup no longer deletes non-transparent groups
- Fixes paste via menu after ctrl/cmd+c
- Fixes hiding of all sidebar entries
- Uses mxGraph 3.4.1.3 beta 2

19-JAN-2016: 5.2.8.3

- Fixes collapse/expand for sidebars

19-JAN-2016: 5.2.8.2

- Fixes concurrent loading of custom libraries
- Improves initial sidebar rendering speed

18-JAN-2016: 5.2.8.1

- Uses mxGraph 3.4.1.4 beta 1
- Adds File, Move to Folder for OneDrive files
- Adds File, Rename menu item for all files
- Fixes spinner status for create revision
- Fixes edit as new for remote embedded diagrams
- Fixes minor bugs in search sidebar
- Fixes open in new window for save dialog
- Fixes edit diagram, search in Chrome app menubar
- Adds support for HTML tooltips in embedded diagrams
- Adds transparent background option for image export

15-JAN-2016: 5.2.8.0

- Uses mxGraph 3.4.1.3 beta 1
- Adds timeout for save revision in Drive
- Fixes spinner for retry after error
- Fixes handling of leading # in color dialog
- Increases size limit for background image
- Fixes minor bugs in library dialog
- Fixes image size for scratchpad

14-JAN-2016: 5.2.7.9

- Changes Connect footer text for Conf/JIRA

14-JAN-2016: 5.2.7.8

- Removes remote condition check in JIRA cloud
- Fixes outline connect for backbone, lifeline shapes

12-JAN-2016: 5.2.7.7

- Updates Polish translation
- Removes incorrect header from Confluence Connect [DS-249]
- Fixes encoding of filename in JIRA Connect [DFJC-3]

08-JAN-2016: 5.2.7.6

- Uses mxGraph 3.4.1.2
- Fixes inconsistent loop routing
- Fixes possible page scroll for embedded iframe
- Restores spacer in UML sidebar
- Uses UML 2.5 interface notation

06-JAN-2016: 5.2.7.5

- Uses mxGraph 3.4.1.1
- Adds interface in UML sidebar
- Adds fit page in print dialog
- Adds crop option for PDF export
- Merges image export menu items

02-JAN-2016: 5.2.7.4

- Adds support for title attribute in library files
- Adds optional sidebar search in Extras, Search
- Adds custom client-side image export option

31-DEC-2015: 5.2.7.3

- Adds new spinner while autosaving files
- Uses simplified UI for search sidebar
- Adds library file menu items on iOS

28-DEC-2015: 5.2.7.2

- Inserts new auto-layouted diagrams into current page
- Disables pinch to zoom, ctrl+wheel for Chrome on Mac
- Uses shorter delay for showing hover icons
- Shows hover icons after drop from sidebar
- Adds status after save from draft state
- Fixes default extension in create dialog
- Fixes save after change of storage file extension
- Fixes menubar height in atlas UI
- Uses parser for checking XML strings
- Shows spinner while sending feedback

22-DEC-2015: 5.2.7.1

- Adds automatic jetty size for orthogonal edges
- Fixes loop routing for fixed connection points
- Labels for locked cells are no longer editable
- Fixes auto-delete for empty non-deletable text
- Handles oversize labels on buttons in sidebars
- Fixes clipping in dropdown menu with scrollbars
- Uses mxGraph 3.4.1.1 beta 1

11-DEC-2015: 5.2.7.0

- Fixes encoding for JIRA Connect
- Ignores ancestor collisions for connection arrows
- Uses mxGraph 3.4.1.0

09-DEC-2015: 5.2.6.9

- Opens PNG+XML data uri via drag and drop
- Adds thin open, async open markers
- Updates UML sidebar, adds cross marker
- Fixes markers in connect preview
- Uses smaller hover icons
- Uses mxGraph 3.4.0.4 beta 10

08-DEC-2015: 5.2.6.8

- Adds all markers to edge format panel
- Adds thin block and thin classic markers
- Adds async, circle, circlePlus markers
- Hides overlapping connection arrows

07-DEC-2015: 5.2.6.7

- Uses mxGraph 3.4.0.4 beta 9
- Adds vsdx support for unconnected edges
- Adds entity relation shapes and connectors
- Adds default styles in connect preview
- Fixes dynamic loading for registered default shapes
- Hides disabled connection points while connecting
- Uses dotted highlight border for active drop targets
- Adds dropzone with description in editable sidebars
- Adds app identifier and current version in mxfile
- Fixes sidebar button event handling for IE8/quirks
- Fixes library dialog for quirks mode

03-DEC-2015: 5.2.6.6

- Fixes possible scroll to origin after paste in FF
- Fixes copy/paste in older versions of IE
- Adds export image to new window in IE
- Adds storage dialog for export in IE
- Uses mxGraph 3.4.0.4 beta 8

02-DEC-2015: 5.2.6.5

- Updates AWS icons to latest set
- Adds delay for connection arrows

02-DEC-2015: 5.2.6.4

- Fixes select all after paste of large amounts of text
- Fixes update of label preview during vertical resize
- Fixes click on resize handles while editing label
- Fixes certain label positions and sizes
- Fixes menubar style in atlas UI
- Uses mxGraph 3.4.0.4 beta 7

27-NOV-2015: 5.2.6.3

- Fixes IME input for i18n in FF
- Uses mxGraph 3.4.0.4 beta 6
- Adds experimental doors plugin

25-NOV-2015: 5.2.6.2

- Fixes edge move preview for scaled tolerance
- Fixes new waypoint for drag of edges with bends
- Fixes ignored folder for new OneDrive files
- Fixes download, adds options in Save dialog
- Adds padding to handles while editing
- Adds spacing to copied styles
- Enables glass effect switch for process shape
- Migrates Docs add-on to new API
- Adds dblclick in more shapes dialog
- Fixes color dialog for font (background) color
- Uses mxGraph 3.4.0.4 beta 5

20-NOV-2015: 5.2.6.1

- Adds link to scratchpad FAQ entry
- Handles possible missing root cell in realtime

20-NOV-2015: 5.2.6.0

- Removes local storage option from splash screen
- Adds browser=1 URL parameter for local storage
- Adds double click to keyboard shortcuts

19-NOV-2015: 5.2.5.8

- Adds US-Legal paper size
- Handles file not found for local storage
- Handles domain policy errors in Drive client
- Restores timer for fixed connection points with mouse

17-NOV-2015: 5.2.5.7

- Removes page reload after create from Drive
- Hash has precedence over state URL parameter
- Handles removed App folder in Dropbox
- Fixes handling of existing mxfile node
- Redirects 5% of reviews to Docs Add-on
- Adds support for extracting diagram nodes
- Adds spinner action in JSON protocol
- Fixes click and drag on edges in groups
- Fixes ignored scale for connect live preview
- Removes unused image files from Chrome App
- Resets constraint focus after root change
- Adds repaint of hover icons after root change
- Fixes offset for terminal point in VML
- Uses mxGraph 3.4.0.4 beta 4

17-NOV-2015: 5.2.5.6

- Uses mxGraph 3.4.0.4 beta 2
- Uses new draw.io logo and colors
- Fixes hit detection for outline connect and grid
- Removes timer for fixed points with non-touch devices
- Adds live preview for new connections
- Fixes replacement of PNG extension in IE
- Adds autosave if gridsize is changed
- Removes Draw.io for Work action and menu item
- Fixes loading of plugins from mxSettings

13-NOV-2015: 5.2.5.5

- Fixes new diagram creation in Chrome Packaged App
- Fixes delete operation (DELETE verb changed to POST)

12-NOV-2015: 5.2.5.4

- Fixes context path for JIRA Connect

11-NOV-2015: 5.2.5.3

- Fixes mxUtils.getFunctionName()

11-NOV-2015: 5.2.5.2

- Fixes creating blank diagram files in createFile

11-NOV-2015: 5.2.5.1

- Adds error handling for invalid diagram files

10-NOV-2015: 5.2.5.0

- Fixes embed preview in Microsoft Edge
- Adds default connections for backbone shape
- Adds number checks for custom zoom dialog

05-NOV-2015: 5.2.4.4

- Reverts Connect viewer

05-NOV-2015: 5.2.4.3

- Improvements for JIRA Connect

05-NOV-2015: 5.2.4.2

- Improvements for JIRA Connect

04-NOV-2015: 5.2.4.1

- Adds workaround for NS_ERROR_FAILURE in FF
- Adds network shapes library
- Fixes editorUi is not defined for help link
- Uses mxGraph 3.4.0.4 beta 1

04-NOV-2015: 5.2.4.0

- Changes items in format panel and menubar
- Renames editFile, editMetadata, connect actions
- Handles invalid image bounds in Graph.getSvg

03-NOV-2015: 5.2.3.9

- Fixes possible NPE

03-NOV-2015: 5.2.3.8

- Adds separate switch to disable connection points
- Uses mxGraph 3.4.0.2

02-NOV-2015: 5.2.3.7

- Corrects JIRA connect plugin key in descriptor

02-NOV-2015: 5.2.3.6

- Fixes ads in footer after Google login

02-NOV-2015: 5.2.3.5

- Fixes possible NPE

02-NOV-2015: 5.2.3.4

- Splits edges for drop from sidebar (shift to disable)
- Uses mxGraph 3.4.0.2 beta 13

28-OCT-2015: 5.2.3.3

- Adds missing function for Confluence OnDemand
- Adds refresh in format panel after root change
- Changes page size units from px to pt

28-OCT-2015: 5.2.3.2

- Fixes shape search for non-existing tags
- Removes GMDL library from default sidebars
- Adds link to user manual in help menu
- Removes click to speak button in header

25-OCT-2015: 5.2.3.1

- Adds separate files for GMDL, SysML sidebars
- Creates Drive revisions with autosave disabled
- Fixes scrollbar for fit page (width) actions
- Fixes delayed reset of scrollbar positions
- Fixes background page shadow color in VML
- Fixes terminal handle transparency in VML
- Uses Metarial Design for GMDL library title
- Uses mxGraph 3.4.0.2 beta 12

23-OCT-2015: 5.2.3.0

- Adds GMDL (Google Media Design Library) sidebar
- Fixes offset for repeated copy paste in Safari
- Fixes download after creating new device file
- Fixes keyboard shortcut ctrl+0 for reset view
- Fixes div has no click in more shapes dialog
- Adds horizontal/vertical page center guides
- Hides word wrap option for autosize labels
- Fixes initial size of new text labels
- Uses mxGraph 3.4.0.2 beta 11

21-OCT-2015: 5.2.2.2

- Fixes flow in voice plugin
- Fixes title collapse/expand icon color
- Fixes sidebar title font size

20-OCT-2015: 5.2.2.1

- Fixes dialog for read-only realtime files

19-OCT-2015: 5.2.2.0

- Improves voice recognition in plugin
- Fixes print output in Microsoft Edge
- Uses mxGraph 3.4.0.2 beta 10

18-OCT-2015: 5.2.1.9

- Fixes unlink in label with edit dialog
- Fixes html and svg URLs for embedding
- Intercepts links that change page URL
- Fixes remote selection highlight color
- Uses mxGraph 3.4.0.2 beta 9

18-OCT-2015: 5.2.1.8

- Adds dynamic loading for lucid chart import
- Adds voice label for missing speech input

17-OCT-2015: 5.2.1.7

- Fixes dynamic loading of voice plugin
- Fixes overflow for voice button

17-OCT-2015: 5.2.1.6

- Prepares Extensions.js for refactoring into dynamic plugins
- Adds share button for drive files, voice assistant button
- Adds transaction for connecting dangling edge in voice plugin

17-OCT-2015: 5.2.1.5

- Adds select, select source/target in voice plugin
- Insert shape connects connecting dangling edge
- Adds connect vs clone command in voice plugin

16-OCT-2015: 5.2.1.4

- Adds persistent current voice setting for plugin
- Adds autostart option item in voice menu for plugin
- Adds voice assistant item in main help menu
- Hides voice assistant footer if not supported
- Fixes edge clipping in print and PDF export 
- Uses mxGraph 3.4.0.2 beta 8

15-OCT-2015: 5.2.1.3

- Fixes possible NPE in graph.connectVertex
- Uses levenshtein distance in voice plugin
- Next/previous moved to select prefix in voice

15-OCT-2015: 5.2.1.2

- Adds variable and timestamp in Misc sidebar
- Adds voice commands in voice plugin
- Fixes segment offsets after change of parent
- Uses mxGraph 3.4.0.2 beta 7

14-OCT-2015: 5.2.1.1

- Fixes bugs, adds commands, uses footer in voice plugin
- Adds promo link to voice assistant (beta) in Chrome

14-OCT-2015: 5.2.1.0

- Removes enable/disable command in voice plugin
- Fixes possible duplicate connection inserted
- Fixes lifeline perimeter for undefined strokewidths
- Improved tags for standard shapes

13-OCT-2015: 5.2.0.9

- Adds continuous speech input in voice plugin
- Adds scrollbars in voice type menu
- Fixes duplicate insert of same plugin
- Fixes drop for PNG+XML data URIs
- Adds help link in voice plugin menu

13-OCT-2015: 5.2.0.8

- Adds menu for voice plugin
- Fixes keyboard shortcuts for voice plugin on Windows
- Adds hello, help and quick start for voice plugin
- Fixes hover icon focus for touch devices

12-OCT-2015: 5.2.0.7

- Adds experimental voice plugin (id voice)
- Fixes hover icon click for relative cells
- Fixes local save of large client-side export
- Adds recently used colors in color dialogs
- Fixes dragging labels for unselected edges
- Fixes pending timer after drop from sidebar
- Adds insert for new edges before source cell
- Changes label position and background for images
- Fixes drop of images with invalid file extension
- Uses mxGraph 3.4.0.2 beta 6

10-OCT-2015: 5.2.0.6

- Fixes sidebar tooltip after drop cells to library
- Allows 1px move of start segment in edge style
- Restores moving of selected container via child
- Fixes padding for new rows in UML table shape
- Clones west hover icon in stack before source cell
- Fixes click on hover icon in stack with near cell
- Allows group/ungroup to (de)containerize vertices
- Fixes 1px handle offset, adds terminal handle with dot
- Adds backbone shape, fixes lifeline perimeter
- Fixes drop resize if source smaller than 45px
- Adds Draw.io for Work link in Help menu
- Adds modified, saveAndExit in load JSON message
- Avoids unnecessary image resampling
- Uses mxGraph 3.4.0.2 beta 5

09-OCT-2015: 5.2.0.5

- Changes image resize condition to over 100K
- Fixes font size stepper for multiple values
- Adds edit metadata to context menu
- Adds date{format} placeholder option
- Adds link to file extensions FAQ entry

08-OCT-2015: 5.2.0.4

- Fixes vertical alignment for footer

08-OCT-2015: 5.2.0.3

- Adds Draw.io for Work link in footer
- Fixes update of child placeholders after undo
- Replaces PNG extension for url parameter with XML
- Adds shift for keeping original image size
- Adds edit metadata option in format panel

08-OCT-2015: 5.2.0.2

- Fixes change of font size on multiple cells
- Fixes Ctrl+B/U/I while editing in FF/Safari
- Ignores default style for copy via hover icon
- Applies only basic text styles for new labels
- Ignores default style for custom library entries
- Fixes repaint performance after metadata change
- Improves speed for deleting large number of cells
- Removes page unload warning for url parameter
- Uses mxGraph 3.4.0.2 beta 4

08-OCT-2015: 5.2.0.1

- Fixes copy-paste in non-Chrome browsers

07-OCT-2015: 5.2.0.0

- Adds link from Chrome App to online app
- Fixes inconsistent child selection for selected swimlanes
- Fixes PDF export for math without page view
- Increases size of metadata dialog
- Adds placeholders for labels and tooltips
- Fixes encoding for cross-platform clipboard
- Improves repaint performance for text labels
- Improves drag and drop for links and images
- Uses mxGraph 3.4.0.2 beta 3

06-OCT-2015: 5.1.1.1

- Fixes math PDF export

06-OCT-2015: 5.1.1.0

- Fixes filename, advanced export to new window
- Renames main macro for Confluence Connect
- Adds error handling for invalid PDF export
- Adds timer for grouping cursor operations
- Hover icon click ignores locked layers
- Locked cells are no longer connectable
- Fixes change of fontSize for certain nodes
- Fixes paste for large diagrams
- Shows link tooltip only for single selection
- Fixes print offset for negative origins
- Fixes remote parsing for paste of ASCII 160
- Adds GraphML import (beta)
- Adds Cmd+Drag on Mac for cloning
- Improves client-side print performance
- Uses mxGraph 3.4.0.2 beta 2

05-OCT-2015: 5.1.0.3

- Enables drag and drop and open for library files
- Constrains proportions for images in libraries
- Adds drop of library files to sidebar, dialog
- Fixes template not found error message
- Fixes mouse cursor for entity relation
- Uses custom handles only for single selection
- Adds notitle URL parameter
- Removes extension for url parameter filename
- Adds logging for help search via menu
- Uses mxGraph 3.4.0.2 beta 1

02-OCT-2015: 5.1.0.2

- Checks leading dots for storage files
- Maintains sidebar order after save of library
- Removes remoteAlert, uses version for scratchpad
- Adds drag and drop of files to custom libraries
- Fixes preview and drag to library in IE11/10
- Adds folder picker for new files

01-OCT-2015: 5.1.0.1

- Fixes possible NPE for chromeless mode
- Fixes restore of scratchpad if empty

01-OCT-2015: 5.1.0.0

- Adds scratchpad option in Extras menu
- Adds tooltip, dblclick for custom libraries
- Adds drag and drop to custom libraries
- Edge drag uses handles if edge selected
- Uses mxGraph 3.4.0.1

30-SEP-2015: 5.0.6.4

- Adds small, closable footer in Chrome App
- Adds client status message in File menu
- Adds previously selected in Google picker
- Click on background closes Google picker
- Fixes possible 401 in Google picker
- Adds improved error logging

29-SEP-2015: 5.0.6.3

- Fixes connecting edges with elbow edge style

29-SEP-2015: 5.0.6.2

- Persists page format as default for new diagrams
- Fixes connecting edges with entity edge style
- Adds ctrl+drag to move and clone edges
- Uses mxGraph 3.4.0.1 beta 13

29-SEP-2015: 5.0.6.1

- Fixes cursor for edges with entity edge style
- Adds link, link color and tooltip option in embed dialog
- Adds mxClientOnCreate callback for embedded diagrams
- Fixes atomic undo for new waypoints when dragging edge
- Adds labels for cloud option buttons in save dialog
- Removes open in new window for edit file in Chrome App
- Adds help menu items, FAQ search in Chrome App
- Redirect exportPdf to print action in Chrome App

27-SEP-2015: 5.0.6.0

- Fixes hover icon focus for mouse and touch events
- Fixes move of edge label with selected parent edge
- Drag connected edge adds waypoint (shift+drag moves)
- Disables loading of draft files from local storage

26-SEP-2015: 5.0.5.8

- Uses mxGraph 3.4.0.1 beta 12

26-SEP-2015: 5.0.5.7

- Fixes ensureDataSaved in chromeless mode
- Adds experimental connect edge mode

26-SEP-2015: 5.0.5.6

- Adds save dialog for Google Drive and OneDrive
- Adds storage buttons in Save dialogs
- Adds Open in new window option for PDF export
- Changes default background to white
- Fixes attempt to load realtime after export

26-SEP-2015: 5.0.5.5

- Adds print support in Chrome App (beta)
- Fixes PROXY_URL not defined in Chrome App
- Fixes click on links after panning
- Uses mxGraph 3.4.0.1 beta 11

25-SEP-2015: 5.0.5.4

- Adds export for selection cells
- Fixes possible 404 for default-style2 when switching files
- Fixes reset of background image when switching files
- Adds pagination in PDF export
- Updates zoom in toolbar after edit file dialog
- Fixes background color in print output
- Uses mxGraph 3.4.0.1 beta 10
- Waits for images in HTML labels in export
- Fixes background image for PDF export
- Connectable style overrides connectable property
- Adds nowarn URL parameter for local files
- Fixes possible NPE In HoverIcons.drag
- Added support for links in Gliffy diagrams

23-SEP-2015: 5.0.5.3

- Removes preferred mode based on domain

23-SEP-2015: 5.0.5.2

- Uses www for new, legacy for old Google Drive app
- Ignores quota exceeded errors in mxSettings
- Uses mxGraph 3.4.0.1 beta 9

23-SEP-2015: 5.0.5.1

- Adds connectable style
- Persists current edge and vertex style, copy on connect
- Fixes partial rectangle in VML
- Adds review link in Chrome App splash screen
- Fixes import of VDX files from Google Drive
- Adds File, Close menu item
- Fixes member not found in IE8- after paste
- Disables move, resize and delete of locked cells
- Adds delete protection for locked cells
- Removes preview for embed iframe in IE8-
- Fixes possible NPE in HoverIcons.drag

22-SEP-2015: 5.0.5.0

- Adds paste for images from clipboard in Chrome
- Fixes paste from Word, Excel while editing labels
- Fixes VDX/Gliffy conversion for read-only folders in Drive
- Fixes paste from Lucidchart in modern browsers
- Uses mxGraph 3.4.0.1 beta 8

21-SEP-2015: 5.0.4.6

- Replaces connectionPoints with global connect switch
- Deletes empty text cells with no fill/stroke color
- Adds select none menu item and keyboard shortcut
- Increases/checks max size for imported images
- Fixes background image aspect for SVG export
- Fixes mouse event handling errors
- Removes rounded toolbar button
- Uses mxGraph 3.4.0.1 beta 7

20-SEP-2015: 5.0.4.5

- Changes autosave delay for local storage files to 2s
- Restores hover icons after cancel drag from sidebar
- Adds hover icons after panning, drop from sidebar
- Fixes hover icons for overlapping cells, adds timer
- Selects edge under hover icon only if connected to vertex
- Scrolls to new vertex after click on hover icon
- Uses mxGraph 3.4.0.1 beta 6

19-SEP-2015: 5.0.4.4

- Exports files to same folder in Google Drive
- Adds format panel toggle button in toolbar
- Cursor keys move child cells in stack layouts
- Selects edges under hover icon on single click
- Scrolls cells to visible after shift+click in sidebar
- Hover icon click no longer connects in stack layouts
- Hides hover icons with shift/meta, keeps with ctrl
- Hides hover icons after shift/meta/ctrl+click
- Selects new target vertex after hover icon click

18-SEP-2015: 5.0.4.3

- Uses transparent shadows
- Hides hover icons during drag from sidebar
- Fixes connect to ancestors for hover icon click
- Adds shift+click in sidebar to change selection
- Hover icons ignore popup menu trigger events
- Uses ctrl+click for clone, shift+click for connect
- Adds lazy loading for state URL parameter

18-SEP-2015: 5.0.4.2

- Fixes dialog for automatic layout
- Fixes hover icons not reachable with nearby cells
- Adds hover icons for dangling edges
- Fixes possible NPE for dragging hover icons

18-SEP-2015: 5.0.4.1

- Fixes possible NS_ERROR_FAILURE in Firefox
- Fixes shadow color for embedded diagrams
- Fixes selection of images after drop
- Adds more aggressive image resizing
- Uses mxGraph 3.4.0.1 beta 5

18-SEP-2015: 5.0.4.0

- Fixes deleting cells with loops, terminals in groups
- Increases size for local storage open dialog
- Fixes mouse event on scrollbar after rubberband in IE 11
- Fixes image dialog size for older browsers
- Fixes possible parseRequestText is not a function in OneDrive
- Fixes handling of linefeeds in non-formatted labels
- Makes import and replace faster in Edit file dialog
- Autosize sets height for cells with word wrapping
- Adds link to open via Drive UI if file not found
- Uses label background while editing edge labels
- Fixes right/bottom padding for scaled page view
- Adds Ctrl+Shift-Mouse wheel for zoom on Mac
- Adds fallback to server for image export
- Parser errors are now handled separately
- Adds Ctrl+Shift+Click on connect handles
- Replaces connect icon with arrow icons
- Disables word wrap option for edges
- Fixes spelling of English resources
- Improves error handling for export
- Renames actual size to reset view
- Uses mxGraph 3.4.0.1 beta 4

12-SEP-2015: 5.0.3.7

- Handles permission change during collaboration
- Adds toggle selection in shortcuts.svg
- Adds Shift+Click to toggle selection state

11-SEP-2015: 5.0.3.6

- Fixes language in Confluence Connect
- Removes shadow and glass in quick styles
- Fixes possible URL undefined error
- Fixes possible DocumentClosedErrors
- Fixes foreignObjects in shortcuts.svg

11-SEP-2015: 5.0.3.5

- Improves error handling for realtime collaboration
- Fixes switch to custom from landscape in format panel
- Fixes paper size for print output
- Removes shapeeditor.html
- Fixes update of page size after edit file
- Fixes drop of XML into empty diagram creates new file
- Restores xml default extension for files in Chrome App
- Fixes spinner after cancel of library save in Chrome App
- Fixes extension for libraries in Chrome App
- Fixes status after autosave in Chrome App
- Removes foreignObjects in shortcuts.svg

10-SEP-2015: 5.0.3.4

- Fixes translations in Connect
- Adds mxReader.js to atlas.min.js
- Adds dropbox client to app.min.js
- Adds error message for busy state
- Fixes cursor in viewer for Connnect
